2005-12-13 23:01  vividos

	* source/install/UserInterface.wxs (1.5):

	commented out hidden text and custom action launching

2005-12-13 23:01  vividos

	* source/install/winLAME.wxs (1.2):

	fixed wix warnings
	set LAUNCHPROGRAM and LAUNCHREADME to 0

2005-12-13 22:49  vividos

	* source/winLAME.xbp (1.4):

	added windows installer target
	commented out upx runs for release dlls

2005-12-13 22:33  vividos

	* webpages/download.php (1.7):

	added new release

2005-12-13 22:32  vividos

	* webpages/index.php (1.7):

	added news item

2005-12-13 19:51  vividos

	* source/libraries/src/libsndfile/src/sfconfig.h (1.1):

	updated to libsndfile-1.0.12

2005-12-13 19:33  vividos

	* source/libraries/src/libfreedb/libfreedb.mak (1.2):

	updated with all define additions

2005-12-13 19:33  vividos

	* source/libraries/src/libfreedb/libfreedb.dsp (1.3):

	added _STLP_DEBUG for debug target to get linking to work

2005-12-13 19:31  vividos

	* source/: winlame.dsp (1.64), winlame.mak (1.20):

	removed _STLP_NO_IOSTREAMS

2005-12-13 19:31  vividos

	* source/install/winLAME.wxs (1.1):

	added

2005-12-13 19:30  vividos

	* source/winlame.nsi (1.41):

	bumped version
	fixed InstallDir registry key

2005-12-13 19:29  vividos

	* source/presets.xml (1.19):

	redone presets based on recommended LAME settings:
	http://wiki.hydrogenaudio.org/index.php?title=Recommended_LAME

2005-12-13 19:28  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.50):

	improved comments a bit

2005-12-13 19:28  vividos

	* source/winlame/winlame.rc (1.90):

	made preset description edit window a bit larger

2005-12-11 23:01  vividos

	* source/install/UserInterface.wxs (1.4):

	added code for launching readme and program custom actions

2005-12-11 22:14  vividos

	* source/install/bin/: BackgroundImage.jpg (1.1), TopWizardBar.jpg
	  (1.1):

	added

2005-12-11 21:56  vividos

	* source/libraries/libvorbis.dll (1.5):

	updated to libvorbis-1.1.2

2005-12-11 21:18  vividos

	* source/install/UserInterface.wxs (1.3):

	adjusted look of MsiRMFilesInUse dialog to other dialog's look

2005-12-11 21:08  vividos

	* source/install/UserInterface.wxs (1.2):

	added "MsiRMFilesInUse" dialog, according to:
	http://blogs.msdn.com/windows_installer_team/archive/2005/11/03/488945.aspx

2005-12-11 20:32  vividos

	* source/install/UserInterface.wxs (1.1):

	added

2005-12-11 19:51  vividos

	* source/winlame/res/about.html (1.20):

	changed text sizes
	added link for WTL and corrected link for STLport

2005-12-11 19:42  vividos

	* source/winlame/encoder/wlModuleManagerImpl.cpp (1.26):

	reordered output modules

2005-12-11 19:05  vividos

	* source/winlame/stdafx.h (1.18):

	added fix for compiling with Windows 2003 SP1 Platform SDK

2005-12-11 19:05  vividos

	* source/winlame/wlAboutDlg.cpp (1.20):

	added STLport and WTL version extracting

2005-12-11 18:38  vividos

	* source/install/: ErrorTextList.wxs (1.1), .cvsignore (1.1):

	added

2005-12-11 18:37  vividos

	* source/libraries/src/libfreedb/freedb_local.cpp (1.2):

	added include to properly find unlink()

2005-12-11 18:36  vividos

	* source/libraries/src/libfreedb/freedb.hpp (1.2):

	added fix for compiling with Windows 2003 SP1 Platform SDK

2005-12-11 18:36  vividos

	* source/libraries/src/libfreedb/libfreedb.dsp (1.2):

	fixed compiling and linking with STLport-5.0.0

2005-12-11 17:24  vividos

	* source/winlame/preset/cppxml/: cppxml.hpp (1.4), lexer.cpp (1.4):

	added needed includes to compile with STLport 5.0.0

2005-12-11 17:19  vividos

	* source/winlame/wlOutputPage.cpp (1.32):

	removed obsolete include

2005-12-11 17:17  vividos

	* source/htmlhelp/html/howto/presets.html (1.10):

	commented-out obsolete preset values

2005-12-11 17:10  vividos

	* source/libraries/include/wtl/: AtlApp.h (1.5), AtlCtrls.h (1.5),
	  AtlDdx.h (1.5), AtlDlgs.h (1.5), AtlGdi.h (1.5), AtlMisc.h (1.5),
	  AtlRes.h (1.4), AtlUser.h (1.5), atlframe.h (1.3), atlwinx.h
	  (1.2):

	updated to WTL 5.0 build 5333
	http://prdownloads.sourceforge.net/wtl/WTL75_5333_Final.zip?download

2005-12-11 17:02  vividos

	* source/install/bin/: ChangeIcon.ico (1.1), ExclamationMark.ico
	  (1.1), FolderIcon.ico (1.1), FolderNewIcon.ico (1.1),
	  FolderUpIcon.ico (1.1), ReinstallIcon.ico (1.1), SetupIcon.ico
	  (1.1), SetupTypeCustom.ico (1.1), SetupTypeTypical.ico (1.1),
	  TipsFeatureExample.ico (1.1), TipsFirstUseInstall.ico (1.1),
	  TipsInstalled.ico (1.1), TipsNetworkInstall.ico (1.1),
	  TipsSubInstalled.ico (1.1), TipsUninstalled.ico (1.1),
	  UninstallIcon.ico (1.1):

	added

2005-12-11 17:02  vividos

	* source/winlame/: resource.h (1.53), winlame.rc (1.89):

	removed unused LAME config pages and related resources
	bumped version info version number to 0.0.3.0

2005-12-11 16:51  vividos

	* source/winlame/encoder/: wlLameOutputModule.cpp (1.49),
	  wlLameOutputModule.h (1.23):

	framesize is now queried from LAME encoder; it varies from MPEG version and layer number

2005-12-11 16:49  vividos

	* source/winlame/wlCDRipPage.cpp (1.7):

	adding separating slash to cdrip temp folder when it doesn't have one

2005-12-11 15:20  vividos

	* source/nlame/: nlame.c (1.23), nlame.h (1.21):

	added nle_var_framesize

2005-12-09 00:01  vividos

	* source/: winlame.dsp (1.63), winlame.mak (1.19):

	removed obsolete source files

2005-12-09 00:00  vividos

	* source/winlame/encoder/: wlLameOutputModule.cpp (1.48),
	  wlLameOutputModule.h (1.22):

	fixed a serious bug that happened when feeding LAME with a sample buffer other than 576 samples large; when doing this LAME produces different output than command line LAME
	changed applying vbr quality; not done anymore via preset values from 410..500
	now the encoding quality values built into nLAME are used when using -f or -h
	added checking nLAME API version and disallow loading API with lower version than 1

2005-12-08 23:56  vividos

	* source/winlame/encoder/wlModuleManagerImpl.cpp (1.25):

	added cd readout module to list of available input modules; enables listing module in about dialog

2005-12-08 23:54  vividos

	* source/winlame/wlCDRipPage.h (1.4):

	used other value for app wide message code

2005-12-08 23:53  vividos

	* source/winlame/encoder/wlEncoderImpl.cpp (1.40):

	fixed #ifdef'ing out sample container contents description

2005-11-30 23:22  vividos

	* source/winlame/: wlCDRipDlg.cpp (1.8), wlCDRipDlg.h (1.6):

	added support for genre combobox
	added icon to rip dialog

2005-11-30 23:19  vividos

	* source/winlame/encoder/wlEncoderImpl.cpp (1.39):

	output sample container in debug mode only, hiding unnecessary infos from user

2005-11-30 23:18  vividos

	* source/winlame/wlVariableManager.cpp (1.21):

	changed default value for quality to 4, as in LAME
	changed descriptive text for LAME variables

2005-11-30 23:18  vividos

	* source/winlame/wlLameSimpleSettingsPage.cpp (1.3):

	changed range of quality value to [0; 9]

2005-11-30 23:15  vividos

	* source/htmlhelp/html/pages/lame.html (1.3):

	updated description of options

2005-11-30 23:14  vividos

	* source/nlame/nlame.c (1.22):

	added nlame_get_string_compiler() to get a better compiler identification string
	reactivated the old and not reentrant nlame_get_cpu_features() that reports all cpu features, not only the first

2005-11-29 23:11  vividos

	* source/nlame/: nlame.c (1.21), nlame.def (1.9), nlame.h (1.20):

	added nLAME API versioning

2005-11-29 22:56  vividos

	* source/nlame/: nlame.c (1.20), nlame.h (1.19):

	moved nlame_quality_value enum to .c file; values should now be retrieved with nle_var_quality_value_high and nle_var_quality_value_fast

2005-11-25 00:44  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.47):

	fixed using CBR and ABR mode; it always used VBR mode due to misconfiguration
	added replay gain analysis option

2005-11-25 00:43  vividos

	* source/htmlhelp/toc.hhc (1.17):

	removed references to now obsolete LAME wizard pages

2005-11-25 00:37  vividos

	* source/nlame/: nlame.c (1.19), nlame.h (1.18):

	added options needed for replay gain analysis

2005-11-25 00:31  vividos

	* source/htmlhelp/html/pages/lame.html (1.2):

	described the various options; not finished yet

2005-11-25 00:31  vividos

	* source/htmlhelp/html/pages/encode.html (1.11):

	updated; thread priority is not configurable anymore

2005-11-25 00:30  vividos

	* source/htmlhelp/html/pages/: index.html (1.13), output.html
	  (1.12), presets.html (1.11):

	removed references to obsolete LAME wizard pages

2005-11-24 23:01  vividos

	* source/libraries/src/libfreedb/freedb.cpp (1.2):

	added debug output for freedb queries in debug mode

2005-11-23 20:06  vividos

	* source/nlame/nlame.rc (1.4):

	bumped the version to 3.97 (beta 1), since that's what we're already using

2005-11-23 20:03  vividos

	* source/libraries/include/wtl/atlwinx.h (1.1):

	added needed file

2005-11-23 20:01  vividos

	* source/libraries/include/wtl/: AtlApp.h (1.4), AtlCtrls.h (1.4),
	  AtlDdx.h (1.4), AtlDlgs.h (1.4), AtlGdi.h (1.4), AtlMisc.h (1.4),
	  AtlUser.h (1.4), atlframe.h (1.2):

	updated to WTL 7.5 beta 1

2005-11-23 19:58  vividos

	* source/nlame/nlame.rc (1.3):

	added resource file

2005-11-23 19:55  vividos

	* source/libraries/src/libsndfile/: ChangeLog (1.7), NEWS (1.7),
	  README (1.7), src/aiff.c (1.7), src/alaw.c (1.6), src/au.c (1.6),
	  src/au_g72x.c (1.7), src/avr.c (1.2), src/caf.c (1.1),
	  src/command.c (1.5), src/common.c (1.7), src/common.h (1.7),
	  src/config.h (1.2), src/dither.c (1.3), src/double64.c (1.6),
	  src/dwd.c (1.4), src/dwvw.c (1.6), src/file_io.c (1.6),
	  src/flac.c (1.1), src/float32.c (1.7), src/float_cast.h (1.5),
	  src/gsm610.c (1.6), src/htk.c (1.3), src/ima_adpcm.c (1.6),
	  src/interleave.c (1.4), src/ircam.c (1.6), src/libsndfile.def
	  (1.2), src/mat4.c (1.4), src/mat5.c (1.4), src/ms_adpcm.c (1.6),
	  src/nist.c (1.6), src/ogg.c (1.3), src/paf.c (1.7), src/pcm.c
	  (1.7), src/pvf.c (1.3), src/raw.c (1.6), src/rx2.c (1.5),
	  src/sd2.c (1.5), src/sds.c (1.4), src/sfendian.h (1.6),
	  src/sndfile.c (1.7), src/sndfile.h (1.10), src/strings.c (1.3),
	  src/svx.c (1.7), src/txw.c (1.5), src/ulaw.c (1.6), src/voc.c
	  (1.6), src/vox_adpcm.c (1.3), src/w64.c (1.5), src/wav.c (1.7),
	  src/wav_w64.c (1.5), src/wav_w64.h (1.5), src/wve.c (1.4),
	  src/xi.c (1.3), src/G72x/g72x_priv.h (1.3),
	  src/GSM610/gsm610_priv.h (1.3), win32/Makefile.msvc (1.7):

	updated to libsndfile-1.0.12

2005-11-23 19:55  vividos

	* source/: libmad.dsp (1.7), libmad.mak (1.5), nlame.dsp (1.17),
	  nlame.icl.mak (1.15), nlame.mak (1.16):

	added resource file

2005-11-23 19:27  vividos

	* source/libraries/src/: libmad/libmad.rc (1.1),
	  libsndfile/win32/Makefile.msvc (1.6),
	  libsndfile/win32/libsndfile.rc (1.4):

	added resource file

2005-11-02 21:06  vividos

	* source/winlame/: wlCDRipDlg.cpp (1.7), wlCDRipDlg.h (1.5):

	added editing track names by double-clicking on them

2005-11-02 21:04  vividos

	* source/winlame/wlInputPage.cpp (1.46):

	replaced MessageBox with wlMessageBox

2005-11-02 21:04  vividos

	* source/winlame/wlMainDlg.cpp (1.41):

	replaced MessageBox with wlMessageBox
	other minor changes

2005-11-02 21:03  vividos

	* source/winlame/wlMainDlg.h (1.32):

	fixed check for escape key to not leave winLAME when it is pressed

2005-11-02 21:02  vividos

	* source/winlame/: wlEncodePage.cpp (1.50), wlEncodePage.h (1.26),
	  wlEncoderInterface.h (1.21), wlErrorDlg.h (1.10):

	added ability to disable the "skip file" button

2005-11-02 20:59  vividos

	* source/winlame/wlCDRipPage.cpp (1.6):

	fixed generating ripped audio filename
	replaced MessageBox with wlMessageBox

2005-11-02 20:58  vividos

	* source/winlame/encoder/wlWaveOutputModule.cpp (1.22):

	made wlSndFileOutputFormat accessible from outside (used in wlEncoderImpl.cpp)

2005-11-02 20:57  vividos

	* source/winlame/encoder/: wlLameOutputModule.cpp (1.46),
	  wlLameOutputModule.h (1.21):

	removed non-simple-mode code

2005-11-02 20:56  vividos

	* source/winlame/encoder/wlCdReadoutModule.cpp (1.5):

	fixed reading empty disc infos like year and genre

2005-11-02 20:55  vividos

	* source/winlame/encoder/wlEncoderImpl.cpp (1.38):

	replaced testing if input file exists with shorter method, using GetFileAttributes
	when ripping from cd to wave file, 44 kHz 16bit stereo, ripped file is now moved to output location instead of reencoding

2005-11-02 20:53  vividos

	* source/winlame/wlCommonStuff.h (1.28):

	added wlMessageBox functions

2005-11-02 20:51  vividos

	* source/winlame/wlPresetsPage.cpp (1.23):

	changed the string for custom settings to "Custom settings"

2005-11-02 20:50  vividos

	* source/winlame/: wlOutputPage.cpp (1.31), wlAacSettingsPage.cpp
	  (1.14):

	replaced MessageBox with wlMessageBox

2005-11-02 20:50  vividos

	* source/winlame/TrackEditListCtrl.h (1.1):

	added track edit list control

2005-11-02 20:49  vividos

	* source/winlame/: wlVariableManager.cpp (1.20),
	  wlVariableManager.h (1.18):

	removed unneeded options

2005-10-27 21:47  vividos

	* source/: nlame.dsp (1.16), nlame.mak (1.15):

	excluded some assembler files from build - just as in lame_vc6.dsp

2005-10-27 21:30  vividos

	* source/nlame/: config.h (1.7), include/lame.h (1.7),
	  libmp3lame/VbrTag.c (1.7), libmp3lame/bitstream.c (1.7),
	  libmp3lame/encoder.c (1.6), libmp3lame/fft.c (1.6),
	  libmp3lame/id3tag.c (1.6), libmp3lame/l3side.h (1.4),
	  libmp3lame/lame-analysis.h (1.5), libmp3lame/lame.c (1.7),
	  libmp3lame/lame_global_flags.h (1.7), libmp3lame/machine.h (1.5),
	  libmp3lame/newmdct.c (1.6), libmp3lame/presets.c (1.5),
	  libmp3lame/psymodel.c (1.7), libmp3lame/quantize.c (1.7),
	  libmp3lame/quantize.h (1.5), libmp3lame/quantize_pvt.c (1.7),
	  libmp3lame/quantize_pvt.h (1.5), libmp3lame/reservoir.c (1.7),
	  libmp3lame/set_get.c (1.8), libmp3lame/tables.c (1.7),
	  libmp3lame/takehiro.c (1.7), libmp3lame/util.c (1.7),
	  libmp3lame/util.h (1.7), libmp3lame/vbrquantize.c (1.7),
	  libmp3lame/vbrquantize.h (1.5), libmp3lame/version.c (1.7),
	  libmp3lame/version.h (1.8):

	updated to lame-3.97 beta

2005-10-18 17:13  vividos

	* source/winlame/encoder/wlEncoderImpl.cpp (1.37):

	added unique string to track so that two winLAME instances can rip at the same time
	fixed deleting ripped cd tracks when user stops encoding; file is only deleted at the end of encoding

2005-10-18 17:11  vividos

	* source/winlame/: wlCDRipPage.cpp (1.5), wlCDRipPage.h (1.3):

	improved cd ripping:
	files are now deleted properly when winLAME shuts down
	added unique string to track so that two winLAME instances can rip at the same time

2005-10-18 17:09  vividos

	* source/winlame/winlame.rc (1.88):

	moved version to prerelease3

2005-09-27 18:32  vividos

	* source/winlame/res/about.html (1.19):

	added some more copyright info
	added WTL version

2005-09-27 18:30  vividos

	* source/winlame/: encoder/wlAacInputModule.cpp (1.22),
	  encoder/wlAacOutputModule.cpp (1.22),
	  encoder/wlBassInputModule.cpp (1.4),
	  encoder/wlBassWmaOutputModule.cpp (1.3),
	  encoder/wlCdReadoutModule.cpp (1.4), encoder/wlEncoderImpl.cpp
	  (1.36), encoder/wlFlacInputModule.cpp (1.4),
	  encoder/wlLameOutputModule.cpp (1.45),
	  encoder/wlMadMpegInputModule.cpp (1.30),
	  encoder/wlModuleManagerImpl.cpp (1.24),
	  encoder/wlMonkeysAudioInputModule.cpp (1.3),
	  encoder/wlOggVorbisInputModule.cpp (1.17),
	  encoder/wlOggVorbisOutputModule.cpp (1.29),
	  encoder/wlSampleContainer.cpp (1.7), encoder/wlTrackInfo.cpp
	  (1.10), encoder/wlWaveMp3Header.cpp (1.5),
	  encoder/wlWaveOutputModule.cpp (1.21),
	  encoder/wlWinampPluginInputModule.cpp (1.23),
	  preset/wlPresetManagerImpl.cpp (1.25),
	  preset/wlPropertyListBox.cpp (1.10), stdafx.h (1.17), winlame.cpp
	  (1.16), wlAacSettingsPage.cpp (1.13), wlAboutDlg.cpp (1.19),
	  wlCDRipDlg.cpp (1.6), wlCDRipPage.cpp (1.4),
	  wlCDRipTrackManager.cpp (1.3), wlCommonStuff.cpp (1.21),
	  wlEncodePage.cpp (1.49), wlInputListCtrl.cpp (1.11),
	  wlInputPage.cpp (1.45), wlLameAdvancedSettingsPage.cpp (1.11),
	  wlLameBasicSettingsPage.cpp (1.24), wlLameSimpleSettingsPage.cpp
	  (1.2), wlLameVBRSettingsPage.cpp (1.14), wlMainDlg.cpp (1.40),
	  wlOggVorbisSettingsPage.cpp (1.15), wlOutputPage.cpp (1.30),
	  wlPresetsPage.cpp (1.22), wlSettingsManager.cpp (1.10),
	  wlUISettings.cpp (1.18), wlVariableManager.cpp (1.19),
	  wlWaveOutputSettingsPage.cpp (1.10), wlWmaOutputSettingsPage.cpp
	  (1.3):

	added debug facility

2005-08-08 16:14  vividos

	* webpages/index.php (1.6):

	added referer logging

2005-07-26 20:53  vividos

	* webpages/index.php (1.5):

	added news item about prerelease 2

2005-07-26 20:52  vividos

	* source/winlame.nsi (1.40):

	added libFLAC.dll

2005-07-26 20:08  vividos

	* source/htmlhelp/html/pages/lame.html (1.1):

	added

2005-07-26 20:04  vividos

	* source/: libsndfile.dsp (1.12), winlame.dsp (1.62), winlame.mak
	  (1.18), winLAME.xbp (1.3):

	updated

2005-04-26 18:32  vividos

	* source/winlame/encoder/: wlCdReadoutModule.cpp (1.3),
	  wlCdReadoutModule.h (1.3):

	deleting temporary files only when track was completely encoded

2005-04-26 18:31  vividos

	* source/winlame/encoder/: wlEncoderImpl.cpp (1.35),
	  wlModuleInterface.h (1.21):

	extended input module doneInput() method to pass a bool that indicates if the track was encoded completely

2005-04-26 18:28  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.44):

	added "simple mode" implementation

2005-04-26 18:27  vividos

	* source/winlame/encoder/wlSndFileInputModule.cpp (1.31):

	added initializing buffer pointer in ctor

2005-04-26 18:25  vividos

	* source/winlame/encoder/wlOggVorbisOutputModule.cpp (1.28):

	preventing storing year "0" in ogg vorbis infos

2005-04-26 18:23  vividos

	* docs/TODO.txt (1.34):

	removed some TODO points

2005-04-26 18:23  vividos

	* source/winlame/: wlCDRipDlg.cpp (1.5), wlCDRipDlg.h (1.4):

	fixed data track handling
	added persisting year and genre in cdplayer.ini
	added "various artists" check functionality

2005-04-26 18:18  vividos

	* source/nlame/nlame.h (1.17):

	added nlame_quality_value enum
	added comments for nlame_vbr_mode enum

2005-04-26 18:18  vividos

	* source/htmlhelp/html/winlame.css (1.6):

	made fonts smaller

2005-04-26 18:18  vividos

	* source/htmlhelp/html/pages/: aac.html (1.10), encode.html (1.10),
	  input.html (1.14), lameadv.html (1.10), lamebasic.html (1.10),
	  lamevbr.html (1.10), oggvorbis.html (1.10), output.html (1.11),
	  presets.html (1.10), property.html (1.10), wave.html (1.10):

	removed images

2005-04-26 18:16  vividos

	* source/nlame.mak (1.14):

	updated makefile

2005-04-26 18:16  vividos

	* source/nlame.icl.mak (1.14):

	added icl makefile

2005-03-15 20:07  vividos

	* source/winlame.dsp (1.61), docs/License.winLAME.txt (1.8):

	updated

2005-03-15 20:06  vividos

	* source/presets.xml (1.18):

	removed alt- from presets

2005-03-15 20:05  vividos

	* source/winlame.nsi (1.39):

	updated for new installer UI

2005-03-15 20:05  vividos

	* source/: libraries/src/libfreedb/libfreedb.mak (1.1),
	  winlame/wlLameSimpleSettingsPage.cpp (1.1),
	  winlame/wlLameSimpleSettingsPage.h (1.1),
	  winlame/encoder/ssrc/dbesi0.c (1.1),
	  winlame/encoder/ssrc/fftsg_fl.c (1.1),
	  winlame/encoder/ssrc/ssrc.c (1.1):

	added

2005-03-15 19:47  vividos

	* source/winlame/: resource.h (1.52), encoder/wlAacOutputModule.cpp
	  (1.21), encoder/wlCdReadoutModule.cpp (1.2),
	  encoder/wlCdReadoutModule.h (1.2), encoder/wlLameOutputModule.cpp
	  (1.43), encoder/wlLameOutputModule.h (1.20),
	  encoder/wlModuleInterface.h (1.20), winlame.rc (1.87),
	  wlCDRipDlg.cpp (1.4), wlEncodePage.cpp (1.48), wlOutputPage.cpp
	  (1.29), wlUISettings.cpp (1.17), wlVariableManager.cpp (1.18),
	  wlVariableManager.h (1.17):

	more work on cd extraction
	started work on simplified LAME settings page

2005-03-10 22:25  vividos

	* source/libraries/include/: faac.h (1.4), faaccfg.h (1.2), faad.h
	  (1.6), neaacdec.h (1.1):

	updated faac/faad headers

2005-03-10 22:23  vividos

	* source/: winlame.mak (1.17), winlame/resource.h (1.51),
	  winlame/winlame.rc (1.86), winlame/encoder/wlAacInputModule.cpp
	  (1.21), winlame/encoder/wlAacInputModule.h (1.16),
	  winlame/encoder/wlAacOutputModule.cpp (1.20),
	  winlame/encoder/wlModuleInterface.h (1.19),
	  winlame/res/about.html (1.18), winlame/wlCDRipDlg.cpp (1.3),
	  winlame/wlCDRipDlg.h (1.3), winlame/wlCDRipPage.cpp (1.3),
	  winlame/wlCommonStuff.cpp (1.20), winlame/wlCommonStuff.h (1.27),
	  winlame/wlInputListCtrl.cpp (1.10), winlame/wlInputListCtrl.h
	  (1.8), winlame/wlInputPage.cpp (1.44), winlame/wlOutputPage.h
	  (1.16):

	added cd extraction option dialog

2005-03-10 22:21  vividos

	* source/winlame/encoder/: wlCdReadoutModule.cpp (1.1),
	  wlCdReadoutModule.h (1.1):

	added cd readout module

2005-03-10 22:19  vividos

	* source/libraries/lib/: libfaac.lib (1.3), libfaad2.lib (1.5):

	updated import libs

2005-03-10 16:50  vividos

	* source/libraries/include/wtl/atlframe.h (1.1):

	added needed WTL header

2005-03-10 16:10  vividos

	* docs/TODO.txt (1.33):

	updated TODO-list

2005-03-10 16:07  vividos

	* winlame.dsw (1.11):

	updated workspace

2005-03-10 16:07  vividos

	* source/: build.bat (1.11), build.icl.bat (1.6), build.stl.bat
	  (1.3):

	removed

2005-03-10 15:59  vividos

	* source/: winLAME.xbp (1.2), winlame.dsp (1.60), winlame.nsi
	  (1.38), winlame/resource.h (1.50), winlame/stdafx.h (1.16),
	  winlame/winlame.rc (1.85), winlame/encoder/wlAacInputModule.cpp
	  (1.20), winlame/encoder/wlAacOutputModule.cpp (1.19),
	  winlame/encoder/wlBassInputModule.cpp (1.3),
	  winlame/encoder/wlBassWmaOutputModule.cpp (1.2),
	  winlame/encoder/wlEncoderImpl.cpp (1.34),
	  winlame/encoder/wlFlacInputModule.cpp (1.3),
	  winlame/encoder/wlModuleInterface.h (1.18),
	  winlame/encoder/wlModuleManagerImpl.cpp (1.23),
	  winlame/encoder/wlModuleManagerImpl.h (1.15),
	  winlame/encoder/wlOggVorbisOutputModule.cpp (1.27),
	  winlame/encoder/wlSndFileInputModule.h (1.16),
	  winlame/wlAboutDlg.cpp (1.18), winlame/wlCDRipDlg.cpp (1.2),
	  winlame/wlCDRipDlg.h (1.2), winlame/wlCDRipPage.cpp (1.2),
	  winlame/wlCDRipPage.h (1.2), winlame/wlCDRipTrackManager.cpp
	  (1.2), winlame/wlCDRipTrackManager.h (1.2),
	  winlame/wlCommonStuff.cpp (1.19), winlame/wlCommonStuff.h (1.26),
	  winlame/wlEncodePage.cpp (1.47), winlame/wlInputListCtrl.cpp
	  (1.9), winlame/wlInputListCtrl.h (1.7), winlame/wlInputPage.cpp
	  (1.43), winlame/wlInputPage.h (1.25), winlame/wlMainDlg.h (1.31),
	  winlame/wlOutputPage.cpp (1.28), winlame/wlOutputPage.h (1.15),
	  winlame/wlPageBase.h (1.15), winlame/wlSystemTrayIcon.h (1.6),
	  winlame/wlUISettings.cpp (1.16), winlame/wlUIinterface.h (1.22):

	more work on cd ripping and misc. stuff

2005-03-10 15:57  vividos

	* docs/License.winLAME.txt (1.7):

	updated year

2005-03-05 11:03  vividos

	* source/winlame/: resource.h (1.49), encoder/wlBassInputModule.cpp
	  (1.2), encoder/wlBassInputModule.h (1.2),
	  encoder/wlFlacInputModule.cpp (1.2), encoder/wlFlacInputModule.h
	  (1.2), preset/wlPropertyListBox.cpp (1.9), res/about.html (1.17),
	  res/btnicons.bmp (1.4), stdafx.cpp (1.7), stdafx.h (1.15),
	  winlame.cpp (1.15), winlame.rc (1.84), wlAacSettingsPage.cpp
	  (1.12), wlAacSettingsPage.h (1.9), wlAboutDlg.cpp (1.17),
	  wlCommonStuff.cpp (1.18), wlEncodePage.cpp (1.46), wlEncodePage.h
	  (1.25), wlInputListCtrl.cpp (1.8), wlInputPage.cpp (1.42),
	  wlInputPage.h (1.24), wlLameAdvancedSettingsPage.cpp (1.10),
	  wlLameBasicSettingsPage.cpp (1.23), wlLameVBRSettingsPage.cpp
	  (1.13), wlCDRipDlg.cpp (1.1), wlCDRipDlg.h (1.1), wlCDRipPage.cpp
	  (1.1), wlCDRipPage.h (1.1), wlCDRipTrackManager.cpp (1.1),
	  wlCDRipTrackManager.h (1.1), wlMainDlg.cpp (1.39), wlMainDlg.h
	  (1.30), wlOggVorbisSettingsPage.cpp (1.14), wlOutputPage.cpp
	  (1.27), wlPageBase.h (1.14), wlPresetsPage.cpp (1.21),
	  wlUISettings.cpp (1.15), wlUIinterface.h (1.21),
	  wlWaveOutputSettingsPage.cpp (1.9), wlWmaOutputSettingsPage.cpp
	  (1.2):

	many additions and fixes
	added support for cd audio extraction (not finished yet)

2005-03-05 11:01  vividos

	* source/libraries/src/libfreedb/libfreedb.dsp (1.1):

	added project file

2005-03-02 21:55  vividos

	* source/libraries/src/libfreedb/freedb_remote.cpp (1.2):

	fixed warning about uninitialized variable

2005-03-02 21:54  vividos

	* source/libraries/include/freedb.hpp (1.2):

	disabled cdrom code

2005-03-02 21:53  vividos

	* source/libraries/src/libid3tag/msvc++/libid3tag.dsp (1.3):

	corrected output paths to match winLAME's folder structure

2005-03-02 21:52  vividos

	* source/libraries/: include/freedb.hpp (1.1),
	  src/libfreedb/cdrom.cpp (1.1), src/libfreedb/config.h (1.1),
	  src/libfreedb/freedb.cpp (1.1), src/libfreedb/freedb.hpp (1.1),
	  src/libfreedb/freedb_error.cpp (1.1),
	  src/libfreedb/freedb_helpers.cpp (1.1),
	  src/libfreedb/freedb_local.cpp (1.1),
	  src/libfreedb/freedb_remote.cpp (1.1):

	added a hacked-on version of libfreedb

2005-03-02 20:07  vividos

	* source/libraries/src/libid3tag/msvc++/libid3tag.dsp (1.2):

	corrected output paths to match winLAME's folder structure

2005-03-02 19:57  vividos

	* source/libraries/src/libid3tag/: CHANGES (1.1), COPYING (1.1),
	  COPYRIGHT (1.1), CREDITS (1.1), README (1.1), TODO (1.1),
	  compat.c (1.1), compat.h (1.1), crc.c (1.1), crc.h (1.1), debug.c
	  (1.1), debug.h (1.1), field.c (1.1), field.h (1.1), file.c (1.1),
	  file.h (1.1), frame.c (1.1), frame.h (1.1), frametype.c (1.1),
	  frametype.h (1.1), genre.c (1.1), genre.dat (1.1), genre.h (1.1),
	  global.h (1.1), id3tag.h (1.1), latin1.c (1.1), latin1.h (1.1),
	  parse.c (1.1), parse.h (1.1), render.c (1.1), render.h (1.1),
	  tag.c (1.1), tag.h (1.1), ucs4.c (1.1), ucs4.h (1.1), utf16.c
	  (1.1), utf16.h (1.1), utf8.c (1.1), utf8.h (1.1), util.c (1.1),
	  util.h (1.1), version.c (1.1), version.h (1.1), msvc++/config.h
	  (1.1), msvc++/libid3tag.dsp (1.1):

	added files for libid3tag-0.15.1b

2005-03-02 19:55  vividos

	* source/libraries/include/id3tag.h (1.1):

	added header for libid3tag-0.15.1b

2005-02-23 19:39  vividos

	* source/winlame-light.nsi (1.28):

	removed install file for winLAME-light

2005-02-23 19:37  vividos

	* source/libraries/: include/basscd.h (1.1), lib/bass.lib (1.1),
	  lib/basscd.lib (1.1), lib/basswma.lib (1.1):

	added more BASS libs and headers

2005-02-23 19:36  vividos

	* source/libraries/libmmd.dll (1.1):

	added file needed for libvorbis.dll

2005-02-23 19:34  vividos

	* source/libraries/libFLAC.dll (1.1):

	added flac DLL version 1.1.2
	http://flac.sourceforge.net/

2005-02-23 19:33  vividos

	* source/libraries/: bass.dll (1.1), basscd.dll (1.1), basswma.dll
	  (1.1):

	added dlls from bass 2.1, basscd 2.1 and basswma 2.1
	http://www.un4seen.com/

2005-02-23 19:25  vividos

	* source/libraries/include/FLAC/: all.h (1.2), assert.h (1.2),
	  export.h (1.2), file_decoder.h (1.2), file_encoder.h (1.2),
	  format.h (1.2), metadata.h (1.2), callback.h (1.1), ordinals.h
	  (1.2), seekable_stream_decoder.h (1.2), seekable_stream_encoder.h
	  (1.2), stream_decoder.h (1.2), stream_encoder.h (1.2):

	updated to flac-1.1.2

2005-02-22 19:27  vividos

	* buildtools/nasmw.exe (1.1):

	added nasm 0.98.39 from http://nasm.sourceforge.net/

2005-02-22 19:25  vividos

	* source/winLAME.xbp (1.1):

	added BuildManager project file

2005-02-22 19:23  vividos

	* source/: libmad.dsp (1.6), libmad.mak (1.4), libsndfile.dsp
	  (1.11), nlame.dsp (1.15), nlame.mak (1.13), winlame.dsp (1.59),
	  winlame.mak (1.16):

	updated makefiles

2005-02-22 19:22  vividos

	* source/winlame/: encoder/wlBassInputModule.cpp (1.1),
	  encoder/wlBassInputModule.h (1.1),
	  encoder/wlBassWmaOutputModule.cpp (1.1),
	  encoder/wlBassWmaOutputModule.h (1.1),
	  encoder/wlFlacInputModule.cpp (1.1), wlWmaOutputSettingsPage.cpp
	  (1.1), wlWmaOutputSettingsPage.h (1.1),
	  encoder/wlFlacInputModule.h (1.1):

	added new files by DeXT

2005-02-22 19:19  vividos

	* source/libraries/include/wtl/: AtlApp.h (1.3), AtlCtrls.h (1.3),
	  AtlDdx.h (1.3), AtlDlgs.h (1.3), AtlGdi.h (1.3), AtlMisc.h (1.3),
	  AtlRes.h (1.3), AtlUser.h (1.3), readme.txt (1.2):

	updated to WTL from 2005-02-19

2005-02-22 19:14  vividos

	* source/winlame/: encoder/aacinfo/aacinfo.c (1.7),
	  encoder/aacinfo/filestream.c (1.7), encoder/dither/dither.c
	  (1.6), encoder/wlAacInputModule.cpp (1.19),
	  encoder/replaygain/gain_analysis.c (1.2),
	  encoder/replaygain/gain_analysis.h (1.2),
	  encoder/wlAacInputModule.h (1.15), encoder/wlAacOutputModule.cpp
	  (1.18), encoder/wlAacOutputModule.h (1.10),
	  encoder/wlEncoderImpl.cpp (1.33), encoder/wlEncoderImpl.h (1.25),
	  encoder/wlLameOutputModule.cpp (1.42),
	  encoder/wlMadMpegInputModule.cpp (1.29),
	  encoder/wlModuleManagerImpl.cpp (1.22),
	  encoder/wlMonkeysAudioInputModule.cpp (1.2),
	  encoder/wlOggVorbisInputModule.cpp (1.16),
	  encoder/wlOggVorbisOutputModule.cpp (1.26),
	  encoder/wlSndFileInputModule.cpp (1.30),
	  encoder/wlSndFileInputModule.h (1.15), resource.h (1.48),
	  encoder/wlTrackInfo.cpp (1.9), encoder/wlTrackInfo.h (1.7),
	  encoder/wlWaveOutputModule.cpp (1.20),
	  encoder/wlWaveOutputModule.h (1.14),
	  encoder/wlWinampPluginInputModule.cpp (1.22),
	  encoder/wlWinampPluginInputModule.h (1.14), res/about.html
	  (1.16), winlame.rc (1.83), wlAacSettingsPage.cpp (1.11),
	  wlAacSettingsPage.h (1.8), wlEncodePage.cpp (1.45),
	  wlEncoderInterface.h (1.20), wlMainDlg.cpp (1.38),
	  wlOutputPage.cpp (1.26), wlPresetsPage.cpp (1.20),
	  wlUISettings.cpp (1.14), wlUIinterface.h (1.20),
	  wlVariableManager.cpp (1.17), wlVariableManager.h (1.16),
	  wlWaveOutputSettingsPage.cpp (1.8):

	added DeXT's changes

2005-02-22 19:09  vividos

	* source/libraries/include/: bass.h (1.1), basswma.h (1.1):

	added bass header

2005-02-22 19:08  vividos

	* source/libraries/include/mac/: APETag.h (1.1), All.h (1.1), IO.h
	  (1.1), MACDll.h (1.1), MACLib.h (1.1), SmartPtr.h (1.1):

	added monkey audio's header

2005-02-22 19:07  vividos

	* source/libraries/include/FLAC/: all.h (1.1), assert.h (1.1),
	  export.h (1.1), file_decoder.h (1.1), file_encoder.h (1.1),
	  format.h (1.1), metadata.h (1.1), ordinals.h (1.1),
	  seekable_stream_decoder.h (1.1), seekable_stream_encoder.h (1.1),
	  stream_decoder.h (1.1), stream_encoder.h (1.1):

	added FLAC headers

2005-02-22 19:05  vividos

	* source/libraries/include/mad.h (1.7):

	updated to libmad version 0.15.1 beta

2005-02-22 19:02  vividos

	* source/libraries/lib/libFLAC.lib (1.1):

	added FLAC lib

2005-02-22 19:00  vividos

	* source/libraries/lib/: libfaac.lib (1.2), libfaad2.lib (1.4):

	updated faac/faad libs

2005-02-22 18:55  vividos

	* source/nlame/: config.h (1.6), nlame.c (1.18), nlame.h (1.16),
	  include/lame.h (1.6), libmp3lame/VbrTag.c (1.6),
	  libmp3lame/VbrTag.h (1.5), libmp3lame/bitstream.c (1.6),
	  libmp3lame/encoder.c (1.5), libmp3lame/fft.c (1.5),
	  libmp3lame/gain_analysis.c (1.2), libmp3lame/gain_analysis.h
	  (1.2), libmp3lame/id3tag.c (1.5), libmp3lame/lame-analysis.h
	  (1.4), libmp3lame/lame.c (1.6), libmp3lame/lame_global_flags.h
	  (1.6), libmp3lame/newmdct.c (1.5), libmp3lame/presets.c (1.4),
	  libmp3lame/psymodel.c (1.6), libmp3lame/quantize.c (1.6),
	  libmp3lame/quantize_pvt.c (1.6), libmp3lame/quantize_pvt.h (1.4),
	  libmp3lame/reservoir.c (1.6), libmp3lame/set_get.c (1.7),
	  libmp3lame/tables.c (1.6), libmp3lame/takehiro.c (1.6),
	  libmp3lame/util.c (1.6), libmp3lame/util.h (1.6),
	  libmp3lame/vbrquantize.c (1.6), libmp3lame/version.c (1.6),
	  libmp3lame/version.h (1.7):

	updated to lame-3.96.1

2005-02-22 18:52  vividos

	* source/libraries/src/libsndfile/: AUTHORS (1.3), ChangeLog (1.6),
	  NEWS (1.6), README (1.6), TODO (1.3), src/G72x/ChangeLog (1.2),
	  src/G72x/g721.c (1.3), src/G72x/g723_16.c (1.3),
	  src/G72x/g723_24.c (1.3), src/G72x/g723_40.c (1.3),
	  src/G72x/g72x.c (1.4), src/G72x/g72x.h (1.4),
	  src/G72x/g72x_priv.h (1.2), src/G72x/g72x_test.c (1.4),
	  src/GSM610/ChangeLog (1.4), src/GSM610/add.c (1.4),
	  src/GSM610/code.c (1.4), src/GSM610/config.h (1.4),
	  src/GSM610/decode.c (1.4), src/GSM610/gsm.h (1.4),
	  src/GSM610/gsm610_priv.h (1.2), src/GSM610/gsm_create.c (1.4),
	  src/GSM610/gsm_decode.c (1.4), src/GSM610/gsm_destroy.c (1.4),
	  src/GSM610/gsm_encode.c (1.4), src/GSM610/gsm_option.c (1.4),
	  src/GSM610/long_term.c (1.5), src/GSM610/lpc.c (1.4),
	  src/GSM610/preprocess.c (1.4), src/GSM610/rpe.c (1.4),
	  src/GSM610/short_term.c (1.4), src/GSM610/table.c (1.4),
	  src/aiff.c (1.6), src/alaw.c (1.5), src/au.c (1.5), src/au.h
	  (1.5), src/au_g72x.c (1.6), src/command.c (1.4), src/common.c
	  (1.6), src/common.h (1.6), src/dither.c (1.2), src/double64.c
	  (1.5), src/dwd.c (1.3), src/dwvw.c (1.5), src/file_io.c (1.5),
	  src/float32.c (1.6), src/float_cast.h (1.4), src/gsm610.c (1.5),
	  src/htk.c (1.2), src/ima_adpcm.c (1.5), src/interleave.c (1.3),
	  src/ircam.c (1.5), src/mat4.c (1.3), src/mat5.c (1.3),
	  src/ms_adpcm.c (1.5), src/nist.c (1.5), src/ogg.c (1.2),
	  src/paf.c (1.6), src/pcm.c (1.6), src/pvf.c (1.2), src/raw.c
	  (1.5), src/rx2.c (1.4), src/sd2.c (1.4), src/sds.c (1.3),
	  src/sfendian.h (1.5), src/sndfile.c (1.6), src/strings.c (1.2),
	  src/svx.c (1.6), src/txw.c (1.4), src/ulaw.c (1.5), src/voc.c
	  (1.5), src/vox_adpcm.c (1.2), src/w64.c (1.4), src/wav.c (1.6),
	  src/wav_w64.c (1.4), src/wav_w64.h (1.4), src/wve.c (1.3),
	  src/xi.c (1.2), src/avr.c (1.1), src/config.h (1.1),
	  src/libsndfile.def (1.1), src/sf_unistd.h (1.1), src/sndfile.h
	  (1.9), win32/Makefile.msvc (1.5), win32/config.h (1.7),
	  win32/libsndfile.def (1.5), win32/sndfile.h (1.5), win32/unistd.h
	  (1.5):

	updated to libsndfile version 1.0.11

2005-02-22 18:48  vividos

	* source/libraries/include/: faac.h (1.3), faad.h (1.5), faaccfg.h
	  (1.1):

	updated faac/faad headers

2005-02-22 18:46  vividos

	* source/libraries/src/libmad/: CHANGES (1.2), COPYRIGHT (1.4),
	  CREDITS (1.2), D.dat (1.4), README (1.2), TODO (1.2), VERSION
	  (1.2), bit.c (1.4), bit.h (1.4), config.h (1.4), decoder.c (1.4),
	  decoder.h (1.4), fixed.c (1.4), fixed.h (1.4), frame.c (1.4),
	  frame.h (1.4), global.h (1.4), huffman.c (1.4), huffman.h (1.4),
	  imdct_l_arm.S (1.4), imdct_s.dat (1.4), layer12.c (1.4),
	  layer12.h (1.4), layer3.c (1.4), layer3.h (1.4), mad.h.sed (1.4),
	  qc_table.dat (1.4), rq_table.dat (1.4), sf_table.dat (1.4),
	  stream.c (1.4), stream.h (1.4), synth.c (1.4), synth.h (1.4),
	  timer.c (1.4), timer.h (1.4), version.c (1.4), version.h (1.4):

	updated to libmad version 0.15.1 beta

2005-02-22 18:24  vividos

	* source/libraries/include/sndfile.h (1.12):

	updated to libsndfile version 1.0.11

2005-02-22 18:23  vividos

	* source/libraries/libvorbis.dll (1.4):

	updated to libvorbis version 1.1.0

2004-06-01 20:19  vividos

	* webpages/bugs.php (1.4):

	removed

2004-06-01 20:16  vividos

	* webpages/: download.php (1.6), faq.php (1.1), features.php (1.4),
	  footer.php (1.1), header.php (1.1), index.php (1.4), note.png
	  (1.1), screenshots.php (1.3):

	updated files from web page; added new files

2004-06-01 20:11  vividos

	* webpages/: archive.php (1.4), links.php (1.5), news.php (1.5),
	  stats.php (1.2):

	removed

2004-04-22 23:05  vividos

	* source/winlame/encoder/: wlMonkeysAudioInputModule.cpp (1.1),
	  wlMonkeysAudioInputModule.h (1.1):

	added monkeys audio input module

2004-03-22 21:59  vividos

	* source/winlame.dsp (1.58):

	added unicode targets
	added monkey's audio module

2004-03-22 21:56  vividos

	* source/winlame/encoder/: wlMadMpegInputModule.cpp (1.28),
	  wlSndFileInputModule.cpp (1.29), wlWaveOutputModule.cpp (1.19),
	  wlWinampPluginInputModule.cpp (1.21):

	compile fixes

2004-03-22 21:56  vividos

	* source/winlame-light.nsi (1.27):

	updated

2004-03-22 21:56  vividos

	* source/winlame.nsi (1.37):

	updated; added libmmd.dll

2004-01-14 21:35  vividos

	* source/winlame/res/about.html (1.15):

	updated version numbers and copyright years

2004-01-14 21:32  vividos

	* source/winlame/: encoder/wlAacInputModule.cpp (1.18),
	  encoder/wlAacInputModule.h (1.14), encoder/wlAacOutputModule.cpp
	  (1.17), encoder/wlAacOutputModule.h (1.9),
	  encoder/wlEncoderImpl.cpp (1.32), encoder/wlEncoderImpl.h (1.24),
	  encoder/wlLameOutputModule.cpp (1.41), encoder/aacinfo/aacinfo.c
	  (1.6), encoder/aacinfo/aacinfo.h (1.5),
	  encoder/aacinfo/filestream.c (1.6), encoder/aacinfo/filestream.h
	  (1.5), stdafx.cpp (1.6), stdafx.h (1.14), winlame.cpp (1.14),
	  winlame.rc (1.82), wlAacSettingsPage.cpp (1.10),
	  wlAacSettingsPage.h (1.7), wlAboutDlg.cpp (1.16), wlAboutDlg.h
	  (1.10), wlCommonStuff.cpp (1.17), wlCommonStuff.h (1.25),
	  wlEncodePage.cpp (1.44), wlEncodePage.h (1.24),
	  wlEncoderInterface.h (1.19), wlErrorDlg.h (1.9), wlHtmlHelp.h
	  (1.6), wlInputListCtrl.cpp (1.7), wlInputListCtrl.h (1.6),
	  wlInputPage.cpp (1.41), wlInputPage.h (1.23),
	  wlLameAdvancedSettingsPage.cpp (1.9),
	  wlLameAdvancedSettingsPage.h (1.7), wlLameBasicSettingsPage.cpp
	  (1.22), wlLameBasicSettingsPage.h (1.11),
	  wlLameVBRSettingsPage.cpp (1.12), wlLameVBRSettingsPage.h (1.8),
	  wlMainDlg.cpp (1.37), wlMainDlg.h (1.29),
	  wlOggVorbisSettingsPage.cpp (1.13), wlOggVorbisSettingsPage.h
	  (1.12), wlOutputPage.cpp (1.25), wlOutputPage.h (1.14),
	  wlPageBase.h (1.13), wlPresetManagerInterface.h (1.10),
	  wlPresetsPage.cpp (1.19), wlPresetsPage.h (1.11),
	  wlSettingsManager.cpp (1.9), wlSettingsManager.h (1.10),
	  wlSystemTrayIcon.h (1.5), wlUISettings.cpp (1.13),
	  wlUIinterface.h (1.19), wlVariableManager.cpp (1.16),
	  wlVariableManager.h (1.15), wlWaveOutputSettingsPage.cpp (1.7),
	  wlWaveOutputSettingsPage.h (1.7), encoder/wlLameOutputModule.h
	  (1.19), encoder/wlMadMpegInputModule.cpp (1.27),
	  encoder/wlMadMpegInputModule.h (1.14),
	  encoder/wlModuleInterface.h (1.17),
	  encoder/wlModuleManagerImpl.cpp (1.21),
	  encoder/wlModuleManagerImpl.h (1.14),
	  encoder/wlOggVorbisInputModule.cpp (1.15),
	  encoder/wlOggVorbisInputModule.h (1.13),
	  encoder/wlOggVorbisOutputModule.cpp (1.25),
	  encoder/wlOggVorbisOutputModule.h (1.13),
	  encoder/wlSampleContainer.cpp (1.6), encoder/wlSampleContainer.h
	  (1.5), encoder/wlSndFileInputModule.cpp (1.28),
	  encoder/wlSndFileInputModule.h (1.14), encoder/wlTrackInfo.cpp
	  (1.8), encoder/wlTrackInfo.h (1.6), encoder/wlWaveMp3Header.cpp
	  (1.4), encoder/wlWaveMp3Header.h (1.4),
	  encoder/wlWaveOutputModule.cpp (1.18),
	  encoder/wlWaveOutputModule.h (1.13),
	  encoder/wlWinampPluginInputModule.cpp (1.20),
	  encoder/wlWinampPluginInputModule.h (1.13),
	  preset/wlPresetManagerImpl.cpp (1.24),
	  preset/wlPresetManagerImpl.h (1.19), preset/wlPropertyDlg.h
	  (1.7), preset/wlPropertyListBox.cpp (1.8),
	  preset/wlPropertyListBox.h (1.9):

	updated to compile under unicode

2004-01-14 16:48  vividos

	* buildtools/upx.exe (1.6):

	updated to upx-1.24

2004-01-14 16:45  vividos

	* source/: nlame.icl.mak (1.13), nlame_icl6.mak (1.1):

	replaced old icl makefile for nlame.dll with new one

2004-01-14 16:44  vividos

	* source/libsndfile.dsp (1.10):

	added needed files for libsndfile-1.0.5

2004-01-14 16:42  vividos

	* source/nlame_icl6.dsp (1.1):

	added John33's makefile for use with icl6
	replaced "upx -9" with "upx --best"

2004-01-14 16:39  vividos

	* source/nlame.dsp (1.14):

	updated

2004-01-14 16:34  vividos

	* source/nlame/nlame.h (1.15):

	added new preset values

2004-01-14 16:34  vividos

	* source/nlame/nlame.c (1.17):

	added John33's changes to update to lame-3.95.1

2004-01-13 22:50  vividos

	* source/libraries/libvorbis.dll (1.3):

	updated to libvorbis.dll version 1.0.1
	available from http://rarewares.hydrogenaudio.org/ogg.html

2004-01-13 22:45  vividos

	* source/nlame/: config.h (1.5), include/lame.h (1.5),
	  libmp3lame/VbrTag.c (1.5), libmp3lame/VbrTag.h (1.4),
	  libmp3lame/bitstream.c (1.5), libmp3lame/bitstream.h (1.3),
	  libmp3lame/encoder.c (1.4), libmp3lame/encoder.h (1.4),
	  libmp3lame/fft.c (1.4), libmp3lame/fft.h (1.3),
	  libmp3lame/gain_analysis.c (1.1), libmp3lame/gain_analysis.h
	  (1.1), libmp3lame/id3tag.c (1.4), libmp3lame/id3tag.h (1.3),
	  libmp3lame/l3side.h (1.3), libmp3lame/lame-analysis.h (1.3),
	  libmp3lame/lame.c (1.5), libmp3lame/lame_global_flags.h (1.5),
	  libmp3lame/machine.h (1.4), libmp3lame/newmdct.c (1.4),
	  libmp3lame/newmdct.h (1.3), libmp3lame/presets.c (1.3),
	  libmp3lame/psymodel.c (1.5), libmp3lame/psymodel.h (1.3),
	  libmp3lame/quantize.c (1.5), libmp3lame/quantize.h (1.4),
	  libmp3lame/quantize_pvt.c (1.5), libmp3lame/quantize_pvt.h (1.3),
	  libmp3lame/reservoir.c (1.5), libmp3lame/reservoir.h (1.3),
	  libmp3lame/set_get.c (1.6), libmp3lame/set_get.h (1.1),
	  libmp3lame/tables.c (1.5), libmp3lame/tables.h (1.3),
	  libmp3lame/takehiro.c (1.5), libmp3lame/util.c (1.5),
	  libmp3lame/util.h (1.5), libmp3lame/vbrquantize.c (1.5),
	  libmp3lame/vbrquantize.h (1.4), libmp3lame/version.c (1.5),
	  libmp3lame/version.h (1.6), libmp3lame/i386/cpu_feat.nas (1.3),
	  libmp3lame/i386/fft3dn.nas (1.3):

	updated to lame-3.95.1

2004-01-13 22:24  vividos

	* source/libraries/: include/mad.h (1.6), src/libmad/COPYRIGHT
	  (1.3), src/libmad/D.dat (1.3), src/libmad/bit.c (1.3),
	  src/libmad/bit.h (1.3), src/libmad/config.h (1.3),
	  src/libmad/decoder.c (1.3), src/libmad/decoder.h (1.3),
	  src/libmad/fixed.c (1.3), src/libmad/fixed.h (1.3),
	  src/libmad/frame.c (1.3), src/libmad/frame.h (1.3),
	  src/libmad/global.h (1.3), src/libmad/huffman.c (1.3),
	  src/libmad/huffman.h (1.3), src/libmad/imdct_l_arm.S (1.3),
	  src/libmad/imdct_s.dat (1.3), src/libmad/layer12.c (1.3),
	  src/libmad/layer12.h (1.3), src/libmad/layer3.c (1.3),
	  src/libmad/layer3.h (1.3), src/libmad/mad.h.sed (1.3),
	  src/libmad/qc_table.dat (1.3), src/libmad/rq_table.dat (1.3),
	  src/libmad/sf_table.dat (1.3), src/libmad/stream.c (1.3),
	  src/libmad/stream.h (1.3), src/libmad/synth.c (1.3),
	  src/libmad/CHANGES (1.1), src/libmad/COPYING (1.1),
	  src/libmad/CREDITS (1.1), src/libmad/README (1.1),
	  src/libmad/TODO (1.1), src/libmad/VERSION (1.1),
	  src/libmad/synth.h (1.3), src/libmad/timer.c (1.3),
	  src/libmad/timer.h (1.3), src/libmad/version.c (1.3),
	  src/libmad/version.h (1.3):

	updated to libmad-0.15.0 (beta)
	available from http://www.underbit.com/products/mad/

2004-01-13 22:13  vividos

	* source/libraries/include/sndfile.h (1.11):

	updated to libsndfile-1.0.5

2004-01-13 22:08  vividos

	* source/libraries/src/libsndfile/: ChangeLog (1.5), NEWS (1.5),
	  README (1.5), src/aiff.c (1.5), src/G72x/g72x_test.c (1.3),
	  src/GSM610/ChangeLog (1.3), src/GSM610/long_term.c (1.4),
	  src/alaw.c (1.4), src/au.c (1.4), src/au.h (1.4), src/au_g72x.c
	  (1.5), src/command.c (1.3), src/common.c (1.5), src/common.h
	  (1.5), src/dither.c (1.1), src/double64.c (1.4), src/dwd.c (1.2),
	  src/dwvw.c (1.4), src/file_io.c (1.4), src/float32.c (1.5),
	  src/float_cast.h (1.3), src/gsm610.c (1.4), src/htk.c (1.1),
	  src/ima_adpcm.c (1.4), src/interleave.c (1.2), src/ircam.c (1.4),
	  src/mat4.c (1.2), src/mat5.c (1.2), src/ms_adpcm.c (1.4),
	  src/nist.c (1.4), src/ogg.c (1.1), src/paf.c (1.5), src/pcm.c
	  (1.5), src/pvf.c (1.1), src/raw.c (1.4), src/rx2.c (1.3),
	  src/sd2.c (1.3), src/sds.c (1.2), src/sfendian.c (1.2),
	  src/sfendian.h (1.4), src/sndfile.c (1.5), src/strings.c (1.1),
	  src/svx.c (1.5), src/txw.c (1.3), src/ulaw.c (1.4), src/voc.c
	  (1.4), src/vox_adpcm.c (1.1), src/w64.c (1.3), src/wav.c (1.5),
	  src/wav_w64.c (1.3), src/wav_w64.h (1.3), src/wve.c (1.2),
	  src/xi.c (1.1), win32/Makefile.msvc (1.4), win32/config.h (1.6),
	  win32/libsndfile.def (1.4), win32/sndfile.h (1.4), win32/unistd.h
	  (1.4):

	updated to libsndfile-1.0.5

2003-05-06 09:22  vividos

	* source/: build.bat (1.10), libmad.dsp (1.5), libmad.mak (1.3),
	  libsndfile.dsp (1.9), nlame.dsp (1.13), nlame.icl.mak (1.12),
	  nlame.mak (1.12), winlame-light.nsi (1.26), winlame.dsp (1.57),
	  winlame.mak (1.15), winlame.nsi (1.36):

	updated to use upx option --best instead of -9

2003-05-06 08:59  vividos

	* source/winlame/encoder/wlAacInputModule.h (1.13):

	using version number from faad.h now

2003-05-06 08:59  vividos

	* source/winlame/encoder/wlAacInputModule.cpp (1.17):

	fixed calling libfaad2 functions

2003-05-06 08:58  vividos

	* docs/doxygen.cfg (1.13), source/winlame-light.nsi (1.25),
	  source/winlame.nsi (1.35), source/winlame/winlame.rc (1.81):

	updated version numbers to "final"

2003-05-06 08:57  vividos

	* source/winlame/wlOutputPage.cpp (1.24):

	fixed two bugs:
	output location edit field wasn't disabled when reentering output page
	output folder was asked to be created even when "use input folder as output location" was checked

2003-05-06 08:54  vividos

	* source/libraries/: include/faad.h (1.4), lib/libfaad2.lib (1.3):

	updated to latest libfaad2 header and lib file

2002-11-22 15:31  vividos

	* webpages/index.php (1.3):

	removed referer logging

2002-11-22 15:30  vividos

	* webpages/download.php (1.5):

	removed beta statement

2002-11-22 15:27  vividos

	* webpages/download.php (1.4):

	new windows are opened for file downloads

2002-11-22 15:15  vividos

	* webpages/bugs.php (1.3):

	removed bug report form

2002-11-22 15:13  vividos

	* webpages/news.php (1.4):

	updated news page

2002-11-22 14:47  vividos

	* webpages/archive.php (1.3):

	moved news items to archive

2002-11-22 14:38  vividos

	* webpages/download.php (1.3):

	updated download page

2002-11-22 14:14  vividos

	* ChangeLog (1.15):

	updated for rc3

2002-11-22 14:05  vividos

	* source/winlame/wlPresetsPage.cpp (1.18):

	default preset is now "alt-preset standard"
	
2002-11-22 14:03  vividos

	* docs/TODO.txt (1.32):

	updated
	
2002-11-22 13:57  vividos

	* source/htmlhelp/toc.hhc (1.16):

	small changes
	
2002-11-22 13:57  vividos

	* source/htmlhelp/html/howto/: index.html (1.10), ripencode.html
	(1.6):

	updated howto
	
2002-11-22 13:27  vividos

	* source/htmlhelp/html/pages/output.html (1.10):

	updated documentation with new feature
	
2002-11-22 13:25  vividos

	* source/htmlhelp/html/pages/images/output.png (1.5):

	updated image
	
2002-11-22 13:22  vividos

	* source/winlame/winlame.rc (1.80):

	modified transcode warning text
	
2002-11-22 13:22  vividos

	* source/winlame/wlEncodePage.cpp (1.43):

	added icon to message box
	
2002-11-22 13:21  vividos

	* source/winlame/encoder/wlEncoderImpl.cpp (1.31):

	added check for transcoding
	
2002-11-22 13:20  vividos

	* source/winlame/: resource.h (1.47), winlame.rc (1.79),
	wlEncodePage.cpp (1.42):

	added function wlWarnAboutTranscode() to warn about transcoding
	
2002-11-22 12:53  vividos

	* source/winlame/wlEncodePage.cpp (1.41):

	added input file path as output folder usage
	
2002-11-22 12:52  vividos

	* source/winlame/encoder/wlMadMpegInputModule.cpp (1.26):

	fixed problem with reading in free format mp3
	
2002-11-22 12:23  vividos

	* source/winlame/: resource.h (1.46), res/logo.bmp (1.6),
	winlame.rc (1.78), wlOutputPage.cpp (1.23), wlOutputPage.h (1.13),
	wlUISettings.cpp (1.12), wlUIinterface.h (1.18):

	added check for "use input file's folder as output location" on output page
	
2002-11-22 12:03  vividos

	* source/htmlhelp/html/misc/credits.html (1.3):

	updated credits
	
2002-10-15 09:33  vividos

	* docs/.cvsignore (1.2):

	added html folder to ignore
	
2002-10-01 20:52  vividos

	* ChangeLog (1.14):

	updated
	
2002-09-28 13:17  vividos

	* source/winlame/res/about.html (1.14):

	removed strange character at the end of the about box page
	
2002-09-28 11:53  vividos

	* source/htmlhelp/html/howto/ripencode.html (1.5):

	converted to use proper line endings
	
2002-09-28 11:40  vividos

	* source/libsndfile.mak (1.3):

	libsndfile is now built with own makefile
	
2002-09-28 11:37  vividos

	* docs/.cvsignore (1.1):

	added
	
2002-09-28 11:33  vividos

	* docs/builddocs.bat (1.4):

	removed copying of chm file (done by hhc now)
	
2002-09-28 11:31  vividos

	* docs/doxygen.css (1.4):

	removed source documentation stylesheet (not needed anymore)
	
2002-09-28 11:30  vividos

	* docs/doxygen.cfg (1.12):

	updated version number and some other stuff
	
2002-09-28 11:27  vividos

	* docs/doxygen.cfg (1.11):

	updated config file for doxygen 1.2.18
	
2002-09-28 11:22  vividos

	* docs/doxygen.cfg (1.10):

	converted all documents to use proper cr-lf
	
2002-09-26 13:18  vividos

	* source/winlame/: winlame.rc (1.77),
	encoder/wlWinampPluginInputModule.cpp (1.19):

	fixed error with some input modules not using the proper dll instance handle
	
2002-09-26 13:12  vividos

	* source/htmlhelp/html/pages/input.html (1.13):

	added description of input module configure dialog
	
2002-09-26 13:04  vividos

	* source/htmlhelp/: crushpng.bat (1.3),
	html/pages/images/btn_config.png (1.1),
	html/pages/images/inmod_cfg.png (1.1):

	added more images for input page
	
2002-09-26 12:53  vividos

	* source/htmlhelp/html/pages/images/input.png (1.6):

	added "config input modules" button
	
2002-09-26 12:48  vividos

	* docs/TODO.txt (1.31):

	updated
	
2002-09-26 12:45  vividos

	* source/htmlhelp/html/howto/plugins.html (1.3):

	added Winamp input plugins how-to
	
2002-09-26 12:45  vividos

	* source/htmlhelp/: toc.hhc (1.15), html/howto/index.html (1.9):

	changed ordering of how-to's
	
2002-09-26 12:35  vividos

	* source/winlame/res/about.html (1.13):

	corrected MAD copyright statement
	
2002-09-25 23:14  vividos

	* source/winlame/encoder/replaygain/: gain_analysis.c (1.1),
	gain_analysis.h (1.1):

	added replay gain source
	http://www.replaygain.org/
	
2002-09-25 23:06  vividos

	* docs/TODO.txt (1.30):

	updated
	
2002-09-25 23:02  vividos

	* source/htmlhelp/html/misc/intromp3.html (1.8):

	updated intro a bit
	
2002-09-25 22:54  vividos

	* source/htmlhelp/html/: index.html (1.13), howto/index.html (1.8),
	howto/plugins.html (1.2), howto/presets.html (1.9),
	howto/ripencode.html (1.4), misc/credits.html (1.2),
	misc/features.html (1.9), misc/intromp3.html (1.7),
	misc/licenses.html (1.9), pages/aac.html (1.9), pages/encode.html
	(1.9), pages/index.html (1.12), pages/input.html (1.12),
	pages/lameadv.html (1.9), pages/lamebasic.html (1.9),
	pages/lamevbr.html (1.9), pages/oggvorbis.html (1.9),
	pages/output.html (1.9), pages/presets.html (1.9),
	pages/property.html (1.9), pages/wave.html (1.9),
	techref/index.html (1.9), techref/mpegheader.html (1.10),
	techref/wlarch.html (1.6):

	removed image on the top of each file
	
2002-09-25 22:47  vividos

	* source/htmlhelp/: toc.hhc (1.14), html/howto/index.html (1.7),
	html/howto/plugins.html (1.1):

	added how-to for using Winamp input plugins
	
2002-09-25 19:19  vividos

	* source/winlame/: res/btnicons.bmp (1.3), winlame.rc (1.76):

	added icon for "configure input module" button
	added tooltips for newly added buttons
	
2002-09-25 19:01  vividos

	* webpages/: archive.php (1.2), news.php (1.3):

	made rc3 announcement
	moved old news items to archive
	
2002-09-25 18:57  vividos

	* webpages/links.php (1.4):

	updated link for hydrogen audio forum
	
2002-09-25 18:52  vividos

	* webpages/: features.php (1.3), links.php (1.3):

	updated NSIS link
	
2002-09-25 18:49  vividos

	* source/winlame/: encoder/wlEncoderImpl.cpp (1.30),
	wlEncodePage.cpp (1.40), encoder/wlEncoderImpl.h (1.23),
	wlEncoderInterface.h (1.18):

	used mutex lock to lock encoder object
	ensures that encoding description is shown for very short (and quick to encode) files
	
2002-09-25 18:07  vividos

	* source/winlame/: wlEncoderInterface.h (1.17), wlInputPage.cpp
	(1.40), wlInputPage.h (1.22):

	added message box for errors when opening/dropping input files to the list
	
2002-09-25 18:06  vividos

	* source/winlame/encoder/: wlModuleManagerImpl.cpp (1.20),
	wlModuleManagerImpl.h (1.13):

	added way to retrieve error message on failure of getAudioFileInfo()
	
2002-09-25 17:35  vividos

	* source/winlame/: resource.h (1.45), winlame.rc (1.75),
	wlInputPage.cpp (1.39), wlInputPage.h (1.21):

	added input modules config dialog
	
2002-09-25 17:34  vividos

	* source/winlame/encoder/wlWinampPluginInputModule.cpp (1.18):

	active window is now set
	
2002-09-25 17:20  vividos

	* source/winlame/encoder/: wlModuleInterface.h (1.16),
	wlWinampPluginInputModule.cpp (1.17), wlWinampPluginInputModule.h
	(1.12):

	made wlInputModule::canConfigure() and configureModule() virtual, to get module configuring to work
	
2002-09-25 16:51  vividos

	* source/winlame/: resource.h (1.44), winlame.rc (1.74),
	wlEncoderInterface.h (1.16), wlInputPage.cpp (1.38), wlInputPage.h
	(1.20), encoder/wlModuleManagerImpl.h (1.12):

	added button to configure input modules (when available)
	
2002-09-22 17:45  vividos

	* source/: libraries/src/libsndfile/.cvsignore (1.1),
	htmlhelp/.cvsignore (1.1):

	added
	
2002-09-22 17:42  vividos

	* source/winlame/encoder/wlWinampPluginInputModule.cpp (1.16):

	finished Winamp input plugin module
	
2002-09-22 17:41  vividos

	* source/winlame/encoder/wlModuleManagerImpl.cpp (1.19):

	changed string printed in debug trace
	
2002-09-22 17:40  vividos

	* source/winlame/encoder/: wlAacInputModule.cpp (1.16),
	wlOggVorbisOutputModule.cpp (1.24):

	prevented to call FreeLibrary with NULL param
	
2002-09-20 18:02  vividos

	* source/winlame/encoder/wlWinampPluginInputModule.cpp (1.15):

	added another dummy function
	
2002-09-20 17:39  vividos

	* source/winlame/encoder/: wlWinampPluginInputModule.cpp (1.14),
	wlWinampPluginInputModule.h (1.11):

	implemented Winamp input module usage
	
2002-09-20 17:38  vividos

	* source/winlame/encoder/wlWaveOutputModule.cpp (1.17):

	cleared sfinfo struct before opening
	
2002-09-20 15:00  vividos

	* source/winlame/encoder/: wlWinampPluginInputModule.cpp (1.13),
	wlWinampPluginInputModule.h (1.10):

	added module name string
	
2002-09-20 14:46  vividos

	* buildtools/upx.exe (1.5):

	updated to upx-1.23
	http://upx.sourceforge.net/
	
2002-09-19 17:03  vividos

	* source/libraries/lib/.cvsignore (1.1):

	added
	
2002-09-19 17:01  vividos

	* source/build.bat (1.9):

	libsndfile.dll is now created using the libsndfile-own msvc makefile
	
2002-09-16 22:49  vividos

	* source/libraries/include/: ogg/ogg.h (1.4), ogg/os_types.h (1.4),
	vorbis/codec.h (1.4), vorbis/vorbisenc.h (1.4), vorbis/vorbisfile.h
	(1.4):

	updated libogg / libvorbis headers to the ones in the release 1.0 win32 SDK
	
2002-09-15 12:10  vividos

	* source/winlame/encoder/: wlWinampPluginInputModule.cpp (1.12),
	wlWinampPluginInputModule.h (1.9):

	wlWinampPluginInputModule only manages one "in_*.dll" Winamp plugin at a time (but several are possible)
	
2002-09-15 12:08  vividos

	* source/winlame/encoder/: wlAacInputModule.cpp (1.15),
	wlAacInputModule.h (1.12), wlMadMpegInputModule.cpp (1.25),
	wlMadMpegInputModule.h (1.13), wlModuleInterface.h (1.15),
	wlModuleManagerImpl.cpp (1.18), wlModuleManagerImpl.h (1.11),
	wlOggVorbisInputModule.cpp (1.14), wlOggVorbisInputModule.h (1.12),
	wlSndFileInputModule.cpp (1.27), wlSndFileInputModule.h (1.13):

	added configure functions to wlInputModule
	added cloneModule() function to wlInputModule
	modified creation of "cloned" input modules
	added scanning for "in_*.dll" Winamp plugins
	
2002-09-15 12:01  vividos

	* source/winlame/encoder/wlSndFileInputModule.cpp (1.26):

	added proper way to retrieve type and subtype format description string
	
2002-09-14 15:53  vividos

	* source/winlame/encoder/wlModuleInterface.h (1.14):

	added functions to configure input module
	
2002-09-14 15:26  vividos

	* webpages/index.php (1.2):

	removed "stats" link
	
2002-09-14 15:21  vividos

	* webpages/: bugs.php (1.2), download.php (1.2), features.php
	(1.2), links.php (1.2), news.php (1.2), screenshots.php (1.2):

	updated with current web page
	
2002-09-14 15:13  vividos

	* source/winlame/encoder/wlSndFileInputModule.cpp (1.25):

	added (currently disabled) way to retrieve type and subtype descriptions
	
2002-09-14 15:10  vividos

	* webpages/: archive.php (1.1), bugs.php (1.1), clear.gif (1.1),
	download.php (1.1), favicon.ico (1.1), features.php (1.1),
	links.php (1.1), news.php (1.1), screenshots.php (1.1), stats.php
	(1.1), winlame1.png (1.1), winlame2.png (1.1), winlame3.png (1.1),
	winlame4.png (1.1):

	added
	
2002-09-14 14:59  vividos

	* webpages/index.php (1.1):

	added
	
2002-09-14 14:51  vividos

	* .cvsignore (1.2):

	added more folders to ignore
	
2002-09-14 14:47  vividos

	* source/libsndfile.dsp (1.8):

	added new files for libsndfile-1.0.1
	
2002-09-14 14:46  vividos

	* source/build.icl.bat (1.5):

	changed path to iccvars.bat
	
2002-09-14 14:45  vividos

	* source/libraries/: include/sndfile.h (1.10),
	src/libsndfile/win32/sndfile.h (1.3):

	reverted back to win32 version of libsndfile-1.0.1 sndfile.h include file
	
2002-09-14 14:43  vividos

	* source/libraries/src/libsndfile/src/: sndfile.h (1.8),
	sndfile.h.in (1.3):

	removed unneeded files
	
2002-09-14 14:43  vividos

	* source/libraries/src/libsndfile/src/.cvsignore (1.2):

	ignored sndfile.h
	
2002-09-14 11:43  vividos

	* source/libraries/: include/sndfile.h (1.9),
	src/libsndfile/src/sndfile.h (1.7), src/libsndfile/win32/sndfile.h
	(1.2):

	added macro to distinguish between msvc and gnu version of declaration of sf_count_t
	
2002-09-14 11:41  vividos

	* source/libraries/src/libsndfile/src/: interleave.c (1.1), mat4.c
	(1.1), mat5.c (1.1):

	added new files from libsndfile-1.0.1
	
2002-09-14 11:40  vividos

	* source/libraries/src/libsndfile/: src/.cvsignore (1.1),
	src/G72x/.cvsignore (1.1), src/GSM610/.cvsignore (1.1),
	win32/.cvsignore (1.1):

	added .cvsignore files
	
2002-09-14 11:28  vividos

	* source/libraries/: include/sndfile.h (1.8),
	src/libsndfile/ChangeLog (1.4), src/libsndfile/NEWS (1.4),
	src/libsndfile/README (1.4), src/libsndfile/src/aiff.c (1.4),
	src/libsndfile/src/au_g72x.c (1.4), src/libsndfile/src/command.c
	(1.2), src/libsndfile/src/common.c (1.4),
	src/libsndfile/src/common.h (1.4), src/libsndfile/src/double64.c
	(1.3), src/libsndfile/src/dwvw.c (1.3),
	src/libsndfile/src/file_io.c (1.3), src/libsndfile/src/float32.c
	(1.4), src/libsndfile/src/gsm610.c (1.3),
	src/libsndfile/src/ima_adpcm.c (1.3), src/libsndfile/src/ms_adpcm.c
	(1.3), src/libsndfile/src/paf.c (1.4), src/libsndfile/src/pcm.c
	(1.4), src/libsndfile/src/sndfile.c (1.4),
	src/libsndfile/src/sndfile.h (1.6), src/libsndfile/src/sndfile.h.in
	(1.2), src/libsndfile/src/svx.c (1.4), src/libsndfile/src/wav.c
	(1.4), src/libsndfile/win32/Makefile.msvc (1.3),
	src/libsndfile/win32/config.h (1.5), src/libsndfile/win32/sndfile.h
	(1.1):

	updated to libsndfile-1.0.1
	
2002-09-05 13:37  vividos

	* buildtools/hhkproc.exe (1.1):

	added htmlhelp keyword index processor
	
2002-09-05 13:36  vividos

	* source/htmlhelp/buildhelp.bat (1.5):

	added full command line for hhkproc
	
2002-09-05 13:36  vividos

	* source/htmlhelp/keywords.txt (1.1):

	added keywords list
	
2002-09-05 13:15  vividos

	* source/htmlhelp/buildhelp.bat (1.4):

	added line to build keyword index
	
2002-09-05 13:14  vividos

	* source/htmlhelp/index.hhk (1.3):

	removed keyword index file (will be autogenerated)
	
2002-09-03 20:04  vividos

	* docs/License.winLAME.txt (1.6):

	converted all files to use proper line endings
	
2002-09-03 19:30  vividos

	* source/: winlame-light.nsi (1.24), winlame.nsi (1.34),
	winlame/winlame.rc (1.73):

	update version number to rc3
	
2002-09-03 19:27  vividos

	* source/winlame/encoder/wlWaveOutputModule.cpp (1.16):

	updated wave output interface for libsndfile-1.0
	
2002-09-03 19:26  vividos

	* source/winlame/encoder/: wlSndFileInputModule.cpp (1.24),
	wlSndFileInputModule.h (1.12):

	updated sndfile interface for libsndfile-1.0.0
	
2002-09-03 19:05  vividos

	* source/winlame/preset/: wlPresetManagerImpl.cpp (1.23),
	wlPresetManagerImpl.h (1.18):

	removed MSXML and xmlpp parsers
	
2002-09-03 19:03  vividos

	* docs/: CVS-Structure.txt (1.5), Compiling.txt (1.6), Copying.GPL
	(1.2), Copying.LGPL (1.3), Copying.Lesser (1.3), Copying.Ogg-Vorbis
	(1.2), License.LAME (1.2), License.winLAME.txt (1.5), TODO.txt
	(1.29), builddocs.bat (1.3), doxygen.cfg (1.9), doxygen.css (1.3):

	converted all files to use proper line endings
	
2002-09-03 18:48  vividos

	* source/winlame.dsp (1.56):

	reordered source file folders
	
2002-09-03 18:43  vividos

	* source/winlame/: encoder/aacinfo/aacinfo.c (1.5),
	encoder/aacinfo/aacinfo.h (1.4), encoder/aacinfo/filestream.c
	(1.5), encoder/aacinfo/filestream.h (1.4), encoder/dither/dither.c
	(1.5), encoder/wlAacInputModule.cpp (1.14),
	encoder/wlAacInputModule.h (1.11), encoder/dither/dither.h (1.4),
	encoder/wlAacOutputModule.cpp (1.16), encoder/wlAacOutputModule.h
	(1.8), encoder/wlEncoderImpl.cpp (1.29), encoder/wlEncoderImpl.h
	(1.22), encoder/wlLameOutputModule.cpp (1.40),
	encoder/wlLameOutputModule.h (1.18),
	encoder/wlMadMpegInputModule.cpp (1.24),
	encoder/wlMadMpegInputModule.h (1.12), encoder/wlModuleInterface.h
	(1.13), encoder/wlModuleManagerImpl.cpp (1.17),
	encoder/wlModuleManagerImpl.h (1.10),
	encoder/wlOggVorbisInputModule.cpp (1.13),
	encoder/wlOggVorbisInputModule.h (1.11),
	encoder/wlOggVorbisOutputModule.cpp (1.23),
	encoder/wlOggVorbisOutputModule.h (1.12),
	encoder/wlSampleContainer.cpp (1.5), encoder/wlSampleContainer.h
	(1.4), encoder/wlSndFileInputModule.cpp (1.23),
	encoder/wlSndFileInputModule.h (1.11), encoder/wlTrackInfo.cpp
	(1.7), encoder/wlTrackInfo.h (1.5), encoder/wlWaveMp3Header.cpp
	(1.3), encoder/wlWaveMp3Header.h (1.3),
	encoder/wlWaveOutputModule.cpp (1.15), encoder/wlWaveOutputModule.h
	(1.12), encoder/wlWinampPluginInputModule.cpp (1.11),
	encoder/wlWinampPluginInputModule.h (1.8), preset/cppxml/cppxml.cpp
	(1.4), preset/cppxml/cppxml.hpp (1.3), preset/cppxml/lexer.cpp
	(1.3), preset/cppxml/lexer.hpp (1.3),
	preset/wlPresetManagerImpl.cpp (1.22), preset/wlPresetManagerImpl.h
	(1.17), preset/cppxml/parser.cpp (1.3), preset/cppxml/parser.hpp
	(1.3), preset/cppxml/smart_ptr.hpp (1.2), resource.h (1.43),
	preset/wlPropertyDlg.h (1.6), preset/wlPropertyListBox.cpp (1.7),
	preset/wlPropertyListBox.h (1.8), res/about.html (1.12),
	res/winlame.rc2 (1.4), stdafx.cpp (1.5), stdafx.h (1.13),
	winlame.cpp (1.13), winlame.rc (1.72), wlAacSettingsPage.cpp (1.9),
	wlAacSettingsPage.h (1.6), wlAboutDlg.cpp (1.15), wlAboutDlg.h
	(1.9), wlCommonStuff.cpp (1.16), wlCommonStuff.h (1.24),
	wlEncodePage.cpp (1.39), wlEncodePage.h (1.23),
	wlEncoderInterface.h (1.15), wlErrorDlg.h (1.8), wlHtmlHelp.h
	(1.5), wlInputListCtrl.cpp (1.6), wlInputListCtrl.h (1.5),
	wlInputPage.cpp (1.37), wlInputPage.h (1.19),
	wlLameAdvancedSettingsPage.cpp (1.8), wlLameAdvancedSettingsPage.h
	(1.6), wlLameBasicSettingsPage.cpp (1.21),
	wlLameBasicSettingsPage.h (1.10), wlLameVBRSettingsPage.cpp (1.11),
	wlLameVBRSettingsPage.h (1.7), wlMainDlg.cpp (1.36), wlMainDlg.h
	(1.28), wlOggVorbisSettingsPage.cpp (1.12),
	wlOggVorbisSettingsPage.h (1.11), wlOutputPage.cpp (1.22),
	wlOutputPage.h (1.12), wlPageBase.h (1.12),
	wlPresetManagerInterface.h (1.9), wlPresetsPage.cpp (1.17),
	wlPresetsPage.h (1.10), wlSettingsManager.cpp (1.8),
	wlSettingsManager.h (1.9), wlSystemTrayIcon.h (1.4),
	wlUISettings.cpp (1.11), wlUIinterface.h (1.17),
	wlVariableManager.cpp (1.15), wlVariableManager.h (1.14),
	wlWaveOutputSettingsPage.cpp (1.6), wlWaveOutputSettingsPage.h
	(1.6):

	converted all files to use proper line endings
	
2002-09-03 18:39  vividos

	* source/winlame/preset/: msxml3.tlh (1.2), xmlpp/smart_ptr.hpp
	(1.3), xmlpp/xmlparser.cpp (1.3), xmlpp/xmlparser.hpp (1.2),
	xmlpp/xmlpp.cpp (1.5), xmlpp/xmlpp.hpp (1.2),
	xmlpp/xmltokenizer.cpp (1.5), xmlpp/xmltokenizer.hpp (1.3):

	removed xmlpp and msxml files
	
2002-09-03 18:37  vividos

	* COPYING (1.2), readme.txt (1.9):

	converted all files to use proper line endings
	
2002-09-03 18:32  vividos

	* source/: build.bat (1.8), build.icl.bat (1.4), build.stl.bat
	(1.2), libmad.mak (1.2), nlame.icl.mak (1.11), nlame.mak (1.11),
	presets.xml (1.17), winLAME.exe.manifest (1.3), winlame-light.nsi
	(1.23), winlame.mak (1.14), winlame.nsi (1.33):

	converted all files to use proper line endings
	
2002-09-03 18:28  vividos

	* source/: libraries/src/libmad/libmad.def (1.2),
	libraries/src/libmad/mad.h.sed (1.2),
	libraries/src/libmad/qc_table.dat (1.2),
	libraries/src/libmad/rq_table.dat (1.2),
	libraries/src/libmad/sf_table.dat (1.2),
	libraries/src/libmad/stream.c (1.2), libraries/src/libmad/stream.h
	(1.2), libraries/src/libmad/synth.c (1.2),
	libraries/src/libmad/synth.h (1.2), libraries/src/libmad/timer.c
	(1.2), libraries/src/libmad/timer.h (1.2),
	libraries/src/libmad/version.c (1.2),
	libraries/src/libmad/version.h (1.2), htmlhelp/buildhelp.bat (1.3),
	htmlhelp/crushpng.bat (1.2), htmlhelp/index.hhk (1.2),
	htmlhelp/toc.hhc (1.13), htmlhelp/winlamehelp.hhp (1.5),
	htmlhelp/html/winlame.css (1.5):

	converted all files to use proper line endings
	
2002-09-03 18:24  vividos

	* source/libraries/: include/winamp/out.h (1.2),
	include/wtl/AtlApp.h (1.2), include/wtl/AtlCtrls.h (1.2),
	include/wtl/AtlDdx.h (1.2), include/wtl/AtlDlgs.h (1.2),
	include/wtl/AtlGdi.h (1.2), include/wtl/AtlMisc.h (1.2),
	include/wtl/AtlRes.h (1.2), include/wtl/AtlUser.h (1.2),
	src/libmad/COPYRIGHT (1.2), src/libmad/D.dat (1.2),
	src/libmad/bit.c (1.2), src/libmad/bit.h (1.2), src/libmad/config.h
	(1.2), src/libmad/decoder.c (1.2), src/libmad/decoder.h (1.2),
	src/libmad/fixed.c (1.2), src/libmad/fixed.h (1.2),
	src/libmad/frame.c (1.2), src/libmad/frame.h (1.2),
	src/libmad/global.h (1.2), src/libmad/huffman.c (1.2),
	src/libmad/huffman.h (1.2), src/libmad/imdct_l_arm.S (1.2),
	src/libmad/imdct_s.dat (1.2), src/libmad/layer12.c (1.2),
	src/libmad/layer12.h (1.2), src/libmad/layer3.c (1.2),
	src/libmad/layer3.h (1.2):

	converted all files to use proper line endings
	
2002-09-03 18:21  vividos

	* source/: nlame/libmp3lame/tables.c (1.4),
	nlame/libmp3lame/tables.h (1.2), nlame/libmp3lame/takehiro.c (1.4),
	nlame/libmp3lame/tools.c (1.2), nlame/libmp3lame/tools.h (1.4),
	nlame/libmp3lame/util.c (1.4), nlame/nlame.c (1.16),
	nlame/libmp3lame/util.h (1.4), nlame/libmp3lame/vbrquantize.c
	(1.4), nlame/libmp3lame/vbrquantize.h (1.3),
	nlame/libmp3lame/version.c (1.4), nlame/libmp3lame/version.h (1.5),
	nlame/nlame.def (1.8), nlame/nlame.h (1.14), libraries/README.txt
	(1.3), libraries/include/faac.h (1.2), libraries/include/faad.h
	(1.3), libraries/include/htmlhelp.h (1.2),
	libraries/include/ogg/ogg.h (1.3), libraries/include/ogg/os_types.h
	(1.3), libraries/include/vorbis/codec.h (1.3),
	libraries/include/vorbis/vorbisenc.h (1.3),
	libraries/include/vorbis/vorbisfile.h (1.3),
	libraries/include/winamp/in2.h (1.2):

	converted all files to use proper line endings
	
2002-09-03 18:17  vividos

	* source/nlame/: config.h (1.4), include/lame.h (1.4),
	libmp3lame/VbrTag.c (1.4), libmp3lame/VbrTag.h (1.3),
	libmp3lame/bitstream.c (1.4), libmp3lame/bitstream.h (1.2),
	libmp3lame/encoder.c (1.3), libmp3lame/encoder.h (1.3),
	libmp3lame/fft.c (1.3), libmp3lame/fft.h (1.2),
	libmp3lame/i386/choose_table.nas (1.2),
	libmp3lame/i386/cpu_feat.nas (1.2), libmp3lame/i386/fft.nas (1.2),
	libmp3lame/i386/fft3dn.nas (1.2), libmp3lame/i386/fftfpu.nas (1.2),
	libmp3lame/i386/fftsse.nas (1.2), libmp3lame/i386/ffttbl.nas (1.2),
	libmp3lame/id3tag.c (1.3), libmp3lame/id3tag.h (1.2),
	libmp3lame/l3side.h (1.2), libmp3lame/lame-analysis.h (1.2),
	libmp3lame/i386/scalar.nas (1.2), libmp3lame/lame.c (1.4),
	libmp3lame/lame_global_flags.h (1.4), libmp3lame/lameerror.h (1.2),
	libmp3lame/machine.h (1.3), libmp3lame/newmdct.c (1.3),
	libmp3lame/newmdct.h (1.2), libmp3lame/pcm.c (1.4),
	libmp3lame/pcm.h (1.2), libmp3lame/presets.c (1.2),
	libmp3lame/psymodel.c (1.4), libmp3lame/psymodel.h (1.2),
	libmp3lame/quantize.c (1.4), libmp3lame/quantize.h (1.3),
	libmp3lame/quantize_pvt.c (1.4), libmp3lame/quantize_pvt.h (1.2),
	libmp3lame/reservoir.c (1.4), libmp3lame/reservoir.h (1.2),
	libmp3lame/set_get.c (1.5):

	converted all files to use proper line endings
	
2002-09-03 17:33  vividos

	* source/.cvsignore (1.2):

	added *.dep files to ignore list
	
2002-09-03 17:32  vividos

	* source/: libsndfile.dsp (1.7), libsndfile.mak (1.2):

	updated project / makefiles
	
2002-09-03 17:29  vividos

	* source/libraries/: include/sndfile.h (1.7),
	src/libsndfile/src/sndfile.h (1.5):

	added proper sndfile.h that works for msvc
	
2002-09-03 17:21  vividos

	* source/libraries/include/sndfile.h (1.6):

	added include file for libsndfile-1.0.0
	
2002-09-03 17:20  vividos

	* source/libraries/src/libsndfile/src/: G72x/private.h (1.3),
	GSM610/private.h (1.3), GSM610/proto.h (1.2), GSM610/unproto.h
	(1.2), samplitude.c (1.3), sf_command.h (1.2):

	removed files that are not part of libsndfile-1.0.0
	
2002-09-03 17:17  vividos

	* source/libraries/src/libsndfile/: src/voc.c (1.3), src/w64.c
	(1.2), src/wav.c (1.3), src/wav_w64.c (1.2), src/wav_w64.h (1.2),
	win32/Makefile.msvc (1.2), win32/config.h (1.4),
	win32/libsndfile.def (1.3), src/G72x/g72x_priv.h (1.1),
	win32/unistd.h (1.3), src/GSM610/gsm610_priv.h (1.1), src/command.c
	(1.1), src/dwd.c (1.1), src/sds.c (1.1), src/sfendian.c (1.1),
	src/sndfile.h.in (1.1), src/wve.c (1.1):

	updated to libsndfile-1.0.0
	available at http://www.zip.com.au/~erikd/libsndfile/
	
2002-09-03 17:14  vividos

	* source/libraries/src/libsndfile/: ChangeLog (1.3), NEWS (1.3),
	README (1.3), src/G72x/g721.c (1.2), src/G72x/g723_16.c (1.2),
	src/G72x/g723_24.c (1.2), src/G72x/g723_40.c (1.2), src/G72x/g72x.c
	(1.3), src/G72x/g72x.h (1.3), src/G72x/g72x_test.c (1.2),
	src/GSM610/add.c (1.3), src/GSM610/code.c (1.3),
	src/GSM610/config.h (1.3), src/GSM610/decode.c (1.3),
	src/GSM610/gsm.h (1.3), src/GSM610/gsm_create.c (1.3),
	src/GSM610/gsm_decode.c (1.3), src/GSM610/gsm_destroy.c (1.3),
	src/GSM610/gsm_encode.c (1.3), src/GSM610/gsm_option.c (1.3),
	src/GSM610/long_term.c (1.3), src/GSM610/lpc.c (1.3),
	src/GSM610/preprocess.c (1.3), src/GSM610/rpe.c (1.3),
	src/GSM610/short_term.c (1.3), src/GSM610/table.c (1.3), src/aiff.c
	(1.3), src/alaw.c (1.3), src/au.c (1.3), src/au.h (1.3),
	src/au_g72x.c (1.3), src/common.c (1.3), src/common.h (1.3),
	src/double64.c (1.2), src/dwvw.c (1.2), src/file_io.c (1.2),
	src/float32.c (1.3), src/float_cast.h (1.2), src/gsm610.c (1.2),
	src/ima_adpcm.c (1.2), src/ircam.c (1.3), src/ms_adpcm.c (1.2),
	src/nist.c (1.3), src/paf.c (1.3), src/pcm.c (1.3), src/raw.c
	(1.3), src/rx2.c (1.2), src/sd2.c (1.2), src/sfendian.h (1.3),
	src/sndfile.c (1.3), src/sndfile.h (1.4), src/svx.c (1.3),
	src/txw.c (1.2), src/ulaw.c (1.3):

	updated to libsndfile-1.0.0
	available at http://www.zip.com.au/~erikd/libsndfile/
	
2002-08-26 11:52  vividos

	* source/libraries/libvorbis.dll (1.2):

	added release 1.0 libvorbis.dll from http://www.inf.ufpr.br/~rja00/ogg.html
	
2002-06-24 13:56  vividos

	* source/libraries/src/libsndfile/win32/Makefile.msvc (1.1):

	added msvc makefile
	
2002-06-24 13:25  vividos

	* source/libraries/: include/sndfile.h (1.5),
	src/libsndfile/AUTHORS (1.2), src/libsndfile/ChangeLog (1.2),
	src/libsndfile/NEWS (1.2), src/libsndfile/README (1.2),
	src/libsndfile/TODO (1.2), src/libsndfile/src/aiff.c (1.2),
	src/libsndfile/src/alaw.c (1.2), src/libsndfile/src/au.c (1.2),
	src/libsndfile/src/au.h (1.2), src/libsndfile/src/au_g72x.c (1.2),
	src/libsndfile/src/common.c (1.2), src/libsndfile/src/common.h
	(1.2), src/libsndfile/src/double64.c (1.1),
	src/libsndfile/src/dwvw.c (1.1), src/libsndfile/src/file_io.c
	(1.1), src/libsndfile/src/float32.c (1.2),
	src/libsndfile/src/float_cast.h (1.1),
	src/libsndfile/src/floatcast.h (1.2), src/libsndfile/src/gsm610.c
	(1.1), src/libsndfile/src/ima_adpcm.c (1.1),
	src/libsndfile/src/ircam.c (1.2), src/libsndfile/src/ms_adpcm.c
	(1.1), src/libsndfile/src/nist.c (1.2), src/libsndfile/src/paf.c
	(1.2), src/libsndfile/src/pcm.c (1.2), src/libsndfile/src/raw.c
	(1.2), src/libsndfile/src/rx2.c (1.1),
	src/libsndfile/src/samplitude.c (1.2), src/libsndfile/src/sd2.c
	(1.1), src/libsndfile/src/sf_command.h (1.1),
	src/libsndfile/src/sfendian.h (1.2), src/libsndfile/src/sndfile.c
	(1.2), src/libsndfile/src/sndfile.h (1.3), src/libsndfile/src/svx.c
	(1.2), src/libsndfile/src/txw.c (1.1), src/libsndfile/src/ulaw.c
	(1.2), src/libsndfile/src/voc.c (1.2), src/libsndfile/src/w64.c
	(1.1), src/libsndfile/src/wav.c (1.2), src/libsndfile/src/wav.h
	(1.2), src/libsndfile/src/wav_gsm610.c (1.2),
	src/libsndfile/src/wav_ima_adpcm.c (1.2),
	src/libsndfile/src/wav_ms_adpcm.c (1.2),
	src/libsndfile/src/wav_w64.c (1.1), src/libsndfile/src/wav_w64.h
	(1.1), src/libsndfile/src/G72x/g72x.c (1.2),
	src/libsndfile/src/G72x/g72x.h (1.2),
	src/libsndfile/src/G72x/g72x_test.c (1.1),
	src/libsndfile/src/G72x/private.h (1.2),
	src/libsndfile/src/GSM610/ChangeLog (1.2),
	src/libsndfile/src/GSM610/add.c (1.2),
	src/libsndfile/src/GSM610/code.c (1.2),
	src/libsndfile/src/GSM610/config.h (1.2),
	src/libsndfile/src/GSM610/decode.c (1.2),
	src/libsndfile/src/GSM610/gsm.h (1.2),
	src/libsndfile/src/GSM610/gsm_create.c (1.2),
	src/libsndfile/src/GSM610/gsm_decode.c (1.2),
	src/libsndfile/src/GSM610/gsm_destroy.c (1.2),
	src/libsndfile/src/GSM610/gsm_encode.c (1.2),
	src/libsndfile/src/GSM610/gsm_option.c (1.2),
	src/libsndfile/src/GSM610/long_term.c (1.2),
	src/libsndfile/src/GSM610/lpc.c (1.2),
	src/libsndfile/src/GSM610/preprocess.c (1.2),
	src/libsndfile/src/GSM610/private.h (1.2),
	src/libsndfile/src/GSM610/rpe.c (1.2),
	src/libsndfile/src/GSM610/short_term.c (1.2),
	src/libsndfile/src/GSM610/table.c (1.2),
	src/libsndfile/win32/config.h (1.3),
	src/libsndfile/win32/libsndfile.def (1.2),
	src/libsndfile/win32/libsndfile.rc (1.3),
	src/libsndfile/win32/unistd.h (1.2):

	updated to libsndfile-1.0.0rc1
	
2002-06-18 10:15  vividos

	* ChangeLog (1.13):

	updated for rc2 release
	
2002-06-11 14:05  vividos

	* source/winlame/: wlOutputPage.cpp (1.21),
	encoder/wlEncoderImpl.cpp (1.28), encoder/wlEncoderImpl.h (1.21):

	fixed m3u playlist writing bug: playlist file was truncated at start of each file
	
2002-06-11 14:04  vividos

	* source/winlame/wlEncodePage.cpp (1.38):

	fixed compile bug
	
2002-06-11 12:49  vividos

	* source/winlame/wlEncodePage.cpp (1.37):

	tooltip text: percent value wasn't divied by number of files
	
2002-06-11 10:17  vividos

	* source/winlame/encoder/: wlSndFileInputModule.cpp (1.22),
	wlSndFileInputModule.h (1.10):

	added code to retrieve filter string from libsndfile (only 1.x)
	
2002-06-10 23:45  vividos

	* source/winlame/wlSettingsManager.h (1.8):

	fixed comment
	
2002-06-10 23:25  vividos

	* source/htmlhelp/html/misc/intromp3.html (1.6):

	added introduction to mp3
	
2002-06-10 23:23  vividos

	* source/winlame/: stdafx.cpp (1.4), stdafx.h (1.12), winlame.cpp
	(1.12), winlame.rc (1.71), wlAacSettingsPage.cpp (1.8),
	wlAacSettingsPage.h (1.5), wlAboutDlg.cpp (1.14), wlAboutDlg.h
	(1.8), wlCommonStuff.cpp (1.15), wlCommonStuff.h (1.23),
	wlEncodePage.cpp (1.36), wlEncodePage.h (1.22),
	wlEncoderInterface.h (1.14), wlErrorDlg.h (1.7), wlHtmlHelp.h
	(1.4), wlInputListCtrl.cpp (1.5), wlInputListCtrl.h (1.4),
	wlInputPage.cpp (1.36), wlInputPage.h (1.18),
	wlLameAdvancedSettingsPage.cpp (1.7), wlLameAdvancedSettingsPage.h
	(1.5), wlLameBasicSettingsPage.cpp (1.20),
	wlLameBasicSettingsPage.h (1.9), wlLameVBRSettingsPage.cpp (1.10),
	wlLameVBRSettingsPage.h (1.6), wlMainDlg.cpp (1.35), wlMainDlg.h
	(1.27), wlOggVorbisSettingsPage.cpp (1.11),
	wlOggVorbisSettingsPage.h (1.10), wlOutputPage.cpp (1.20),
	wlOutputPage.h (1.11), wlPageBase.h (1.11),
	wlPresetManagerInterface.h (1.8), wlPresetsPage.cpp (1.16),
	wlPresetsPage.h (1.9), wlSettingsManager.cpp (1.7),
	wlSettingsManager.h (1.7), wlSystemTrayIcon.h (1.3),
	wlUISettings.cpp (1.10), wlUIinterface.h (1.16),
	wlVariableManager.cpp (1.14), wlVariableManager.h (1.13),
	wlWaveOutputSettingsPage.cpp (1.5), wlWaveOutputSettingsPage.h
	(1.5), encoder/wlAacInputModule.cpp (1.13),
	encoder/wlAacInputModule.h (1.10), encoder/wlAacOutputModule.cpp
	(1.15), encoder/wlAacOutputModule.h (1.7),
	encoder/wlEncoderImpl.cpp (1.27), encoder/wlEncoderImpl.h (1.20),
	encoder/wlLameOutputModule.cpp (1.39), encoder/wlLameOutputModule.h
	(1.17), encoder/wlMadMpegInputModule.cpp (1.23),
	encoder/wlMadMpegInputModule.h (1.11), encoder/wlModuleInterface.h
	(1.12), encoder/wlModuleManagerImpl.cpp (1.16),
	encoder/wlModuleManagerImpl.h (1.9),
	encoder/wlOggVorbisInputModule.cpp (1.12),
	encoder/wlOggVorbisInputModule.h (1.10),
	encoder/wlOggVorbisOutputModule.cpp (1.22),
	encoder/wlOggVorbisOutputModule.h (1.11),
	encoder/wlSampleContainer.cpp (1.4), encoder/wlSampleContainer.h
	(1.3), encoder/wlSndFileInputModule.cpp (1.21),
	encoder/wlSndFileInputModule.h (1.9), encoder/wlTrackInfo.cpp
	(1.6), encoder/wlTrackInfo.h (1.4), encoder/wlWaveMp3Header.cpp
	(1.2), encoder/wlWaveMp3Header.h (1.2),
	encoder/wlWaveOutputModule.cpp (1.14), encoder/wlWaveOutputModule.h
	(1.11), encoder/wlWinampPluginInputModule.cpp (1.10),
	encoder/wlWinampPluginInputModule.h (1.7),
	encoder/aacinfo/aacinfo.c (1.4), encoder/aacinfo/aacinfo.h (1.3),
	encoder/aacinfo/filestream.c (1.4), encoder/aacinfo/filestream.h
	(1.3), encoder/dither/dither.c (1.4), encoder/dither/dither.h
	(1.3), preset/wlPresetManagerImpl.cpp (1.21),
	preset/wlPresetManagerImpl.h (1.16), preset/wlPropertyDlg.h (1.5),
	preset/wlPropertyListBox.cpp (1.6), preset/wlPropertyListBox.h
	(1.7), preset/cppxml/cppxml.cpp (1.3), preset/cppxml/cppxml.hpp
	(1.2), preset/cppxml/lexer.cpp (1.2), preset/cppxml/lexer.hpp
	(1.2), preset/cppxml/parser.cpp (1.2), preset/cppxml/parser.hpp
	(1.2):

	big documentation update
	fixed almost all doxygen warnings
	changed copyright year range to 2000-2002
	
2002-06-10 22:38  vividos

	* docs/doxygen.cfg (1.8):

	updated
	
2002-06-10 14:50  vividos

	* docs/TODO.txt (1.28):

	updated
	
2002-06-10 14:47  vividos

	* source/htmlhelp/: toc.hhc (1.12), winlamehelp.hhp (1.4),
	html/back.png (1.3), html/winlame.css (1.4), html/winlame.png
	(1.4), html/howto/presets.html (1.8), html/misc/features.html
	(1.8), html/pages/aac.html (1.8), html/pages/encode.html (1.8),
	html/pages/index.html (1.11), html/pages/input.html (1.11),
	html/pages/lameadv.html (1.8), html/pages/lamebasic.html (1.8),
	html/pages/lamevbr.html (1.8), html/pages/oggvorbis.html (1.8),
	html/pages/output.html (1.8), html/pages/presets.html (1.8),
	html/pages/property.html (1.8), html/pages/wave.html (1.8),
	html/pages/images/aac.png (1.3), html/pages/images/btn_addfiles.png
	(1.2), html/pages/images/btn_deleteall.png (1.3),
	html/pages/images/btn_pause.png (1.2),
	html/pages/images/btn_play.png (1.3),
	html/pages/images/btn_stop.png (1.2),
	html/pages/images/btn_totray.png (1.2),
	html/pages/images/encode.png (1.3), html/pages/images/input.png
	(1.5), html/pages/images/lameadv.png (1.5),
	html/pages/images/lamebasic.png (1.5),
	html/pages/images/lamevbr.png (1.4),
	html/pages/images/oggvorbis.png (1.4), html/pages/images/output.png
	(1.4), html/pages/images/presets.png (1.6),
	html/pages/images/properties.png (1.4),
	html/pages/images/systemmenu.png (1.2), html/pages/images/wave.png
	(1.3), html/techref/architecture.png (1.3),
	html/techref/mpegheader.html (1.9):

	updated for winLAME rc2
	
2002-06-10 13:54  vividos

	* source/winlame/preset/wlPresetManagerImpl.cpp (1.20):

	removed last newline from preset description string
	
2002-06-10 13:32  vividos

	* source/winlame/winlame.rc (1.70):

	small changes
	
2002-06-10 13:31  vividos

	* source/presets.xml (1.16):

	added virtualdub audio mp3 compression preset
	removed the (now defaulted) highpassUse settings
	
2002-06-10 13:30  vividos

	* source/winlame/: wlVariableManager.cpp (1.13),
	encoder/wlLameOutputModule.cpp (1.38):

	defaulted usage of LAME's default highpass switch (only kicks in at low input sample rates, though)
	
2002-06-09 22:35  vividos

	* source/htmlhelp/crushpng.bat (1.1):

	added batch file to crush all png files to their least possible size
	
2002-06-09 22:34  vividos

	* buildtools/pngcrush.exe (1.1):

	added pngcrush 1.5.8
	http://pmt.sourceforge.net/pngcrush/
	
2002-06-09 21:51  vividos

	* source/winlame/winlame.rc (1.69):

	changed some dialog caption strings
	
2002-06-09 17:22  vividos

	* source/nlame.mak (1.10):

	updated (failed compiling winLAME due to dependency checks)
	
2002-06-09 16:45  vividos

	* source/winlame/encoder/wlLameOutputModule.h (1.16):

	forgot to commit (added two member variables)
	
2002-06-09 16:43  vividos

	* source/winlame/wlAboutDlg.cpp (1.13):

	forgot to check in long ago ("madbuild" was not replaced in html text)
	
2002-06-09 12:22  vividos

	* source/winlame/wlInputPage.cpp (1.35):

	removed help button from file dialog
	
2002-06-09 12:09  vividos

	* source/winlame/: resource.h (1.42), winlame.rc (1.68),
	wlEncodePage.cpp (1.35), wlInputListCtrl.h (1.3), wlInputPage.cpp
	(1.34), wlLameBasicSettingsPage.cpp (1.19),
	wlLameVBRSettingsPage.cpp (1.9), wlMainDlg.h (1.26),
	encoder/wlAacOutputModule.cpp (1.14), res/winlame.ico (1.7),
	res/working.ico (1.2):

	dialog/tooltip string resources: mostly visual changes and spelling corrections
	input page: insert key works now
	more small changes
	
2002-06-08 18:13  vividos

	* ChangeLog (1.12):

	updated
	
2002-06-08 18:12  vividos

	* source/winlame/: wlOggVorbisSettingsPage.cpp (1.10),
	wlOggVorbisSettingsPage.h (1.9):

	fix for wrong bitrate values after revisiting that page
	
2002-06-08 17:54  vividos

	* source/winlame/encoder/: wlEncoderImpl.cpp (1.26),
	wlSampleContainer.h (1.2):

	added output of sample container info for non-debug builds
	
2002-06-08 17:45  vividos

	* source/winlame/: wlEncodePage.cpp (1.34), wlEncoderInterface.h
	(1.13), encoder/wlEncoderImpl.cpp (1.25), encoder/wlEncoderImpl.h
	(1.19):

	added output files playlist creation
	
2002-06-08 16:17  vividos

	* source/winlame/: resource.h (1.41), winlame.rc (1.67),
	wlOggVorbisSettingsPage.cpp (1.9), wlOggVorbisSettingsPage.h (1.8),
	wlVariableManager.cpp (1.12), encoder/wlOggVorbisOutputModule.cpp
	(1.21):

	redesigned ogg vorbis dialog
	
2002-06-08 14:09  vividos

	* source/winlame/: resource.h (1.40), winlame.rc (1.66),
	wlLameBasicSettingsPage.cpp (1.18):

	added user interface for writing riff wave mp3 header
	
2002-06-08 13:36  vividos

	* source/winlame/: resource.h (1.39), winlame.rc (1.65),
	wlInputPage.cpp (1.33), wlOutputPage.cpp (1.19), wlOutputPage.h
	(1.10), wlUISettings.cpp (1.9), wlUIinterface.h (1.15):

	added user interface for writing output playlists
	
2002-06-08 00:22  vividos

	* source/: winlame.dsp (1.55), winlame.mak (1.13):

	added wlWaveMp3Header.[cpp|h]
	
2002-06-08 00:20  vividos

	* source/winlame/encoder/: wlLameOutputModule.cpp (1.37),
	wlWaveMp3Header.cpp (1.1), wlWaveMp3Header.h (1.1):

	added writing of riff wave mp3 header
	
2002-06-07 15:23  vividos

	* source/winlame/encoder/wlWaveOutputModule.h (1.10):

	forgot to commit, method prepareOutput() was missing
	
2002-06-07 13:34  vividos

	* source/winlame/: wlVariableManager.cpp (1.11),
	wlVariableManager.h (1.12), encoder/wlLameOutputModule.cpp (1.36),
	encoder/wlLameOutputModule.h (1.15):

	prepared writing of riff wave mp3 header
	
2002-06-07 13:33  vividos

	* source/winlame/encoder/: wlEncoderImpl.cpp (1.24),
	wlModuleInterface.h (1.11), wlWaveOutputModule.cpp (1.13),
	wlWaveOutputModule.h (1.9):

	added prepareOutput() to output module base class, to fix retrieving output file extension
	
2002-06-07 10:42  vividos

	* stuff/uninst-winLAME-keys.reg (1.2):

	registry script to remove all winLAME keys;
	updated with more keys to remove
	
2002-06-06 16:21  vividos

	* source/: winlame.dsp (1.54), winlame.mak (1.12):

	forgot include paths for libsndfile and libmad libs
	
2002-06-06 15:59  vividos

	* source/: build.bat (1.7), build.stl.bat (1.1), winlame.dsp
	(1.53), winlame.mak (1.11), winlame.stl.mak (1.5):

	got project files to work again
	moved compiling with STL to own batch file
	
2002-06-06 14:35  vividos

	* source/winlame/preset/cppxml/cppxml.cpp (1.2):

	fixed compiling
	
2002-06-06 13:40  vividos

	* source/build.icl.bat (1.3):

	updated to use icl 6.0
	
2002-06-06 13:38  vividos

	* source/winlame/preset/: wlPresetManagerImpl.cpp (1.19),
	wlPresetManagerImpl.h (1.15):

	some cppxml tweaking
	
2002-06-06 13:37  vividos

	* source/winlame/preset/cppxml/: cppxml.cpp (1.1), cppxml.hpp
	(1.1), lexer.cpp (1.1), lexer.hpp (1.1), parser.cpp (1.1),
	parser.hpp (1.1), smart_ptr.hpp (1.1):

	added cppxml (xml parser) files
	
2002-06-06 12:05  vividos

	* source/winlame/preset/: wlPresetManagerImpl.cpp (1.18),
	wlPresetManagerImpl.h (1.14):

	added implementation when cppxml is used
	
2002-06-06 11:34  vividos

	* source/winlame/encoder/wlAacOutputModule.cpp (1.13):

	fixed a typo
	
2002-06-06 11:30  vividos

	* source/winlame/wlMainDlg.cpp (1.34):

	changed way how kernel32.dll is accessed (GetModuleHandle vs. LoadLibrary)
	
2002-06-05 22:33  vividos

	* docs/TODO.txt (1.27):

	updated
	
2002-06-05 22:33  vividos

	* docs/doxygen.cfg (1.7):

	updated version to rc2
	
2002-06-05 22:08  vividos

	* source/libraries/: ogg.dll (1.3), vorbis.dll (1.3), vorbisenc.dll
	(1.3), vorbisfile.dll (1.3):

	removed ogg vorbis rc3 files; installer now uses libvorbis.dll
	
2002-06-05 13:02  vividos

	* readme.txt (1.8):

	corrected some typos
	
2002-06-05 11:40  vividos

	* source/: htmlhelp/html/howto/presets.html (1.7),
	winlame/wlVariableManager.cpp (1.10), winlame/wlVariableManager.h
	(1.11), winlame/encoder/wlLameOutputModule.cpp (1.35):

	added variable "interchRatio"
	
2002-06-05 11:32  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.34):

	changes to use the new nlame_var_set_float() function
	
2002-06-05 11:28  vividos

	* source/nlame/: nlame.c (1.15), nlame.def (1.7), nlame.h (1.13):

	added nlame_var_set_float() and nlame_var_get_float()
	added interchannel masking ratio value
	moved some integer variable to float, to use the new functions
	(breaks binary compatibility of nLAME.dll)
	
2002-06-05 10:36  vividos

	* source/winlame/encoder/wlEncoderImpl.cpp (1.23):

	added check for same input and output files
	
2002-06-05 00:18  vividos

	* source/winlame/encoder/wlMadMpegInputModule.cpp (1.22):

	removed compiler warning
	
2002-06-05 00:07  vividos

	* source/: winlame.dsp (1.52), winlame.mak (1.10), winlame.stl.mak
	(1.4):

	updated; added dither and cppxml source files
	
2002-06-04 23:29  vividos

	* source/winlame/encoder/dither/dither.c (1.3):

	fixed compile bug
	
2002-06-04 23:17  vividos

	* buildtools/makensis.exe (1.11), source/winlame-light.nsi (1.22),
	source/winlame.nsi (1.32):

	updated to nsis 1.98
	
2002-06-04 22:54  vividos

	* buildtools/upx.exe (1.4):

	updated to upx 1.21w
	
2002-06-04 22:50  vividos

	* source/: winlame-light.nsi (1.21), winlame.nsi (1.31):

	updated version to rc2
	
2002-06-04 22:47  vividos

	* stuff/winLAME-rd1-small-logo.ufo (1.1):

	winLAME logo (open with ULead PhotoImpact)
	
2002-06-04 22:45  vividos

	* stuff/uninst-winLAME-keys.reg (1.1):

	registry script to remove all winLAME keys
	
2002-06-04 22:45  vividos

	* stuff/wlHyperlink.h (1.1):

	static hyperlink control (not used in winLAME anymore)
	
2002-06-04 22:44  vividos

	* stuff/: mpeg-patents-faq.txt (1.1),
	mpeg-patents-opensource-article.txt (1.1):

	mpeg patents documents
	
2002-06-04 22:43  vividos

	* stuff/: fftfpu crash on p2.txt (1.1), lame crash on p3
	notebook.txt (1.1), sse routines crash.txt (1.1):

	bug descriptions
	
2002-06-04 22:42  vividos

	* stuff/cpuiden.exe (1.1):

	tool for enabling CPUID instruction on cyrix processors
	
2002-06-04 22:40  vividos

	* source/winlame/encoder/dither/: dither.c (1.2), dither.h (1.2):

	removed functions not needed for linear dither
	
2002-06-04 22:38  vividos

	* source/winlame/encoder/dither/: dither.c (1.1), dither.h (1.1):

	added original files from MAD 0.14.2 beta, renamed from audio.[ch]
	
2002-05-27 17:28  vividos

	* source/winlame/winlame.rc (1.64):

	bumped version to rc2
	
2002-05-27 17:12  vividos

	* source/winlame/encoder/: wlMadMpegInputModule.cpp (1.21),
	wlMadMpegInputModule.h (1.10):

	added more version strings to retrieve (somehow forgotten in last release)
	added fix for long playtimes
	added experimental dither from MAD project (commented out)
	
2002-05-27 17:04  vividos

	* source/winlame/encoder/wlSampleContainer.cpp (1.3):

	fixed sample value overflow when rounding
	
2002-05-23 18:51  vividos

	* ChangeLog (1.11):

	updated for release candidate 1
	
2002-05-23 18:48  vividos

	* source/winlame.dsp (1.51):

	added linker path to find libsndfile and libmad
	
2002-05-16 23:41  vividos

	* source/: nlame.dsp (1.12), nlame.icl.mak (1.10), nlame.mak (1.9):

	re-added HAVE_NASM define
	
2002-05-14 23:53  vividos

	* source/winlame/wlEncodePage.cpp (1.33):

	modified progress bar for all files to count up smoothly
	
2002-05-14 23:43  vividos

	* source/: winlame-light.nsi (1.20), winlame.nsi (1.30),
	winlame/winlame.rc (1.63):

	updated versions to rc1
	
2002-05-14 23:42  vividos

	* source/: nlame.dsp (1.11), nlame.icl.mak (1.9), nlame.mak (1.8):

	removed nasm code defines
	
2002-05-12 19:33  vividos

	* source/winlame/encoder/: wlOggVorbisOutputModule.cpp (1.20),
	wlOggVorbisOutputModule.h (1.10):

	fix for ogg vorbis encoding using managed bitrates
	
2002-05-02 15:22  vividos

	* source/winlame/res/about.html (1.11):

	added MAD build flags output
	
2002-05-02 15:20  vividos

	* source/winlame/encoder/: wlModuleManagerImpl.cpp (1.15),
	wlModuleManagerImpl.h (1.8):

	fix for crashing mp3 decoding with winLAME rd12 light: wrong output module was selected
	
2002-05-02 13:22  vividos

	* source/winlame/encoder/: wlSndFileInputModule.cpp (1.20),
	wlWaveOutputModule.cpp (1.12):

	added support for libsndfile-1.x (not in CVS yet)
	
2002-05-02 13:20  vividos

	* source/libraries/lib/: ogg.lib (1.3), vorbis.lib (1.3),
	vorbisenc.lib (1.3), vorbisfile.lib (1.3):

	removed; winLAME now loads them dynamically (without delayload)
	
2002-05-02 13:17  vividos

	* source/libraries/lib/: libmad.lib (1.7), libsndfile.lib (1.5):

	removed libraries; they now are built with the project files
	
2002-05-02 12:49  vividos

	* source/libraries/: include/sndfile.h (1.4),
	src/libsndfile/src/sndfile.h (1.2), src/libsndfile/win32/config.h
	(1.2), src/libsndfile/win32/libsndfile.rc (1.2):

	uupdated libsndfile to 0.0.28
	
2002-04-23 16:25  vividos

	* source/winlame/encoder/wlOggVorbisOutputModule.cpp (1.19):

	values for min_bitrate and max_bitrate were given in wrong order
	
2002-04-23 16:20  vividos

	* source/winlame/wlInputPage.cpp (1.32):

	added playlist files and cue sheets wildcard to "all supported audio files" filter entry
	
2002-04-17 18:48  vividos

	* ChangeLog (1.10):

	updated for rd12
	
2002-04-17 18:41  vividos

	* docs/License.winLAME.txt (1.4):

	very small change
	
2002-04-17 18:17  vividos

	* buildtools/makensis.exe (1.10):

	updated to makensis 1.96
	
2002-04-17 18:15  vividos

	* source/nlame.icl.mak (1.8):

	changed icl options to produce the same output as lame.exe
	
2002-04-17 18:14  vividos

	* source/libraries/lib/libfaad2.lib (1.2):

	updated
	
2002-04-17 16:43  vividos

	* docs/TODO.txt (1.26):

	updated
	
2002-04-17 16:42  vividos

	* docs/doxygen.cfg (1.6):

	updated version
	
2002-04-17 16:31  vividos

	* source/winlame/res/about.html (1.10):

	updated
	
2002-04-17 15:39  vividos

	* source/: winlame.nsi (1.29), libraries/libvorbis.dll (1.1):

	installer now uses Ogg Vorbis library "libvorbis.dll", built on 2002-04-10 by john33
	available at: http://www.inf.ufpr.br/~rja00/ogg.html
	
2002-04-17 15:34  vividos

	* source/nlame.icl.mak (1.7):

	updated for LAME 3.92
	
2002-04-17 15:28  vividos

	* source/winlame/: wlVariableManager.cpp (1.9), wlVariableManager.h
	(1.10), encoder/wlLameOutputModule.cpp (1.33):

	updated for LAME 3.92: added type wlLamePresetVBR for presets in LAME
	
2002-04-17 15:23  vividos

	* source/presets.xml (1.15):

	updated presets for new variables in nLAME/winLAME
	
2002-04-17 15:22  vividos

	* source/nlame.dsp (1.10):

	added presets.c for LAME 3.92
	removed nLAME presets files
	
2002-04-17 15:21  vividos

	* source/htmlhelp/html/howto/presets.html (1.6):

	updated presets variables
	
2002-04-17 15:20  vividos

	* source/nlame/: nl_presets.c (1.3), nl_presets.h (1.2), nlame.c
	(1.14), nlame.h (1.12):

	updated for LAME 3.92: finally, the presets are in the library
	
2002-04-17 14:40  vividos

	* source/nlame/: include/lame.h (1.3), libmp3lame/VbrTag.c (1.3),
	libmp3lame/bitstream.c (1.3), libmp3lame/lame.c (1.3),
	libmp3lame/lame_global_flags.h (1.3), libmp3lame/pcm.c (1.3),
	libmp3lame/presets.c (1.1), libmp3lame/psymodel.c (1.3),
	libmp3lame/quantize.c (1.3), libmp3lame/quantize_pvt.c (1.3),
	libmp3lame/reservoir.c (1.3), libmp3lame/set_get.c (1.4),
	libmp3lame/tables.c (1.3), libmp3lame/takehiro.c (1.3),
	libmp3lame/tools.h (1.3), libmp3lame/util.c (1.3),
	libmp3lame/util.h (1.3), libmp3lame/vbrquantize.h (1.2),
	libmp3lame/version.c (1.3), libmp3lame/version.h (1.4):

	updated to LAME-3.92
	
2002-04-17 00:12  vividos

	* source/winlame.dsp (1.50):

	removed lib files; we now load them dynamically
	
2002-04-16 23:49  vividos

	* source/winlame/encoder/: wlOggVorbisOutputModule.cpp (1.18),
	wlOggVorbisOutputModule.h (1.9):

	this is the perhaps most ugly thing I've done (look at the code):
	made it so that both the official as well as the libvorbis.dll libraries can be used
	
2002-04-16 23:47  vividos

	* source/winlame/encoder/: wlTrackInfo.cpp (1.5), wlTrackInfo.h
	(1.3):

	added id3 genre string list
	
2002-04-16 13:24  vividos

	* source/: winlame-light.nsi (1.19), winlame.nsi (1.28),
	winlame/winlame.rc (1.62):

	downgraded version to rd12
	
2002-04-16 13:23  vividos

	* winlame.dsw (1.10):

	added libmad and libsndfile projects
	
2002-04-16 12:47  vividos

	* source/winlame/encoder/: wlOggVorbisInputModule.cpp (1.11),
	wlOggVorbisInputModule.h (1.9):

	try to incorporate usage of libvorbis.dll in addition to vorbisfile.dll
	
2002-04-16 12:44  vividos

	* source/winlame/wlMainDlg.cpp (1.33):

	fixed a possible resource leak
	
2002-04-15 10:09  vividos

	* source/winlame/encoder/: wlAacInputModule.cpp (1.12),
	wlAacOutputModule.cpp (1.12), wlLameOutputModule.cpp (1.32),
	wlMadMpegInputModule.cpp (1.20), wlOggVorbisInputModule.cpp (1.10),
	wlOggVorbisOutputModule.cpp (1.17), wlSndFileInputModule.cpp
	(1.19), wlWaveOutputModule.cpp (1.11):

	changed the way dlls are checked for availability
	
2002-04-15 10:08  vividos

	* source/winlame/encoder/wlWinampPluginInputModule.cpp (1.9):

	added check if output plugin is used
	
2002-04-04 11:48  vividos

	* buildenv/: libmad/config.h (1.2), libmad/libmad.def (1.5),
	libmad/libmad.dsp (1.2), libmad/libmad.dsw (1.2),
	libsndfile/win32/config.h (1.3), libsndfile/win32/libsndfile.def
	(1.2), libsndfile/win32/libsndfile.dsp (1.3),
	libsndfile/win32/libsndfile.dsw (1.2),
	libsndfile/win32/libsndfile.rc (1.3):

	removed build environment
	
2002-04-03 20:58  vividos

	* source/: build.bat (1.6), libmad.dsp (1.4), libmad.mak (1.1),
	libsndfile.dsp (1.6), libsndfile.mak (1.1), nlame.dsp (1.9),
	winlame-light.nsi (1.18), winlame.nsi (1.27):

	libmad.dll and libsndfile.dll are now built for every release
	
2002-04-03 20:48  vividos

	* source/libraries/: libmad.dll (1.4), libsndfile.dll (1.7),
	src/libsndfile/AUTHORS (1.1), src/libsndfile/COPYING (1.1),
	src/libsndfile/ChangeLog (1.1), src/libsndfile/NEWS (1.1),
	src/libsndfile/README (1.1), src/libsndfile/TODO (1.1),
	src/libsndfile/src/aiff.c (1.1), src/libsndfile/src/alaw.c (1.1),
	src/libsndfile/src/au.c (1.1), src/libsndfile/src/au.h (1.1),
	src/libsndfile/src/au_g72x.c (1.1), src/libsndfile/src/common.c
	(1.1), src/libsndfile/src/common.h (1.1),
	src/libsndfile/src/float32.c (1.1), src/libsndfile/src/floatcast.h
	(1.1), src/libsndfile/src/ircam.c (1.1), src/libsndfile/src/nist.c
	(1.1), src/libsndfile/src/paf.c (1.1), src/libsndfile/src/pcm.c
	(1.1), src/libsndfile/src/raw.c (1.1),
	src/libsndfile/src/samplitude.c (1.1),
	src/libsndfile/src/sfendian.h (1.1), src/libsndfile/src/sndfile.c
	(1.1), src/libsndfile/src/sndfile.h (1.1), src/libsndfile/src/svx.c
	(1.1), src/libsndfile/src/ulaw.c (1.1), src/libsndfile/src/voc.c
	(1.1), src/libsndfile/src/wav.c (1.1), src/libsndfile/src/wav.h
	(1.1), src/libsndfile/src/wav_gsm610.c (1.1),
	src/libsndfile/src/wav_ima_adpcm.c (1.1),
	src/libsndfile/src/wav_ms_adpcm.c (1.1),
	src/libsndfile/src/G72x/ChangeLog (1.1),
	src/libsndfile/src/G72x/README.original (1.1),
	src/libsndfile/src/G72x/g721.c (1.1),
	src/libsndfile/src/G72x/g723_16.c (1.1),
	src/libsndfile/src/G72x/g723_24.c (1.1),
	src/libsndfile/src/G72x/g723_40.c (1.1),
	src/libsndfile/src/G72x/g72x.c (1.1),
	src/libsndfile/src/G72x/g72x.h (1.1),
	src/libsndfile/src/G72x/private.h (1.1),
	src/libsndfile/src/GSM610/COPYRIGHT (1.1),
	src/libsndfile/src/GSM610/ChangeLog (1.1),
	src/libsndfile/src/GSM610/README (1.1),
	src/libsndfile/src/GSM610/add.c (1.1),
	src/libsndfile/src/GSM610/code.c (1.1),
	src/libsndfile/src/GSM610/config.h (1.1),
	src/libsndfile/src/GSM610/decode.c (1.1),
	src/libsndfile/src/GSM610/gsm.h (1.1),
	src/libsndfile/src/GSM610/gsm_create.c (1.1),
	src/libsndfile/src/GSM610/gsm_decode.c (1.1),
	src/libsndfile/src/GSM610/gsm_destroy.c (1.1),
	src/libsndfile/src/GSM610/gsm_encode.c (1.1),
	src/libsndfile/src/GSM610/gsm_option.c (1.1),
	src/libsndfile/src/GSM610/long_term.c (1.1),
	src/libsndfile/src/GSM610/lpc.c (1.1),
	src/libsndfile/src/GSM610/preprocess.c (1.1),
	src/libsndfile/src/GSM610/private.h (1.1),
	src/libsndfile/src/GSM610/proto.h (1.1),
	src/libsndfile/src/GSM610/rpe.c (1.1),
	src/libsndfile/src/GSM610/short_term.c (1.1),
	src/libsndfile/src/GSM610/table.c (1.1),
	src/libsndfile/src/GSM610/unproto.h (1.1),
	src/libsndfile/win32/config.h (1.1),
	src/libsndfile/win32/libsndfile.def (1.1),
	src/libsndfile/win32/libsndfile.rc (1.1),
	src/libsndfile/win32/unistd.h (1.1):

	added source files for libsndfile
	
2002-04-03 20:42  vividos

	* source/libraries/src/libmad/: COPYRIGHT (1.1), D.dat (1.1), bit.c
	(1.1), bit.h (1.1), config.h (1.1), decoder.c (1.1), decoder.h
	(1.1), fixed.c (1.1), fixed.h (1.1), frame.c (1.1), frame.h (1.1),
	global.h (1.1), huffman.c (1.1), huffman.h (1.1), imdct_l_arm.S
	(1.1), imdct_s.dat (1.1), layer12.c (1.1), layer12.h (1.1),
	layer3.c (1.1), layer3.h (1.1), libmad.def (1.1), mad.h.sed (1.1),
	qc_table.dat (1.1), rq_table.dat (1.1), sf_table.dat (1.1),
	stream.c (1.1), stream.h (1.1), synth.c (1.1), synth.h (1.1),
	timer.c (1.1), timer.h (1.1), version.c (1.1), version.h (1.1):

	added source files for libmad
	
2002-04-03 20:01  vividos

	* source/winlame/encoder/wlMadMpegInputModule.cpp (1.19):

	fix for decoding mp3 files
	
2002-03-28 21:11  vividos

	* source/winlame/: winlame.rc (1.61), wlOggVorbisSettingsPage.cpp
	(1.8):

	modified ogg vorbis quality value to go from 0 to 10
	
2002-03-10 12:58  vividos

	* source/winlame/: wlEncodePage.cpp (1.32), wlInputListCtrl.cpp
	(1.4), wlOutputPage.h (1.9), encoder/wlMadMpegInputModule.cpp
	(1.18):

	removed last level 3 compiler warnings
	
2002-03-10 12:57  vividos

	* docs/License.winLAME.txt (1.3), docs/doxygen.cfg (1.5),
	source/winlame-light.nsi (1.17), source/winlame.dsp (1.49),
	source/winlame.nsi (1.26), source/winlame/winlame.rc (1.60):

	updated to version "release candidate"
	winlame-light.nsi: added missing presets.xml
	
2002-03-08 20:09  vividos

	* source/htmlhelp/html/: howto/index.html (1.6), misc/features.html
	(1.7), misc/intromp3.html (1.5), pages/aac.html (1.7),
	pages/lameadv.html (1.7), pages/property.html (1.7),
	pages/wave.html (1.7):

	small changes
	
2002-03-08 20:07  vividos

	* source/winlame/encoder/: wlAacInputModule.cpp (1.11),
	wlAacInputModule.h (1.9):

	made faacDecFrameInfo local
	
2002-03-08 17:53  vividos

	* ChangeLog (1.9):

	updated for rd11
	
2002-03-08 17:48  vividos

	* docs/TODO.txt (1.25):

	updated
	
2002-03-08 17:47  vividos

	* source/: winlame.dsp (1.48), winlame.mak (1.9), winlame.stl.mak
	(1.3), winlame/wlUISettings.cpp (1.8),
	winlame/preset/xmlpp/xmlparser.cpp (1.2),
	winlame/preset/xmlpp/xmlpp.cpp (1.4),
	winlame/preset/xmlpp/xmltokenizer.cpp (1.4):

	last batch compile fixes
	
2002-03-08 17:16  vividos

	* source/htmlhelp/: toc.hhc (1.11), html/index.html (1.12),
	html/misc/credits.html (1.1), html/misc/licenses.html (1.8),
	html/techref/index.html (1.8), html/techref/wlarch.html (1.5),
	html/techref/wlmodules.html (1.5):

	updated html help
	
2002-03-07 23:51  vividos

	* source/winlame/: wlInputListCtrl.cpp (1.3), wlInputListCtrl.h
	(1.2), wlInputPage.cpp (1.31):

	added sorting of audio file items
	wlInputPage: removed usage of ListView_* macros
	
2002-03-07 22:27  vividos

	* source/winlame/: wlEncodePage.cpp (1.31), wlVariableManager.cpp
	(1.8), wlVariableManager.h (1.9):

	added settings variable for encoding last file (used by LAME nogap encoding)
	
2002-03-07 22:26  vividos

	* source/winlame/encoder/: wlEncoderImpl.cpp (1.22),
	wlLameOutputModule.cpp (1.31), wlLameOutputModule.h (1.14):

	fixed nogap mp3 encoding of last track
	
2002-03-07 21:58  vividos

	* source/winlame/winlame.rc (1.59):

	enlarged output path combobox
	
2002-03-07 21:57  vividos

	* source/winlame/wlUISettings.cpp (1.7):

	added storing and retrieving output path history
	
2002-03-07 17:07  vividos

	* source/winlame/: winlame.rc (1.58), wlOutputPage.cpp (1.18),
	wlOutputPage.h (1.8), wlUIinterface.h (1.14):

	added ui part of output path combobox with path history
	
2002-02-28 22:52  vividos

	* source/winlame/encoder/: wlMadMpegInputModule.cpp (1.17),
	wlMadMpegInputModule.h (1.9):

	implemented decoding of the last frame
	
2002-02-28 21:40  vividos

	* source/winlame/encoder/wlSampleContainer.cpp (1.2):

	corrected sample rounding
	now madplay results in the same output as winLAME mp3 -> wav conversion
	
2002-02-28 16:40  vividos

	* source/winlame/encoder/wlEncoderImpl.h (1.18):

	maybe fixed a rare bug where the encoding description was not updated on subsequent encoding sessions
	
2002-02-25 23:10  vividos

	* source/winlame/encoder/aacinfo/: aacinfo.c (1.3), filestream.c
	(1.3):

	only read 10 seconds for fast bitrate info
	
2002-02-25 22:51  vividos

	* source/winlame/encoder/wlOggVorbisOutputModule.cpp (1.16):

	track properties are now written to the ogg vorbis file
	
2002-02-25 22:50  vividos

	* source/winlame/encoder/wlTrackInfo.cpp (1.4):

	completed id3 tag handling
	
2002-02-25 21:32  vividos

	* source/winlame/encoder/wlMadMpegInputModule.cpp (1.16):

	possible fix for large files < 2GB
	
2002-02-25 21:00  vividos

	* source/winlame/encoder/: wlAacInputModule.cpp (1.10),
	wlAacInputModule.h (1.8):

	updated to libfaad2 usage
	
2002-02-25 20:18  vividos

	* source/libraries/: include/faad.h (1.2), lib/libfaad.lib (1.2),
	lib/libfaad2.lib (1.1):

	updated to libfaad2
	
2002-02-25 19:32  vividos

	* source/winlame/res/about.html (1.9):

	added components description
	
2002-02-25 19:10  vividos

	* source/winlame/preset/xmlpp/: xmlpp.cpp (1.3), xmltokenizer.cpp
	(1.3), xmltokenizer.hpp (1.2):

	fixed compile bugs
	
2002-02-25 19:09  vividos

	* source/winlame/preset/: wlPresetManagerImpl.cpp (1.17),
	wlPresetManagerImpl.h (1.13):

	removed compiler warnings
	
2002-02-25 19:07  vividos

	* source/winlame/encoder/: wlAacOutputModule.cpp (1.11),
	wlOggVorbisInputModule.cpp (1.9):

	removed compile warnings
	
2002-02-25 19:05  vividos

	* source/winlame/: wlEncodePage.cpp (1.30), wlInputListCtrl.cpp
	(1.2), wlInputPage.cpp (1.30), wlMainDlg.cpp (1.32), wlMainDlg.h
	(1.25):

	removed compile warnings and STLPort compile errors
	
2002-02-25 19:03  vividos

	* source/winlame/encoder/wlSndFileInputModule.cpp (1.18):

	added check for id3v1 tag at end of file
	
2002-02-25 19:01  vividos

	* source/nlame/: nlame.c (1.13), nlame.h (1.11):

	added nlame_encode_buffer() implementation for nle_buffer_short type
	
2002-02-25 18:59  vividos

	* source/build.bat (1.5):

	defaulted STL build for winLAME.exe
	
2002-02-25 18:59  vividos

	* source/nlame.icl.mak (1.6):

	removed /Qrcd option
	
2002-02-21 16:20  vividos

	* source/winlame/encoder/wlTrackInfo.cpp (1.3):

	fixed ICL compile problem
	
2002-02-20 18:14  vividos

	* source/winlame.stl.mak (1.2):

	updated
	
2002-02-20 18:11  vividos

	* source/winlame.dsp (1.47):

	updated
	
2002-02-20 18:11  vividos

	* source/winlame.mak (1.8):

	added xmlpp files
	
2002-02-20 18:05  vividos

	* source/winlame/preset/: wlPresetManagerImpl.cpp (1.16),
	wlPresetManagerImpl.h (1.12):

	completed xmlpp support
	
2002-02-20 18:04  vividos

	* source/winlame/preset/xmlpp/: xmlpp.cpp (1.2), xmltokenizer.cpp
	(1.2):

	fixed some critical bugs
	
2002-02-19 22:53  vividos

	* source/winlame/encoder/wlSndFileInputModule.cpp (1.17):

	fix for very large files
	
2002-02-19 22:52  vividos

	* source/winlame/preset/: wlPresetManagerImpl.cpp (1.15),
	wlPresetManagerImpl.h (1.11):

	added xmlpp parser usage
	
2002-02-19 22:51  vividos

	* source/winlame/preset/xmlpp/: xmlparser.cpp (1.1), xmlparser.hpp
	(1.1), xmlpp.cpp (1.1), xmlpp.hpp (1.1), xmltokenizer.cpp (1.1),
	xmltokenizer.hpp (1.1):

	added xmlpp xml parser
	
2002-02-19 22:50  vividos

	* source/winlame/preset/xmlpp/smart_ptr.hpp (1.2):

	stripped down to only use shared_ptr<T>
	
2002-02-19 22:49  vividos

	* source/winlame/preset/xmlpp/smart_ptr.hpp (1.1):

	added shared_ptr from boost library
	
2002-02-19 22:46  vividos

	* source/winlame.dsp (1.46):

	added xmlpp files
	
2002-02-15 21:00  vividos

	* source/winlame/encoder/: wlAacInputModule.cpp (1.9),
	wlAacInputModule.h (1.7), wlAacOutputModule.cpp (1.10),
	wlAacOutputModule.h (1.6), wlEncoderImpl.cpp (1.21),
	wlLameOutputModule.cpp (1.30), wlLameOutputModule.h (1.13),
	wlMadMpegInputModule.cpp (1.15), wlMadMpegInputModule.h (1.8),
	wlModuleInterface.h (1.10), wlModuleManagerImpl.cpp (1.14),
	wlOggVorbisInputModule.cpp (1.8), wlOggVorbisInputModule.h (1.8),
	wlOggVorbisOutputModule.cpp (1.15), wlOggVorbisOutputModule.h
	(1.8), wlSampleContainer.cpp (1.1), wlSampleContainer.h (1.1),
	wlSndFileInputModule.cpp (1.16), wlSndFileInputModule.h (1.8),
	wlWaveOutputModule.cpp (1.10), wlWaveOutputModule.h (1.8),
	wlWinampPluginInputModule.cpp (1.8), wlWinampPluginInputModule.h
	(1.6):

	changed decodeSamples() and encodeSamples() functions to use wlSampleContainer object for sample storage
	visual changes (mostly "kHz" --> "Hz")
	aac output module: fixed bug with mp3 to aac transcoding
	
2002-02-15 20:59  vividos

	* source/winlame/encoder/: wlTrackInfo.cpp (1.2), wlTrackInfo.h
	(1.2):

	added more property functionality
	
2002-02-15 20:46  vividos

	* source/winlame/wlInputPage.cpp (1.29):

	visual correction
	
2002-02-15 20:43  vividos

	* source/winlame/wlEncodePage.cpp (1.29):

	set focus on start button again, when the the stop button is pressed
	
2002-02-15 20:41  vividos

	* source/winlame/winlame.rc (1.57):

	reordered some controls
	
2002-02-15 20:39  vividos

	* source/winlame.dsp (1.45):

	added wlSampleContainer.[h|cpp]
	
2002-02-15 20:33  vividos

	* source/winlame-light.nsi (1.16):

	added libmad.dll
	
2002-02-15 20:31  vividos

	* source/nlame/nlame.c (1.12):

	fix for encode buffer type long
	
2002-02-15 20:30  vividos

	* source/winlame/res/about.html (1.8):

	some minor changes
	
2002-02-14 11:48  vividos

	* source/winlame/encoder/: wlAacInputModule.cpp (1.8),
	wlAacInputModule.h (1.6), wlAacOutputModule.cpp (1.9),
	wlAacOutputModule.h (1.5), wlMadMpegInputModule.h (1.7),
	wlOggVorbisInputModule.cpp (1.7), wlOggVorbisInputModule.h (1.7),
	wlOggVorbisOutputModule.cpp (1.14), wlOggVorbisOutputModule.h
	(1.7), wlSndFileInputModule.h (1.7), wlWaveOutputModule.cpp (1.9),
	wlWaveOutputModule.h (1.7), wlWinampPluginInputModule.cpp (1.7),
	wlWinampPluginInputModule.h (1.5):

	added parameter wlTrackInfo to initInput() or initOutput() function of each module
	
2002-02-14 11:46  vividos

	* source/winlame/encoder/: wlLameOutputModule.cpp (1.29),
	wlLameOutputModule.h (1.12):

	added writing of id3v1 tag
	
2002-02-14 11:44  vividos

	* source/winlame/encoder/wlSndFileInputModule.cpp (1.15):

	added id3 tag chunk retrieving from RIFF wave files
	
2002-02-14 11:40  vividos

	* source/winlame/encoder/wlMadMpegInputModule.cpp (1.14):

	added search for id3 tag
	increased synctries from 4 to 8
	
2002-02-14 11:39  vividos

	* source/winlame/encoder/: wlEncoderImpl.cpp (1.20),
	wlModuleInterface.h (1.9), wlModuleManagerImpl.cpp (1.13),
	wlTrackInfo.cpp (1.1), wlTrackInfo.h (1.1):

	added wlTrackInfo class
	
2002-02-14 11:37  vividos

	* source/winlame/wlEncodePage.cpp (1.28):

	added code to set shutdown privilege on win NT and 2000
	
2002-02-14 11:36  vividos

	* source/winlame/: wlInputListCtrl.cpp (1.1), wlInputListCtrl.h
	(1.1), wlInputPage.cpp (1.28), wlInputPage.h (1.17):

	moved wlInputListCtrl to separate class
	
2002-02-14 11:35  vividos

	* source/winlame.dsp (1.44):

	added wlTrackInfo.[h|cpp]
	
2002-02-14 11:34  vividos

	* source/: winlame-light.nsi (1.15), winlame.nsi (1.25),
	winlame/winlame.rc (1.56):

	updated version to rd11
	
2002-02-14 11:33  vividos

	* source/htmlhelp/html/: back.png (1.2), winlame.png (1.3),
	misc/licenses.html (1.7), pages/encode.html (1.7), pages/index.html
	(1.10), pages/input.html (1.10), pages/lamebasic.html (1.7),
	pages/lamevbr.html (1.7), pages/oggvorbis.html (1.7),
	pages/output.html (1.7), pages/presets.html (1.7),
	techref/architecture.png (1.2):

	updated
	
2002-02-14 11:30  vividos

	* source/htmlhelp/html/pages/images/: aac.png (1.2),
	btn_deleteall.png (1.2), btn_pause.png (1.1), btn_play.png (1.2),
	btn_stop.png (1.1), btn_totray.png (1.1), encode.png (1.2),
	input.png (1.4), lameadv.png (1.4), lamebasic.png (1.4),
	lamevbr.png (1.3), oggvorbis.png (1.3), output.png (1.3),
	presets.png (1.5), properties.png (1.3), systemmenu.png (1.1),
	wave.png (1.2):

	made png files smaller with pngcrush -brute -reduce
	
2002-02-07 15:18  vividos

	* ChangeLog (1.8):

	now generated with "cvs2cl.pl -r -S --no-wrap --gmt":
	fixes wrapping commit description lines
	
2002-02-07 15:14  vividos

	* ChangeLog (1.7):

	updated for rd10
	now generated with "cvs2cl.pl -r -S --gmt"
	
2002-02-07 10:58  vividos

	* source/winlame/wlPresetsPage.cpp (1.15):

	fixed a bug where old presets were not entirely gone
	
2002-02-07 10:57  vividos

	* source/winlame/wlMainDlg.h (1.24):

	fixed a bug with the accelerator keys
	
2002-02-07 10:56  vividos

	* source/winlame/wlInputPage.cpp (1.27):

	added support for dragging multiple files
	
2002-02-07 10:55  vividos

	* source/winlame/: wlEncodePage.cpp (1.27), wlEncodePage.h (1.21):

	corrected remaining time calculation
	
2002-02-07 10:52  vividos

	* source/winlame/wlAboutDlg.cpp (1.12):

	used new module version string interface
	
2002-02-07 10:47  vividos

	* source/winlame/winlame.rc (1.55):

	small visual changes
	
2002-02-07 10:46  vividos

	* source/winlame/encoder/: wlAacOutputModule.cpp (1.8),
	wlLameOutputModule.cpp (1.28), wlLameOutputModule.h (1.11),
	wlModuleInterface.h (1.8), wlOggVorbisOutputModule.cpp (1.13),
	wlOggVorbisOutputModule.h (1.6), wlSndFileInputModule.cpp (1.14),
	wlSndFileInputModule.h (1.6):

	added getVersionString() function to every module to get version string
	updated module description string creation
	
2002-02-07 10:46  vividos

	* source/winlame/encoder/: wlMadMpegInputModule.cpp (1.13),
	wlMadMpegInputModule.h (1.6):

	added parsing of the VBR Info Tag
	added getVersionString() function
	
2002-02-07 10:46  vividos

	* source/winlame/: wlEncoderInterface.h (1.12),
	encoder/wlModuleManagerImpl.cpp (1.12),
	encoder/wlModuleManagerImpl.h (1.7):

	added functionality to retrieve module version strings
	
2002-02-07 10:39  vividos

	* source/winlame/encoder/wlEncoderImpl.h (1.17):

	fixed a bug: encoding process didn't stop when pressing stop on a paused encoding process
	
2002-02-07 10:36  vividos

	* source/htmlhelp/html/pages/images/: lamebasic.png (1.3),
	output.png (1.2), presets.png (1.4):

	updated page images
	
2002-02-07 10:35  vividos

	* source/presets.xml (1.14):

	small changes in descriptions
	
2002-02-07 10:34  vividos

	* source/winlame.stl.mak (1.1):

	added STLport compile makefile
	
2002-02-07 10:33  vividos

	* docs/: Copying.LAME (1.2), mpeg3.txt (1.3):

	not needed
	
2002-02-07 10:31  vividos

	* docs/TODO.txt (1.24):

	updated
	
2002-02-04 17:54  vividos

	* source/winlame/wlMainDlg.cpp (1.31):

	fix for GetLongPathName() on systems not available (win95, winnt)
	
2002-02-04 11:56  vividos

	* source/: winlame.dsp (1.43), winlame.mak (1.7):

	added aacinfo files
	
2002-02-04 11:56  vividos

	* source/nlame/nlame.c (1.11):

	added alternative way to retrieve all available cpu features (commented-out)
	
2002-02-04 11:54  vividos

	* source/presets.xml (1.13):

	changed portable player bitrate to an alt-preset abr 96 preset
	
2002-02-04 11:51  vividos

	* source/winlame/: wlEncodePage.cpp (1.26), wlEncodePage.h (1.20),
	wlEncoderInterface.h (1.11), wlMainDlg.cpp (1.30), wlMainDlg.h
	(1.23), wlOutputPage.cpp (1.17), wlOutputPage.h (1.7):

	added "idle" and "working" tray icons
	implemented "overwrite files" and "action after encoding" functionality
	encode page: unlocked "back" button when pressing stop button during encoding
	encode page: added thread priority slider
	tray menu: removed start/pause entry when finished encoding
	added accelerator keys for "back" and "next" button
	
2002-02-04 11:51  vividos

	* source/winlame/: wlPresetsPage.cpp (1.14), wlPresetsPage.h (1.8):

	preset page: made last selected preset index static
	
2002-02-04 11:50  vividos

	* source/winlame/wlSystemTrayIcon.h (1.2):

	added function to set/change icon
	
2002-02-04 11:50  vividos

	* source/winlame/: wlUISettings.cpp (1.6), wlUIinterface.h (1.13):

	added variables and persisted them in the registry
	
2002-02-04 11:41  vividos

	* source/winlame/: resource.h (1.38), winlame.rc (1.54):

	output page: added controls for "overwrite files" and "action after encoding"
	added accelerator table
	
2002-02-04 11:40  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.27):

	updated
	
2002-02-04 11:39  vividos

	* source/winlame/encoder/wlEncoderImpl.h (1.16):

	added function to set overwrite behaviour
	
2002-02-04 11:38  vividos

	* source/winlame/encoder/wlEncoderImpl.cpp (1.19):

	added check for overwriting files
	improved description string handling
	
2002-02-04 11:37  vividos

	* source/winlame/encoder/: wlAacInputModule.cpp (1.7),
	wlAacInputModule.h (1.5):

	updated description string
	AAC file info is now retrieved with menno's aacinfo
	
2002-02-04 11:28  vividos

	* source/winlame/res/: idle.ico (1.1), winlame.ico (1.6),
	working.ico (1.1):

	added idle and working icons
	updated winlame 48x48 icon
	
2002-02-04 11:13  vividos

	* source/winlame/encoder/aacinfo/: aacinfo.c (1.2), aacinfo.h
	(1.2), filestream.c (1.2), filestream.h (1.2):

	stripped down http stream support
	
2002-02-04 11:11  vividos

	* source/winlame/encoder/aacinfo/: aacinfo.c (1.1), aacinfo.h
	(1.1), filestream.c (1.1), filestream.h (1.1):

	added aacinfo files from faad2
	
2002-01-30 17:20  vividos

	* source/winlame/: resource.h (1.37), winlame.rc (1.53),
	wlEncodePage.cpp (1.25), wlEncodePage.h (1.19),
	wlEncoderInterface.h (1.10), wlLameVBRSettingsPage.cpp (1.8),
	wlMainDlg.cpp (1.29), wlSystemTrayIcon.h (1.1), wlUIinterface.h
	(1.12), wlVariableManager.cpp (1.7), wlVariableManager.h (1.8):

	input file list: added context menu
	added system tray
	encode page: added button to send winLAME to system tray
	encode page: added slider for thread priority setting
	system menu: added entry to call the winLAME uninstaller
	added check if no modules are available
	other small changes
	
2002-01-30 17:15  vividos

	* source/winlame/encoder/wlEncoderImpl.h (1.15):

	added function to set thread priority
	
2002-01-30 17:14  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.26):

	added and fixed some variables to set
	
2002-01-30 17:12  vividos

	* source/winlame/res/btnicons.bmp (1.2):

	added a button for "send to tray"
	
2002-01-30 17:11  vividos

	* source/nlame/nlame.h (1.10):

	updated some descriptions
	
2002-01-30 17:11  vividos

	* source/nlame/nlame.c (1.10):

	d'oh! forgot a whole bunch of variables to set/get
	
2002-01-30 17:09  vividos

	* source/htmlhelp/html/: howto/presets.html (1.5),
	techref/index.html (1.7):

	updated
	
2002-01-30 17:09  vividos

	* source/htmlhelp/html/techref/mpegheader.html (1.8):

	updated with latest document from http://www.dv.co.yu/mpgscript/mpeghdr.htm
	
2002-01-30 17:05  vividos

	* source/htmlhelp/toc.hhc (1.10):

	changed title of page
	
2002-01-30 17:04  vividos

	* source/: winlame-light.nsi (1.14), winlame.nsi (1.24):

	updated installer version
	
2002-01-30 17:04  vividos

	* source/winlame.dsp (1.42):

	added file wlSystemTrayIcon.h
	
2002-01-30 17:03  vividos

	* source/presets.xml (1.12):

	added nogap and portable player preset
	
2002-01-30 17:01  vividos

	* docs/TODO.txt (1.23):

	updated
	
2002-01-22 11:39  vividos

	* source/htmlhelp/html/techref/: mpegheader.html (1.7), wlarch.html
	(1.4), wlmodules.html (1.4):

	updated
	
2002-01-22 11:36  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.25):

	changed some function names (e.g. nlame_lame_new to nlame_new)
	
2002-01-22 11:35  vividos

	* source/nlame/: nlame.c (1.9), nlame.def (1.6), nlame.h (1.9):

	fixed compiler string defines
	added cpu feature retrieveal
	changed some symbols, e.g. nlame_lame_new to nlame_new
	added function to retrieve bitrate histogram
	
2002-01-22 11:31  vividos

	* source/nlame.icl.mak (1.5):

	added a missing /D switch
	
2002-01-22 11:29  vividos

	* source/libraries/include/mad.h (1.5):

	updated header file for mad-0.14.2b
	
2002-01-22 11:27  vividos

	* buildenv/libmad/libmad.def (1.4):

	added mad_stream_errorstr export
	
2002-01-22 11:25  vividos

	* docs/TODO.txt (1.22):

	updated
	
2002-01-22 11:22  vividos

	* docs/doxygen.cfg (1.4):

	updated version number
	
2002-01-18 21:28  vividos

	* source/htmlhelp/html/howto/presets.html (1.4):

	added presets howto
	
2002-01-18 21:28  vividos

	* source/winlame/: resource.h (1.36), winlame.rc (1.52),
	wlInputPage.cpp (1.26), wlInputPage.h (1.16):

	added context menu for input list control
	
2002-01-18 21:28  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.24):

	modified wlGetLameVersion() to return various types of strings
	
2002-01-18 21:22  vividos

	* source/winlame/: wlAboutDlg.cpp (1.11), res/about.html (1.7):

	added more LAME strings; updated copyright notices
	
2002-01-18 21:21  vividos

	* source/winlame/res/winlame.rc2 (1.3):

	added protection of xp resource from visual studio resource mangling
	
2002-01-16 10:08  vividos

	* source/winlame/: resource.h (1.35), winlame.rc (1.51),
	wlLameBasicSettingsPage.cpp (1.17), wlVariableManager.cpp (1.6),
	wlVariableManager.h (1.7), encoder/wlEncoderImpl.cpp (1.18),
	encoder/wlEncoderImpl.h (1.14), encoder/wlLameOutputModule.cpp
	(1.23), encoder/wlLameOutputModule.h (1.10):

	added nogap encoding option
	updated versions to rd10
	
2002-01-16 10:06  vividos

	* source/winlame/: wlMainDlg.cpp (1.28), wlMainDlg.h (1.22):

	added parsing of files passed at command line
	
2002-01-16 10:05  vividos

	* source/winlame/encoder/wlMadMpegInputModule.cpp (1.12):

	MPEG header is now tested, if syncstart is found
	
2002-01-05 20:07  vividos

	* ChangeLog (1.6):

	updated for rd9
	
2002-01-05 20:05  vividos

	* buildtools/makensis.exe (1.9):

	updated to 1.91
	
2002-01-05 19:35  vividos

	* source/htmlhelp/html/: index.html (1.11), howto/index.html (1.5),
	howto/presets.html (1.3), howto/ripencode.html (1.3),
	misc/features.html (1.6), misc/intromp3.html (1.4),
	misc/licenses.html (1.6), misc/links.html (1.4), pages/aac.html
	(1.6), pages/encode.html (1.6), pages/index.html (1.9),
	pages/input.html (1.9), pages/lameadv.html (1.6),
	pages/lamebasic.html (1.6), pages/lamevbr.html (1.6),
	pages/oggvorbis.html (1.6), pages/output.html (1.6),
	pages/presets.html (1.6), pages/property.html (1.6),
	pages/wave.html (1.6), pages/images/oggvorbis.png (1.2),
	pages/images/presets.png (1.3), pages/images/properties.png (1.2),
	techref/architecture.fw.png (1.1), techref/architecture.png (1.1),
	techref/index.html (1.6), techref/mpegheader.html (1.6),
	techref/wlarch.html (1.3), techref/wlmodules.html (1.3):

	updated
	
2002-01-05 19:32  vividos

	* source/htmlhelp/toc.hhc (1.9):

	updated htlp help
	
2002-01-05 19:27  vividos

	* source/winlame/: winlame.rc (1.50), wlEncodePage.cpp (1.24),
	wlEncoderInterface.h (1.9), encoder/wlEncoderImpl.cpp (1.17),
	encoder/wlEncoderImpl.h (1.13):

	fixed bug #499418
	error dialog: stop button should work now
	
2002-01-05 17:07  vividos

	* source/winlame/: winlame.rc (1.49), wlOggVorbisSettingsPage.h
	(1.7):

	minor changes
	
2002-01-05 16:54  vividos

	* source/winlame/: resource.h (1.34), winlame.rc (1.48),
	wlOggVorbisSettingsPage.cpp (1.7), wlOggVorbisSettingsPage.h (1.6),
	encoder/wlOggVorbisOutputModule.cpp (1.12):

	ogg vorbis: added managed bitrate selection
	
2002-01-05 16:53  vividos

	* source/: nlame.icl.mak (1.4), winlame.dsp (1.41):

	minor changes
	
2002-01-05 16:50  vividos

	* source/winlame/res/winlame.rc2 (1.2):

	fixed path
	
2002-01-05 16:48  vividos

	* docs/: License.winLAME.txt (1.2), TODO.txt (1.21):

	updated
	
2002-01-05 16:47  vividos

	* source/nlame/: nlame.c (1.8), nlame.def (1.5), nlame.h (1.8):

	added nogap flush function
	
2002-01-05 16:46  vividos

	* source/nlame/nl_presets.c (1.2):

	added prototype to remove warning
	
2002-01-04 22:03  vividos

	* source/: nlame.dsp (1.8), nlame.icl.mak (1.3), nlame.mak (1.7),
	presets.xml (1.11), winlame.mak (1.6), nlame/nl_presets.c (1.1),
	nlame/nl_presets.h (1.1), nlame/nlame.c (1.7), nlame/nlame.h (1.7),
	winlame/wlVariableManager.cpp (1.5), winlame/wlVariableManager.h
	(1.6):

	added alt-preset abr/cbr implementation
	added cbr 128 and abr 128 preset
	
2002-01-04 21:44  vividos

	* source/: build.bat (1.4), build.icl.bat (1.2):

	defaulted icc build for nLAME
	
2002-01-04 21:39  vividos

	* source/winlame/: wlOutputPage.cpp (1.16), wlPresetsPage.cpp
	(1.13), encoder/wlLameOutputModule.cpp (1.22):

	fixed behaviour of wlLameHideSettings setting
	
2002-01-03 15:59  vividos

	* source/nlame.mak (1.6):

	updated
	
2002-01-03 15:59  vividos

	* source/: winlame-light.nsi (1.13), winlame.nsi (1.23):

	changed license text
	
2002-01-03 15:54  vividos

	* docs/License.winLAME.txt (1.1):

	added
	
2002-01-03 15:54  vividos

	* docs/TODO.txt (1.20):

	updated
	
2002-01-03 15:37  vividos

	* source/: nlame.dsp (1.7), nlame.icl.mak (1.2), nlame.mak (1.5):

	minor changes
	
2002-01-03 15:14  vividos

	* source/winlame/: resource.h (1.33), winlame.rc (1.47),
	wlAboutDlg.cpp (1.10), wlLameVBRSettingsPage.h (1.5),
	wlOggVorbisSettingsPage.cpp (1.6), wlOggVorbisSettingsPage.h (1.5),
	wlVariableManager.cpp (1.4), wlVariableManager.h (1.5),
	encoder/wlOggVorbisOutputModule.cpp (1.11),
	encoder/wlOggVorbisOutputModule.h (1.5):

	updated Ogg Vorbis config page and output module
	
2002-01-03 01:12  vividos

	* source/libraries/: ogg.dll (1.2), vorbis.dll (1.2), vorbisenc.dll
	(1.2), vorbisfile.dll (1.2), include/ogg/ogg.h (1.2),
	include/ogg/os_types.h (1.2), include/vorbis/codec.h (1.2),
	include/vorbis/vorbisenc.h (1.2), include/vorbis/vorbisfile.h
	(1.2), lib/ogg.lib (1.2), lib/vorbis.lib (1.2), lib/vorbisenc.lib
	(1.2), lib/vorbisfile.lib (1.2):

	updated to Ogg Vorbis rc3 libraries
	
2002-01-03 00:09  vividos

	* source/: presets.xml (1.10), winlame-light.nsi (1.12),
	winlame.dsp (1.40), winlame.mak (1.5), winlame.nsi (1.22),
	winlame/wlInputPage.cpp (1.25),
	winlame/encoder/wlLameOutputModule.cpp (1.21),
	winlame/encoder/wlMadMpegInputModule.cpp (1.11),
	winlame/encoder/wlModuleManagerImpl.cpp (1.11),
	winlame/encoder/wlSndFileInputModule.cpp (1.13):

	presets: fixed highpass and max bitrate default value
	install scripts: bump to version rd9
	make files: added STLPort defines to link with stlport_vc6_staticx.lib
	libmad module: retrieving of correct library version
	libsndfile module: updated file extensions; fixed 8bit scaling and mono sample counting
	other minor fixes
	
2002-01-03 00:03  vividos

	* source/libraries/: libmad.dll (1.3), libsndfile.dll (1.6),
	lib/libmad.lib (1.6), lib/libsndfile.lib (1.4):

	updated to libmad 0.14.2b and libsndfile 0.0.27
	
2002-01-02 23:51  vividos

	* source/nlame/: nlame.c (1.6), nlame.def (1.4), nlame.h (1.6):

	added new API function: nlame_lame_string_get()
	
2002-01-02 23:45  vividos

	* docs/TODO.txt (1.19):

	updated
	
2002-01-02 23:43  vividos

	* buildenv/: libmad/libmad.def (1.3), libsndfile/win32/config.h
	(1.2), libsndfile/win32/libsndfile.dsp (1.2),
	libsndfile/win32/libsndfile.rc (1.2):

	updated project files
	libsndfile is now built with multithreaded dll
	
2001-12-29 20:33  vividos

	* source/nlame/libmp3lame/: machine.h (1.2), version.h (1.3):

	updated to LAME 3.91
	
2001-12-26 22:54  vividos

	* source/: build.icl.bat (1.1), nlame.icl.mak (1.1):

	modified nlame.mak to compile with intel compiler
	
2001-12-26 13:03  vividos

	* source/: presets.xml (1.9), winlame/winlame.rc (1.46),
	winlame/wlPresetsPage.cpp (1.12), winlame/wlVariableManager.cpp
	(1.3), winlame/wlVariableManager.h (1.4),
	winlame/preset/wlPresetManagerImpl.cpp (1.14):

	added fast alt-presets
	added "hideLameSettings" as possible preset value
	corrected display of preset description
	
2001-12-26 13:00  vividos

	* source/winlame/res/winlame.ico (1.5):

	changed 32x32 logo
	
2001-12-26 12:53  vividos

	* source/htmlhelp/html/: index.html (1.10), howto/index.html (1.4),
	howto/presets.html (1.2), howto/ripencode.html (1.2),
	misc/features.html (1.5), misc/intromp3.html (1.3),
	misc/licenses.html (1.5), misc/links.html (1.3), pages/aac.html
	(1.5), pages/encode.html (1.5), pages/index.html (1.8),
	pages/input.html (1.8), pages/lameadv.html (1.5),
	pages/lamebasic.html (1.5), pages/lamevbr.html (1.5),
	pages/oggvorbis.html (1.5), pages/output.html (1.5),
	pages/presets.html (1.5), pages/property.html (1.5),
	pages/wave.html (1.5), techref/index.html (1.5),
	techref/mpegheader.html (1.5), techref/wlarch.html (1.2),
	techref/wlmodules.html (1.2):

	corrected some html formatting errors
	
2001-12-24 17:32  vividos

	* ChangeLog (1.5):

	updated for rd8
	
2001-12-24 16:34  vividos

	* docs/doxygen.cfg (1.3):

	updated version number
	
2001-12-24 16:13  vividos

	* source/presets.xml (1.8):

	fixed wrong preset values
	
2001-12-24 16:12  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.20):

	fixed a bug where channel mode was set wrong
	
2001-12-24 14:44  vividos

	* source/nlame/libmp3lame/: set_get.c (1.3), vbrquantize.c (1.3):

	updated with dibroms fixes to CVS:
	  fix small bug and completely disable noise_shaping 2 with "fast" mode until a better solution can be found.
	  disable noise shaping 2 for "fast" extreme mode also
	
2001-12-22 16:17  vividos

	* source/: nlame.dsp (1.6), presets.xml (1.7), winlame/winlame.rc
	(1.45), winlame/wlVariableManager.cpp (1.2),
	winlame/wlVariableManager.h (1.3),
	winlame/encoder/wlLameOutputModule.cpp (1.19):

	added dibrom's presets to presets.xml
	get presets to work
	added a vertical scroll bar to preset description box
	
2001-12-22 15:29  vividos

	* source/winlame/: wlOutputPage.cpp (1.15), wlVariableManager.h
	(1.2):

	removed wlLookupNamePerModuleID()
	
2001-12-22 15:26  vividos

	* source/winlame/: resource.h (1.32), winlame.rc (1.44),
	wlAboutDlg.h (1.7):

	made about box resizable (and bigger)
	
2001-12-22 14:04  vividos

	* source/htmlhelp/html/winlame.css (1.3):

	added style class for license background
	
2001-12-22 13:52  vividos

	* source/htmlhelp/html/misc/licenses.html (1.4):

	fixes to correctly show table background; provided by björn knorr
	
2001-12-22 13:29  vividos

	* source/htmlhelp/html/misc/: features.html (1.4), intromp3.html
	(1.2), licenses.html (1.3), links.html (1.2):

	re-checkin with proper cr-lf
	
2001-12-21 20:59  vividos

	* source/nlame/: nlame.c (1.5), nlame.h (1.5):

	corrected variable enums, added preset expopt variable
	
2001-12-21 20:58  vividos

	* source/nlame/libmp3lame/vbrquantize.h (1.1):

	added
	
2001-12-21 20:25  vividos

	* source/nlame/nlame.c (1.4):

	fixed compiling nLAME.dll
	
2001-12-21 20:18  vividos

	* source/nlame/: include/lame.h (1.2), libmp3lame/VbrTag.c (1.2),
	libmp3lame/VbrTag.h (1.2), libmp3lame/bitstream.c (1.2),
	libmp3lame/encoder.c (1.2), libmp3lame/encoder.h (1.2),
	libmp3lame/fft.c (1.2), libmp3lame/id3tag.c (1.2),
	libmp3lame/lame.c (1.2), libmp3lame/lame_global_flags.h (1.2),
	libmp3lame/newmdct.c (1.2), libmp3lame/pcm.c (1.2),
	libmp3lame/psymodel.c (1.2), libmp3lame/quantize.c (1.2),
	libmp3lame/quantize.h (1.2), libmp3lame/quantize_pvt.c (1.2),
	libmp3lame/reservoir.c (1.2), libmp3lame/set_get.c (1.2),
	libmp3lame/tables.c (1.2), libmp3lame/takehiro.c (1.2),
	libmp3lame/tools.h (1.2), libmp3lame/util.c (1.2),
	libmp3lame/util.h (1.2), libmp3lame/vbrquantize.c (1.2),
	libmp3lame/version.c (1.2), libmp3lame/version.h (1.2):

	updated to LAME 3.90 release
	
2001-12-20 11:12  vividos

	* source/htmlhelp/html/index.html (1.9):

	corrected link to GPL
	
2001-12-20 11:07  vividos

	* readme.txt (1.7):

	updated with new feature text
	
2001-12-19 17:57  vividos

	* source/winlame/: resource.h (1.31), winlame.rc (1.43),
	wlLameAdvancedSettingsPage.cpp (1.6), wlLameAdvancedSettingsPage.h
	(1.4), wlLameBasicSettingsPage.cpp (1.16):

	some visual changes
	
2001-12-19 17:54  vividos

	* source/: nlame.mak (1.4), winlame.dsp (1.39), winlame.mak (1.4),
	winlame/res/winlame.rc2 (1.1):

	updated workspaces and make files
	added xp resource file
	
2001-12-19 17:51  vividos

	* source/htmlhelp/: toc.hhc (1.8), winlamehelp.hhp (1.3),
	html/index.html (1.8), html/howto/index.html (1.3),
	html/howto/presets.html (1.1), html/howto/ripencode.html (1.1),
	html/misc/features.html (1.3), html/misc/intromp3.html (1.1),
	html/misc/licenses.html (1.2), html/misc/links.html (1.1),
	html/pages/aac.html (1.4), html/pages/encode.html (1.4),
	html/pages/index.html (1.7), html/pages/input.html (1.7),
	html/pages/lameadv.html (1.4), html/pages/lamebasic.html (1.4),
	html/pages/lamevbr.html (1.4), html/pages/oggvorbis.html (1.4),
	html/pages/output.html (1.4), html/pages/presets.html (1.4),
	html/pages/property.html (1.4), html/pages/wave.html (1.4),
	html/pages/images/btn_addfiles.png (1.1),
	html/pages/images/btn_deleteall.png (1.1),
	html/pages/images/btn_play.png (1.1), html/pages/images/lameadv.png
	(1.3), html/pages/images/lamebasic.png (1.2),
	html/pages/images/lamevbr.png (1.2), html/pages/images/presets.png
	(1.2), html/techref/index.html (1.4), html/techref/mpegheader.html
	(1.4), html/techref/wlarch.html (1.1), html/techref/wlmodules.html
	(1.1):

	updated html help
	
2001-12-19 17:42  vividos

	* docs/TODO.txt (1.18):

	updated
	
2001-12-18 12:52  vividos

	* source/winlame/: wlInputPage.cpp (1.24), wlInputPage.h (1.15):

	fixed marking all files using CTRL+A
	added dropping folders to list ctrl, resulting in recursive file insert
	modified dragging files to behave like the winamp playlist dragging
	
2001-12-18 12:48  vividos

	* source/winlame/encoder/wlMadMpegInputModule.cpp (1.10):

	fixed calculating playtime when invalid header was read
	
2001-12-18 12:47  vividos

	* source/: nlame.dsp (1.5), winlame.dsp (1.38):

	minor changes
	
2001-12-18 12:46  vividos

	* source/winLAME.exe.manifest (1.2):

	updated description
	
2001-12-18 12:45  vividos

	* buildtools/makensis.exe (1.8):

	updated to 1.90
	
2001-12-18 12:44  vividos

	* source/: winlame-light.nsi (1.11), winlame.nsi (1.21):

	updated for makensis 1.90
	
2001-12-14 18:23  vividos

	* source/: winlame-light.nsi (1.10), winlame.nsi (1.20):

	updated version number
	
2001-12-14 18:19  vividos

	* docs/TODO.txt (1.17):

	updated
	
2001-12-14 18:18  vividos

	* docs/: Copying.LGPL (1.2), Copying.Lesser (1.2):

	recheckin with proper cr-lf
	
2001-12-14 18:14  vividos

	* source/: winLAME.exe.manifest (1.1), winlame.dsp (1.37),
	winlame/winlame.rc (1.42), winlame/wlAacSettingsPage.cpp (1.7),
	winlame/wlLameAdvancedSettingsPage.cpp (1.5),
	winlame/wlLameBasicSettingsPage.cpp (1.15),
	winlame/wlLameVBRSettingsPage.cpp (1.7),
	winlame/wlOggVorbisSettingsPage.cpp (1.5),
	winlame/wlPresetsPage.cpp (1.11), winlame/wlSettingsManager.cpp
	(1.6), winlame/wlSettingsManager.h (1.6),
	winlame/wlSettingsVarIDs.cpp (1.14), winlame/wlSettingsVarIDs.h
	(1.13), winlame/wlVariableManager.cpp (1.1),
	winlame/wlVariableManager.h (1.1),
	winlame/wlWaveOutputSettingsPage.cpp (1.4),
	winlame/encoder/resample.c (1.3), winlame/encoder/resample.h (1.2),
	winlame/encoder/wlAacOutputModule.cpp (1.7),
	winlame/encoder/wlLameOutputModule.cpp (1.18),
	winlame/encoder/wlOggVorbisOutputModule.cpp (1.10),
	winlame/encoder/wlSndFileInputModule.cpp (1.12),
	winlame/encoder/wlWaveOutputModule.cpp (1.8),
	winlame/preset/wlPresetManagerImpl.cpp (1.13),
	winlame/preset/wlPresetManagerImpl.h (1.10):

	major settings manager overhaul:
	simplified settings manager interface (no wlVariant anymore)
	renamed wlSettingsVarIDs.cpp/.h to wlVariableManager.cpp/.h
	
	other stuff:
	added manifest resource for xp controls
	changed output filenames to stylish ones (winLAME.exe, nLAME.dll)
	updated version to rd8
	fixed some minor bugs
	
2001-12-14 18:13  vividos

	* source/winlame/encoder/: wlEncoderImpl.cpp (1.16),
	wlModuleManagerImpl.cpp (1.10), wlModuleManagerImpl.h (1.6):

	fixed multithreading problem:
	modules couldn't read from any file opened the second time module was used
	modules are now created on demand again
	
2001-12-14 18:03  vividos

	* source/nlame/config.h (1.3):

	cr-lf re-checkin
	
2001-12-14 17:52  vividos

	* ChangeLog (1.4):

	updated for rd7
	
2001-12-05 17:27  vividos

	* source/winlame/: resource.h (1.30), winlame.rc (1.41),
	wlLameVBRSettingsPage.cpp (1.6), wlLameVBRSettingsPage.h (1.4):

	changed vbr quality selection to a slider bar
	added all control tooltips to the string resource
	
2001-12-05 17:27  vividos

	* source/winlame/wlLameBasicSettingsPage.cpp (1.14):

	fixed updating read-only status of bitrate edit field
	
2001-12-05 17:24  vividos

	* source/winlame/preset/: msxml3.tlh (1.1), wlPresetManagerImpl.h
	(1.9):

	msxml3.dll is not needed anymore to build
	
2001-12-05 17:22  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.17):

	updated encoding info string generation
	
2001-12-05 17:20  vividos

	* source/libraries/include/mad.h (1.4):

	updated to mad 0.14.1b
	
2001-12-05 17:18  vividos

	* source/: build.bat (1.3), nlame.dsp (1.4):

	minor changes
	
2001-12-05 17:17  vividos

	* source/: nlame.mak (1.3), winlame.mak (1.3):

	updated makefiles
	
2001-12-05 17:15  vividos

	* lameobj.dsw (1.3), source/nlame.cfg (1.3):

	not needed anymore
	
2001-12-05 17:14  vividos

	* docs/doxygen.css (1.2):

	corrected style for hyperlinks
	
2001-12-05 17:13  vividos

	* buildenv/libmad/: build.bat (1.2), config.h (1.1), libmad.def
	(1.2), libmad.dsp (1.1), libmad.dsw (1.1):

	updated for mad 0.14.1b
	
2001-12-04 15:51  vividos

	* source/libraries/README.txt (1.2):

	updated
	
2001-12-04 15:50  vividos

	* source/winlame.dsp (1.36):

	added WTL include path
	
2001-12-04 15:46  vividos

	* docs/: builddocs.bat (1.2), doxygen.cfg (1.2), doxygen.css (1.1):

	improved doxygen help output; updated to 1.2.12
	
2001-12-04 15:44  vividos

	* docs/TODO.txt (1.16):

	updated
	
2001-12-04 09:09  vividos

	* source/: nlame/nlame.c (1.3), nlame/nlame.h (1.4),
	winlame/stdafx.cpp (1.3), winlame/stdafx.h (1.11),
	winlame/winlame.cpp (1.11), winlame/wlAacSettingsPage.cpp (1.6),
	winlame/wlAacSettingsPage.h (1.4), winlame/wlAboutDlg.h (1.6),
	winlame/wlCommonStuff.cpp (1.14), winlame/wlCommonStuff.h (1.22),
	winlame/wlEncodePage.cpp (1.23), winlame/wlEncodePage.h (1.18),
	winlame/wlEncoderInterface.h (1.8), winlame/wlErrorDlg.h (1.6),
	winlame/wlHtmlHelp.h (1.3), winlame/wlInputPage.cpp (1.23),
	winlame/wlInputPage.h (1.14),
	winlame/wlLameAdvancedSettingsPage.cpp (1.4),
	winlame/wlLameAdvancedSettingsPage.h (1.3),
	winlame/wlLameBasicSettingsPage.cpp (1.13),
	winlame/wlLameBasicSettingsPage.h (1.8),
	winlame/wlLameVBRSettingsPage.cpp (1.5),
	winlame/wlLameVBRSettingsPage.h (1.3), winlame/wlMainDlg.cpp
	(1.27), winlame/wlMainDlg.h (1.21),
	winlame/wlOggVorbisSettingsPage.cpp (1.4),
	winlame/wlOggVorbisSettingsPage.h (1.4), winlame/wlOutputPage.cpp
	(1.14), winlame/wlOutputPage.h (1.6), winlame/wlPageBase.h (1.10),
	winlame/wlPresetManagerInterface.h (1.7), winlame/wlPresetsPage.cpp
	(1.10), winlame/wlPresetsPage.h (1.7),
	winlame/wlSettingsManager.cpp (1.5), winlame/wlSettingsManager.h
	(1.5), winlame/wlSettingsVarIDs.cpp (1.13),
	winlame/wlSettingsVarIDs.h (1.12), winlame/wlUISettings.cpp (1.5),
	winlame/wlUIinterface.h (1.11),
	winlame/wlWaveOutputSettingsPage.cpp (1.3),
	winlame/wlWaveOutputSettingsPage.h (1.4),
	winlame/encoder/wlAacInputModule.cpp (1.6),
	winlame/encoder/wlAacInputModule.h (1.4),
	winlame/encoder/wlAacOutputModule.cpp (1.6),
	winlame/encoder/wlAacOutputModule.h (1.4),
	winlame/encoder/wlEncoderImpl.cpp (1.15),
	winlame/encoder/wlEncoderImpl.h (1.12),
	winlame/encoder/wlLameOutputModule.cpp (1.16),
	winlame/encoder/wlLameOutputModule.h (1.9),
	winlame/encoder/wlMadMpegInputModule.cpp (1.9),
	winlame/encoder/wlMadMpegInputModule.h (1.5),
	winlame/encoder/wlModuleInterface.h (1.7),
	winlame/encoder/wlModuleManagerImpl.cpp (1.9),
	winlame/encoder/wlModuleManagerImpl.h (1.5),
	winlame/encoder/wlOggVorbisInputModule.cpp (1.6),
	winlame/encoder/wlOggVorbisInputModule.h (1.6),
	winlame/encoder/wlOggVorbisOutputModule.cpp (1.9),
	winlame/encoder/wlOggVorbisOutputModule.h (1.4),
	winlame/encoder/wlSndFileInputModule.cpp (1.11),
	winlame/encoder/wlSndFileInputModule.h (1.5),
	winlame/encoder/wlWaveOutputModule.cpp (1.7),
	winlame/encoder/wlWaveOutputModule.h (1.6),
	winlame/encoder/wlWinampPluginInputModule.cpp (1.6),
	winlame/encoder/wlWinampPluginInputModule.h (1.4),
	winlame/preset/wlPresetManagerImpl.cpp (1.12),
	winlame/preset/wlPresetManagerImpl.h (1.8),
	winlame/preset/wlPropertyDlg.h (1.4),
	winlame/preset/wlPropertyListBox.cpp (1.5),
	winlame/preset/wlPropertyListBox.h (1.6):

	completed doxygen style documentation; added grouping
	
2001-12-04 09:06  vividos

	* source/winlame/wlAboutDlg.cpp (1.9):

	fixed retrieving version info in release mode
	
2001-12-04 09:05  vividos

	* source/winlame.dsp (1.35):

	removed resample.[ch]
	moved doxygen.cfg to docs folder
	
2001-11-30 20:51  vividos

	* source/winlame/: stdafx.cpp (1.2), stdafx.h (1.10), winlame.cpp
	(1.10), wlAacSettingsPage.cpp (1.5), wlAacSettingsPage.h (1.3),
	wlAboutDlg.cpp (1.8), wlAboutDlg.h (1.5), wlCommonStuff.cpp (1.13),
	wlCommonStuff.h (1.21), wlEncodePage.cpp (1.22), wlEncodePage.h
	(1.17), wlEncoderInterface.h (1.7), wlErrorDlg.h (1.5),
	wlHtmlHelp.h (1.2), wlInputPage.cpp (1.22), wlInputPage.h (1.13),
	wlLameAdvancedSettingsPage.cpp (1.3), wlLameAdvancedSettingsPage.h
	(1.2), wlLameBasicSettingsPage.cpp (1.12),
	wlLameBasicSettingsPage.h (1.7), wlLameVBRSettingsPage.cpp (1.4),
	wlLameVBRSettingsPage.h (1.2), wlMainDlg.cpp (1.26), wlMainDlg.h
	(1.20), wlOggVorbisSettingsPage.cpp (1.3),
	wlOggVorbisSettingsPage.h (1.3), wlOutputPage.cpp (1.13),
	wlOutputPage.h (1.5), wlPageBase.h (1.9),
	wlPresetManagerInterface.h (1.6), wlPresetsPage.cpp (1.9),
	wlPresetsPage.h (1.6), wlSettingsManager.cpp (1.4),
	wlSettingsManager.h (1.4), wlSettingsVarIDs.cpp (1.12),
	wlSettingsVarIDs.h (1.11), wlUISettings.cpp (1.4), wlUIinterface.h
	(1.10), wlWaveOutputSettingsPage.cpp (1.2),
	wlWaveOutputSettingsPage.h (1.3), encoder/wlAacInputModule.cpp
	(1.5), encoder/wlAacInputModule.h (1.3),
	encoder/wlAacOutputModule.cpp (1.5), encoder/wlAacOutputModule.h
	(1.3), encoder/wlEncoderImpl.cpp (1.14), encoder/wlEncoderImpl.h
	(1.11), encoder/wlLameOutputModule.cpp (1.15),
	encoder/wlLameOutputModule.h (1.8),
	encoder/wlMadMpegInputModule.cpp (1.8),
	encoder/wlMadMpegInputModule.h (1.4), encoder/wlModuleInterface.h
	(1.6), encoder/wlModuleManagerImpl.cpp (1.8),
	encoder/wlModuleManagerImpl.h (1.4),
	encoder/wlOggVorbisInputModule.cpp (1.5),
	encoder/wlOggVorbisInputModule.h (1.5),
	encoder/wlOggVorbisOutputModule.cpp (1.8),
	encoder/wlOggVorbisOutputModule.h (1.3),
	encoder/wlSndFileInputModule.cpp (1.10),
	encoder/wlSndFileInputModule.h (1.4),
	encoder/wlWaveOutputModule.cpp (1.6), encoder/wlWaveOutputModule.h
	(1.5), encoder/wlWinampPluginInputModule.cpp (1.5),
	encoder/wlWinampPluginInputModule.h (1.3),
	preset/wlPresetManagerImpl.cpp (1.11), preset/wlPresetManagerImpl.h
	(1.7), preset/wlPropertyDlg.h (1.3), preset/wlPropertyListBox.cpp
	(1.4), preset/wlPropertyListBox.h (1.5):

	added doxygen style comments
	
2001-11-30 20:42  vividos

	* docs/builddocs.bat (1.1), docs/doxygen.cfg (1.1),
	source/doxygen.cfg (1.3):

	moved doxygen config file to ./docs
	
2001-11-24 21:50  vividos

	* docs/CVS-Structure.txt (1.4):

	updated
	
2001-11-24 21:46  vividos

	* lamecom-sdk.txt (1.2), source/lamecom.nsi (1.2),
	source/lameobj.dsp (1.3), source/lameobj/LAMEencoder.cpp (1.4),
	source/lameobj/LAMEencoder.h (1.4), source/lameobj/LAMEencoder.rgs
	(1.2), source/lameobj/lameobj.cpp (1.2), source/lameobj/lameobj.def
	(1.2), source/lameobj/lameobj.idl (1.4), source/lameobj/lameobj.rc
	(1.2), source/lameobj/lameobjps.def (1.2),
	source/lameobj/lameobjps.mk (1.2), source/lameobj/resource.h (1.2),
	source/lameobj/stdafx.cpp (1.2), source/lameobj/stdafx.h (1.2),
	source/lameobj/test/lameobjtest.cpp (1.4),
	source/lameobj/test/lameobjtest.dsp (1.3):

	removed com stuff
	
2001-11-24 21:45  vividos

	* docs/TODO.txt (1.15):

	updated
	
2001-11-24 21:45  vividos

	* source/: winlame-light.nsi (1.9), winlame.nsi (1.19):

	improved installer scripts
	
2001-11-24 19:32  vividos

	* source/winlame.dsp (1.34):

	moved compiling installer to batch file
	
2001-11-24 19:31  vividos

	* buildtools/makensis.exe (1.7), source/build.bat (1.2),
	source/winlame-light.nsi (1.8), source/winlame.nsi (1.18):

	updated install script and compiler to makensis 1.62
	
2001-11-24 15:14  vividos

	* source/libraries/: libsndfile.dll (1.5), lib/libsndfile.lib
	(1.3):

	updated version numbers in the dll
	
2001-11-24 15:01  vividos

	* source/libraries/: libmad.dll (1.2), lib/libmad.lib (1.5):

	updated to libmad 0.14.1b
	
2001-11-24 14:23  vividos

	* source/winlame/: winlame.rc (1.40), wlCommonStuff.h (1.20),
	wlLameBasicSettingsPage.cpp (1.11), wlLameBasicSettingsPage.h
	(1.6):

	implemented "free bitrate" functionality
	implemented different bitrate fixed values for different mpeg types
	
2001-11-24 14:20  vividos

	* source/: nlame.mak (1.2), winlame.mak (1.2):

	updated
	
2001-11-24 14:17  vividos

	* source/nlame.dsp (1.3):

	removed com stuff
	
2001-11-24 14:15  vividos

	* source/: doxygen.cfg (1.2), nlame.cfg (1.2):

	re-checkin with proper cr-lf endings
	
2001-11-24 14:13  vividos

	* source/build.bat (1.1):

	added
	
2001-11-24 14:12  vividos

	* source/nlame/nlame.h (1.3):

	updated vbr mode enum
	
2001-11-24 14:11  vividos

	* source/nlame/: nlame.def (1.3), com/NLameEncoder.rgs (1.2),
	com/nlame.idl (1.2), com/nlame.rc (1.2), com/nlamecom.cpp (1.2),
	com/nlamecom.h (1.2), com/nlamedll.cpp (1.2):

	removed com stuff
	
2001-11-24 14:09  vividos

	* source/libraries/include/: mad.h (1.3), sndfile.h (1.3),
	wtl/AtlApp.h (1.1), wtl/AtlCtrls.h (1.1), wtl/AtlDdx.h (1.1),
	wtl/AtlDlgs.h (1.1), wtl/AtlGdi.h (1.1), wtl/AtlMisc.h (1.1),
	wtl/AtlRes.h (1.1), wtl/AtlUser.h (1.1), wtl/readme.txt (1.1):

	added
	
2001-11-24 09:27  vividos

	* source/winlame/wlInputPage.cpp (1.21):

	fixed a redraw problem
	
2001-11-24 09:24  vividos

	* .cvsignore (1.1):

	added
	
2001-11-22 12:51  vividos

	* source/winlame/encoder/: wlAacOutputModule.cpp (1.4),
	wlLameOutputModule.cpp (1.14), wlMadMpegInputModule.cpp (1.7),
	wlOggVorbisOutputModule.cpp (1.7):

	ac output: file is closed properly
	lame output: updated vbr modes
	mad mpeg input: fixed decoding at end of file
	other minor changes
	
2001-11-22 12:34  vividos

	* source/winlame.nsi (1.17):

	changed winlame to winLAME
	
2001-11-22 12:32  vividos

	* source/winlame/: resource.h (1.29), winlame.rc (1.39),
	wlLameBasicSettingsPage.cpp (1.10), wlLameVBRSettingsPage.cpp
	(1.3), wlSettingsVarIDs.cpp (1.11), wlUISettings.cpp (1.3),
	wlUIinterface.h (1.9):

	added "hide advanced settings" check to LAME basic page
	updated vbr methods on vbr settings page
	other minor changes
	
2001-11-09 19:02  vividos

	* source/winlame/: winlame.rc (1.38), wlAacSettingsPage.cpp (1.4),
	wlAboutDlg.cpp (1.7), wlAboutDlg.h (1.4), wlInputPage.cpp (1.20),
	encoder/wlLameOutputModule.cpp (1.13),
	encoder/wlMadMpegInputModule.cpp (1.6),
	encoder/wlOggVorbisOutputModule.cpp (1.6),
	encoder/wlSndFileInputModule.cpp (1.9),
	preset/wlPresetManagerImpl.cpp (1.10), res/about.html (1.6):

	replaced occurences of winlame with winLAME
	about box: moved getting version info to respective module
	about box: finding out winLAME version works now
	about box: added copyright notices for the various libraries
	other minor changes
	
2001-11-09 18:52  vividos

	* source/htmlhelp/: toc.hhc (1.7), html/misc/gpl.html (1.8),
	html/misc/licenses.html (1.1):

	small update
	
2001-11-09 18:49  vividos

	* source/: nlame.dsp (1.2), winlame.dsp (1.33), nlame/config.h
	(1.2), nlame/nlame.c (1.2), nlame/nlame.def (1.2), nlame/nlame.h
	(1.2), nlame/nlame.rc (1.2), nlame/com/NLameEncoder.rgs (1.1),
	nlame/com/nlame.idl (1.1), nlame/com/nlame.rc (1.1),
	nlame/com/nlamecom.cpp (1.1), nlame/com/nlamecom.h (1.1),
	nlame/com/nlamedll.cpp (1.1):

	added nlame COM interface (not finished yet)
	
2001-11-09 18:44  vividos

	* source/: .cvsignore (1.1), nlame/.cvsignore (1.1),
	winlame/.cvsignore (1.1):

	added
	
2001-11-09 18:40  vividos

	* docs/TODO.txt (1.14):

	updated
	
2001-10-24 11:47  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.12):

	fixed bug where LAME encoder module was disabled in rd5 release
	
2001-10-24 11:46  vividos

	* source/nlame/: nlame.cpp (1.2), nlame.rc.bak (1.2):

	accidentally added
	
2001-10-21 12:26  vividos

	* ChangeLog (1.3):

	updated; now generated with "cvs2cl.pl -S"
	
2001-10-21 12:15  vividos

	* source/: nlame.mak (1.1), winlame.mak (1.1):

	initial checkin
	
2001-10-21 12:06  vividos

	* source/winlame/wlAacSettingsPage.cpp (1.3):

	fixed compiling
	
2001-10-21 11:40  vividos

	* source/libraries/README.txt (1.1):

	added readme file for the libraries
	
2001-10-21 11:37  vividos

	* winlame.dsw (1.9), buildenv/libmad/build.bat (1.1),
	buildenv/libmad/libmad.def (1.1),
	buildenv/libsndfile/win32/config.h (1.1),
	buildenv/libsndfile/win32/libsndfile.def (1.1),
	buildenv/libsndfile/win32/libsndfile.dsp (1.1),
	buildenv/libsndfile/win32/libsndfile.dsw (1.1),
	buildenv/libsndfile/win32/libsndfile.rc (1.1), docs/Copying.GPL
	(1.1), docs/Copying.LGPL (1.1), docs/Copying.Lesser (1.1),
	docs/Copying.Ogg-Vorbis (1.1), docs/TODO.txt (1.13),
	source/lameenc.dsp (1.12), source/nlame.cfg (1.1), source/nlame.dsp
	(1.1), source/winlame-light.nsi (1.7), source/winlame.dsp (1.32),
	source/winlame.nsi (1.16), source/lameenc/config.h (1.4),
	source/lameenc/lameenc.cpp (1.3), source/lameenc/lameenc.def (1.9),
	source/lameenc/lameenc.h (1.3), source/lameenc/lameenc.rc (1.7),
	source/libraries/lameenc.dll (1.4), source/libraries/include/lame.h
	(1.2), source/libraries/include/lameenc.h (1.2),
	source/libraries/lib/lameenc.lib (1.4), source/nlame/config.h
	(1.1), source/nlame/nlame.c (1.1), source/nlame/nlame.cpp (1.1),
	source/nlame/nlame.def (1.1), source/nlame/nlame.h (1.1),
	source/nlame/nlame.rc (1.1), source/nlame/nlame.rc.bak (1.1),
	source/nlame/include/lame.h (1.1), source/nlame/libmp3lame/VbrTag.c
	(1.1), source/nlame/libmp3lame/VbrTag.h (1.1),
	source/nlame/libmp3lame/bitstream.c (1.1),
	source/nlame/libmp3lame/bitstream.h (1.1),
	source/nlame/libmp3lame/encoder.c (1.1),
	source/nlame/libmp3lame/encoder.h (1.1),
	source/nlame/libmp3lame/fft.c (1.1), source/nlame/libmp3lame/fft.h
	(1.1), source/nlame/libmp3lame/id3tag.c (1.1),
	source/nlame/libmp3lame/id3tag.h (1.1),
	source/nlame/libmp3lame/l3side.h (1.1),
	source/nlame/libmp3lame/lame-analysis.h (1.1),
	source/nlame/libmp3lame/lame.c (1.1),
	source/nlame/libmp3lame/lame_global_flags.h (1.1),
	source/nlame/libmp3lame/lameerror.h (1.1),
	source/nlame/libmp3lame/machine.h (1.1),
	source/nlame/libmp3lame/newmdct.c (1.1),
	source/nlame/libmp3lame/newmdct.h (1.1),
	source/nlame/libmp3lame/pcm.c (1.1), source/nlame/libmp3lame/pcm.h
	(1.1), source/nlame/libmp3lame/psymodel.c (1.1),
	source/nlame/libmp3lame/psymodel.h (1.1),
	source/nlame/libmp3lame/quantize.c (1.1),
	source/nlame/libmp3lame/quantize.h (1.1),
	source/nlame/libmp3lame/quantize_pvt.c (1.1),
	source/nlame/libmp3lame/quantize_pvt.h (1.1),
	source/nlame/libmp3lame/reservoir.c (1.1),
	source/nlame/libmp3lame/reservoir.h (1.1),
	source/nlame/libmp3lame/set_get.c (1.1),
	source/nlame/libmp3lame/tables.c (1.1),
	source/nlame/libmp3lame/tables.h (1.1),
	source/nlame/libmp3lame/takehiro.c (1.1),
	source/nlame/libmp3lame/tools.c (1.1),
	source/nlame/libmp3lame/tools.h (1.1),
	source/nlame/libmp3lame/util.c (1.1),
	source/nlame/libmp3lame/util.h (1.1),
	source/nlame/libmp3lame/vbrquantize.c (1.1),
	source/nlame/libmp3lame/version.c (1.1),
	source/nlame/libmp3lame/version.h (1.1),
	source/nlame/libmp3lame/i386/choose_table.nas (1.1),
	source/nlame/libmp3lame/i386/cpu_feat.nas (1.1),
	source/nlame/libmp3lame/i386/fft.nas (1.1),
	source/nlame/libmp3lame/i386/fft3dn.nas (1.1),
	source/nlame/libmp3lame/i386/fftfpu.nas (1.1),
	source/nlame/libmp3lame/i386/fftsse.nas (1.1),
	source/nlame/libmp3lame/i386/ffttbl.nas (1.1),
	source/nlame/libmp3lame/i386/nasm.h (1.1),
	source/nlame/libmp3lame/i386/scalar.nas (1.1),
	source/winlame/winlame.rc (1.37), source/winlame/wlAboutDlg.cpp
	(1.6), source/winlame/encoder/wlLameOutputModule.cpp (1.11),
	source/winlame/encoder/wlLameOutputModule.h (1.7),
	source/winlame/res/winlame.ico (1.4):

	added nlame project
	replaced all lameenc stuff with nlame
	updated winlame icon
	updated version to rd5
	
2001-10-21 09:18  vividos

	* source/winlame/: winlame.rc (1.36), wlAboutDlg.cpp (1.5),
	wlInputPage.cpp (1.19), wlLameAdvancedSettingsPage.cpp (1.2),
	wlLameBasicSettingsPage.cpp (1.9), wlMainDlg.cpp (1.25),
	wlMainDlg.h (1.19), wlPresetManagerInterface.h (1.5),
	wlPresetsPage.cpp (1.8), wlSettingsVarIDs.cpp (1.10),
	wlSettingsVarIDs.h (1.10), encoder/wlAacInputModule.cpp (1.4),
	encoder/wlLameOutputModule.cpp (1.10), encoder/wlLameOutputModule.h
	(1.6), encoder/wlMadMpegInputModule.cpp (1.5),
	encoder/wlOggVorbisInputModule.cpp (1.4),
	encoder/wlOggVorbisInputModule.h (1.4),
	encoder/wlWaveOutputModule.cpp (1.5), encoder/wlWaveOutputModule.h
	(1.4), encoder/wlWinampPluginInputModule.cpp (1.4),
	preset/wlPresetManagerImpl.cpp (1.9), preset/wlPresetManagerImpl.h
	(1.6), res/about.html (1.5):

	small icon is now loaded correctly
	added an "automatic" mpeg mode that is LAME's default
	added wlPresetManagerInterface::setDefaultSettings() to reset all settings to default
	fixed a bug where the settings were not updated when preset was changed at the first time
	changed "disable temporal masking effect" to "enable ..."
	added tool tips for more controls
	added nlame API calls
	removed ogg vorbis input code based on libvorbis (now uses vorbisfile)
	fixed a ogg vorbis input bug
	fixed appending extension when writig raw audio files
	disabled using of the winamp input module for the official builds
	fixed a resource leak in winamp input module
	added urls to licenses in about box
	
2001-10-21 09:00  vividos

	* source/htmlhelp/html/: index.html (1.7), howto/index.html (1.2),
	misc/gpl.html (1.7), pages/aac.html (1.3), pages/encode.html (1.3),
	pages/index.html (1.6), pages/input.html (1.6), pages/lameadv.html
	(1.3), pages/lamebasic.html (1.3), pages/lamevbr.html (1.3),
	pages/oggvorbis.html (1.3), pages/output.html (1.3),
	pages/presets.html (1.3), pages/property.html (1.3),
	pages/wave.html (1.3), pages/images/lameadv.png (1.2),
	techref/index.html (1.3), techref/mpegheader.html (1.3):

	more documentation
	changed logo positioning
	
2001-10-13 10:16  vividos

	* docs/TODO.txt (1.12):

	updated; added a wish list
	
2001-10-13 10:16  vividos

	* source/presets.xml (1.6):

	removed aac settings
	
2001-10-13 10:15  vividos

	* source/winlame/: resource.h (1.28), stdafx.h (1.9), winlame.rc
	(1.35), wlMainDlg.cpp (1.24), wlOutputPage.cpp (1.12),
	encoder/wlEncoderImpl.cpp (1.13), encoder/wlLameOutputModule.h
	(1.5), encoder/wlWinampPluginInputModule.cpp (1.3):

	minor changes
	
2001-10-13 10:15  vividos

	* source/winlame/preset/: wlPropertyListBox.cpp (1.3),
	wlPropertyListBox.h (1.4):

	added (and defaulted) read-only mode for the property list box
	
2001-10-13 10:14  vividos

	* source/winlame/res/about.html (1.4):

	updated; now displays installed modules and version numbers of installed modules
	
2001-10-13 10:13  vividos

	* source/winlame/preset/wlPresetManagerImpl.cpp (1.8):

	group name is displayed correctly now
	
2001-10-13 10:10  vividos

	* source/winlame/encoder/: wlWaveOutputModule.cpp (1.4),
	wlWaveOutputModule.h (1.3):

	fixed writing of raw audio files
	
2001-10-13 10:09  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.9):

	added writing of vbr info tag (at last!)
	
2001-10-13 10:08  vividos

	* source/winlame/wlInputPage.cpp (1.18):

	fixed a bug for files in root directories (e.g. D:\) not being added correctly
	
2001-10-13 10:06  vividos

	* source/winlame/: wlAboutDlg.cpp (1.4), wlAboutDlg.h (1.3):

	added retrieving of several library version numbers
	
2001-10-13 10:05  vividos

	* source/winlame/wlAacSettingsPage.cpp (1.2):

	added warning about MPEG2 and LTP used at the same time
	
2001-10-13 10:01  vividos

	* source/libraries/: libsndfile.dll (1.4), include/sndfile.h (1.2),
	lib/libsndfile.lib (1.2):

	updated to libsndfile version 0.0.26
	
2001-10-13 10:00  vividos

	* source/htmlhelp/: toc.hhc (1.6), html/back.png (1.1),
	html/gpl.html (1.2), html/index.html (1.6), html/winlame.css (1.2),
	html/winlame.png (1.2), html/howto/index.html (1.1),
	html/misc/gpl.html (1.6), html/pages/aac.html (1.2),
	html/pages/encode.html (1.2), html/pages/index.html (1.5),
	html/pages/input.html (1.5), html/pages/lameadv.html (1.2),
	html/pages/lamebasic.html (1.2), html/pages/lamevbr.html (1.2),
	html/pages/oggvorbis.html (1.2), html/pages/output.html (1.2),
	html/pages/presets.html (1.2), html/pages/property.html (1.2),
	html/pages/wave.html (1.2), html/pages/images/aac.png (1.1),
	html/pages/images/encode.png (1.1), html/pages/images/input.png
	(1.3), html/pages/images/lameadv.png (1.1),
	html/pages/images/lamebasic.png (1.1),
	html/pages/images/lamevbr.png (1.1),
	html/pages/images/oggvorbis.png (1.1), html/pages/images/output.png
	(1.1), html/pages/images/presets.png (1.1),
	html/pages/images/properties.png (1.1), html/pages/images/wave.png
	(1.1), html/pages/images/wizpages.png (1.4),
	html/techref/index.html (1.2), html/techref/mpegheader.html (1.2),
	html/techref/images/techref.png (1.2):

	updated html help files
	
2001-10-06 19:30  vividos

	* source/winlame/encoder/wlLameOutputModule.cpp (1.8):

	set more settings in LAME
	
2001-10-06 19:29  vividos

	* source/winlame/encoder/wlEncoderImpl.h (1.10):

	encoder now waits for thread to finish in wlEncoderImpl::stopEncode()
	
2001-10-05 19:20  vividos

	* docs/TODO.txt (1.11), source/doxygen.cfg (1.1),
	source/winlame.dsp (1.31):

	added doxygen config file
	
2001-10-05 19:19  vividos

	* source/presets.xml (1.5):

	added all LAME presets
	
2001-10-05 19:18  vividos

	* source/winlame/: wlEncodePage.cpp (1.21), wlEncoderInterface.h
	(1.6), wlInputPage.cpp (1.17), wlMainDlg.cpp (1.23),
	wlOutputPage.cpp (1.11), wlPresetsPage.cpp (1.7), wlPresetsPage.h
	(1.5), wlUIinterface.h (1.8), encoder/wlEncoderImpl.cpp (1.12),
	encoder/wlEncoderImpl.h (1.9), encoder/wlModuleManagerImpl.cpp
	(1.7), encoder/wlModuleManagerImpl.h (1.3):

	module manager now is only created once (in the wlUISettings struct)
	made wlModuleManagerImpl::getFilterString() and wlModuleManager::getAudioFileInfo() non-static
	last selected preset is now selected on page revisit
	
2001-09-28 15:46  vividos

	* source/htmlhelp/html/: gpl.html (1.1), pages/images/wizpages.png
	(1.3):

	added
	
2001-09-28 13:43  vividos

	* source/htmlhelp/html/pages/: aac.html (1.1), encode.html (1.1),
	index.html (1.4), input.html (1.4), lameadv.html (1.1),
	lamebasic.html (1.1), lamevbr.html (1.1), oggvorbis.html (1.1),
	output.html (1.1), presets.html (1.1), property.html (1.1),
	wave.html (1.1):

	added new html help pages
	
2001-09-28 13:13  vividos

	* source/htmlhelp/html/: index.html (1.5), libs/lame.html (1.2),
	libs/libmad.html (1.2), libs/libsndfile.html (1.2),
	libs/vorbis.html (1.2), misc/features.html (1.2), misc/gpl.html
	(1.5), misc/lgpl.html (1.2), pages/about.html (1.3),
	pages/advanced.html (1.4), pages/basic.html (1.4),
	pages/encoding.html (1.3), pages/filter.html (1.4),
	pages/index.html (1.3), pages/input.html (1.3),
	pages/images/about.png (1.2), pages/images/advanced.png (1.2),
	pages/images/basic.png (1.2), pages/images/encoding.png (1.2),
	pages/images/filter.png (1.2), pages/images/input.png (1.2),
	pages/images/wizpages.png (1.2):

	removed old html help files
	
2001-09-28 13:10  vividos

	* source/htmlhelp/: buildhelp.bat (1.2), toc.hhc (1.5):

	updated for new html help structure
	
2001-09-26 22:10  vividos

	* source/presets.xml (1.4):

	updated
	
2001-09-26 22:08  vividos

	* source/winlame.dsp (1.30):

	added lame advanced settings page
	
2001-09-26 22:05  vividos

	* source/winlame/encoder/: wlModuleManagerImpl.cpp (1.6),
	wlWinampPluginInputModule.cpp (1.2), wlWinampPluginInputModule.h
	(1.2):

	partly implemented winamp input plugin module
	
2001-09-26 22:04  vividos

	* source/winlame/encoder/resample.c (1.2):

	fixed compiling
	
2001-09-26 22:02  vividos

	* docs/: Compiling.txt (1.5), TODO.txt (1.10):

	updated
	
2001-09-26 22:01  vividos

	* source/libraries/include/mad.h (1.2):

	updated
	defines for mad_f_mul were missing
	
2001-09-26 18:36  vividos

	* source/libraries/: include/winamp/in2.h (1.1),
	include/winamp/out.h (1.1), winamp/IN2.H (1.2), winamp/OUT.H (1.2):

	moved winamp includes to include dir
	
2001-09-26 17:17  vividos

	* source/libraries/winamp/: IN2.H (1.1), OUT.H (1.1):

	added winamp plugin includes
	
2001-09-26 15:21  vividos

	* source/winlame/: resource.h (1.27), winlame.rc (1.34),
	wlCommonStuff.cpp (1.12), wlLameAdvancedSettingsPage.cpp (1.1),
	wlLameAdvancedSettingsPage.h (1.1), wlLameBasicSettingsPage.cpp
	(1.8), wlLameVBRSettingsPage.cpp (1.2), wlPresetsPage.cpp (1.6),
	wlSettingsVarIDs.cpp (1.9), wlSettingsVarIDs.h (1.9):

	implemented lame vbr and advanced page
	added callback for wlBrowseForFolder to set the initial directory
	in preset page the default preset now has a description
	corrected tab order on most pages
	other minor changes
	
2001-09-26 15:12  vividos

	* source/winlame/preset/wlPresetManagerImpl.cpp (1.7):

	improved description string trimming
	
2001-09-25 21:58  vividos

	* source/winlame.dsp (1.29):

	added lame vbr page and resample files
	
2001-09-25 21:55  vividos

	* source/winlame/: wlLameVBRSettingsPage.cpp (1.1),
	wlLameVBRSettingsPage.h (1.1):

	initial checkin
	
2001-09-25 21:55  vividos

	* source/winlame/: resource.h (1.26), winlame.rc (1.33),
	wlLameBasicSettingsPage.cpp (1.7), wlMainDlg.cpp (1.22),
	wlOutputPage.cpp (1.10), wlSettingsVarIDs.cpp (1.8),
	wlSettingsVarIDs.h (1.8):

	added lame vbr and advanced page resource
	added more settings variables
	added "force mid/side" channel mode
	reenabled tooltips on dialogs in wlMainDlg::RunDialog()
	other small changes
	
2001-09-25 21:51  vividos

	* source/winlame/encoder/: resample.c (1.1), resample.h (1.1),
	wlLameOutputModule.cpp (1.7), wlModuleManagerImpl.cpp (1.5),
	wlOggVorbisOutputModule.cpp (1.5), wlWinampPluginInputModule.cpp
	(1.1), wlWinampPluginInputModule.h (1.1):

	added resample code from mad project
	added winamp plugin input module framework
	other small changes
	
2001-09-25 15:13  vividos

	* source/winlame/: wlPresetsPage.cpp (1.5),
	preset/wlPresetManagerImpl.cpp (1.6), preset/wlPresetManagerImpl.h
	(1.5):

	fixed presets manager as presets.xml got a new structure
	
2001-09-25 15:13  vividos

	* source/winlame/preset/wlPropertyListBox.h (1.3):

	fixed memory leak: inplace control was not destroyed
	
2001-09-25 15:11  vividos

	* source/winlame/encoder/: wlAacOutputModule.cpp (1.3),
	wlOggVorbisInputModule.cpp (1.3), wlOggVorbisInputModule.h (1.3),
	wlSndFileInputModule.cpp (1.8):

	ogg input module: added another way to decode ogg files
	other minor changes
	
2001-09-25 15:09  vividos

	* source/winlame/wlLameBasicSettingsPage.cpp (1.6):

	added all other mpeg types
	
2001-09-25 15:07  vividos

	* source/winlame.nsi (1.15):

	changed dll include paths
	
2001-09-25 10:00  vividos

	* source/libraries/: ogg.dll (1.1), vorbis.dll (1.1), vorbisenc.dll
	(1.1), vorbisfile.dll (1.1):

	added; built from win32sdk cvs version 2001-09-19
	
2001-09-25 09:57  vividos

	* source/winlame/encoder/: wlAacInputModule.cpp (1.3),
	wlAacOutputModule.cpp (1.2), wlAacOutputModule.h (1.2):

	finished aac encoder output module
	aac input module: bitrate cannot be determined easily
	
2001-09-24 23:00  vividos

	* source/winlame/preset/wlPresetManagerImpl.cpp (1.5):

	changed preset manager code to match presets.xml changes
	
2001-09-24 22:51  vividos

	* source/libraries/libmad.dll (1.1):

	initial checkin
	
2001-09-24 22:50  vividos

	* source/presets.xml (1.3):

	changed xml structure
	
2001-09-24 14:51  vividos

	* source/winlame/: resource.h (1.25), winlame.rc (1.32),
	wlAacSettingsPage.h (1.2), wlEncodePage.h (1.16), wlInputPage.h
	(1.12), wlLameBasicSettingsPage.h (1.5), wlMainDlg.h (1.18),
	wlOggVorbisSettingsPage.h (1.2), wlOutputPage.h (1.4), wlPageBase.h
	(1.8), wlPresetsPage.h (1.4), wlWaveOutputSettingsPage.h (1.2):

	added html id to every page
	
2001-09-24 14:44  vividos

	* source/libraries/: lameenc.dll (1.3), libsndfile.dll (1.3):

	rechecked-in with proper binary mode
	
2001-09-24 14:43  vividos

	* source/libraries/: lameenc.dll (1.2), libsndfile.dll (1.2):

	didn't check in with -kb
	
2001-09-24 10:56  vividos

	* ChangeLog (1.2):

	updated for rd3
	
2001-09-24 10:55  vividos

	* source/: winlame-light.nsi (1.6), winlame/winlame.rc (1.31):

	small changes for rd3 release
	
2001-09-24 10:49  vividos

	* source/libraries/: lameenc.dll (1.1), libsndfile.dll (1.1):

	initial checkin
	
2001-09-21 16:59  vividos

	* source/winlame-light.nsi (1.5):

	fixed build error
	
2001-09-21 14:58  vividos

	* source/winlame/: wlMainDlg.cpp (1.21), wlOutputPage.cpp (1.9),
	wlPresetManagerInterface.h (1.4), wlPresetsPage.cpp (1.4),
	wlSettingsVarIDs.cpp (1.7), wlSettingsVarIDs.h (1.7),
	wlUIinterface.h (1.7), preset/wlPresetManagerImpl.cpp (1.4),
	preset/wlPresetManagerImpl.h (1.4):

	preset wizard page is only inserted when there are presets for the current output module
	
2001-09-21 13:28  vividos

	* docs/TODO.txt (1.9):

	updated
	
2001-09-21 13:28  vividos

	* source/: winlame.dsp (1.28), winlame/resource.h (1.24),
	winlame/winlame.rc (1.30), winlame/wlAacSettingsPage.cpp (1.1),
	winlame/wlAacSettingsPage.h (1.1), winlame/wlEncodePage.cpp (1.20),
	winlame/wlErrorDlg.h (1.4), winlame/wlLameBasicSettingsPage.cpp
	(1.5), winlame/wlOggVorbisSettingsPage.cpp (1.2),
	winlame/wlOutputPage.cpp (1.8), winlame/wlSettingsVarIDs.cpp (1.6),
	winlame/wlSettingsVarIDs.h (1.6):

	added aac settings page
	added error dialog
	other minor changes
	
2001-09-21 13:24  vividos

	* source/winlame/encoder/: wlAacInputModule.cpp (1.2),
	wlAacInputModule.h (1.2), wlEncoderImpl.cpp (1.11), wlEncoderImpl.h
	(1.8), wlLameOutputModule.cpp (1.6), wlLameOutputModule.h (1.4),
	wlMadMpegInputModule.cpp (1.4), wlMadMpegInputModule.h (1.3),
	wlModuleInterface.h (1.5), wlModuleManagerImpl.cpp (1.4),
	wlOggVorbisInputModule.cpp (1.2), wlOggVorbisInputModule.h (1.2),
	wlOggVorbisOutputModule.cpp (1.4), wlOggVorbisOutputModule.h (1.2),
	wlSndFileInputModule.cpp (1.7), wlSndFileInputModule.h (1.3),
	wlWaveOutputModule.cpp (1.3), wlWaveOutputModule.h (1.2):

	added getDescription() function to every module
	
2001-09-21 13:24  vividos

	* source/winlame/encoder/: wlAacOutputModule.cpp (1.1),
	wlAacOutputModule.h (1.1):

	initial checkin
	
2001-09-21 13:19  vividos

	* source/libraries/lib/libmad.lib (1.4):

	rolled back to vc generated lib file: mingw32 apparently created an invalid one
	
2001-09-21 00:13  vividos

	* source/winlame/: wlEncodePage.cpp (1.19), wlEncodePage.h (1.15),
	encoder/wlMadMpegInputModule.cpp (1.3):

	bug fixes
	
2001-09-21 00:11  vividos

	* source/libraries/lib/libmad.lib (1.3):

	once again: recompiled libmad with mingw32
	
2001-09-20 14:31  vividos

	* winlame.dsw (1.8), docs/TODO.txt (1.8), source/winlame.dsp
	(1.27), source/libraries/lib/libmad.lib (1.2),
	source/winlame/resource.h (1.23), source/winlame/winlame.rc (1.29),
	source/winlame/wlAboutDlg.cpp (1.3),
	source/winlame/wlCommonStuff.cpp (1.11),
	source/winlame/wlEncodePage.cpp (1.18),
	source/winlame/wlEncodePage.h (1.14),
	source/winlame/wlOutputPage.cpp (1.7),
	source/winlame/encoder/wlAacInputModule.cpp (1.1),
	source/winlame/encoder/wlAacInputModule.h (1.1),
	source/winlame/encoder/wlEncoderImpl.cpp (1.10),
	source/winlame/encoder/wlEncoderImpl.h (1.7),
	source/winlame/encoder/wlMadMpegInputModule.cpp (1.2),
	source/winlame/encoder/wlMadMpegInputModule.h (1.2),
	source/winlame/encoder/wlModuleInterface.h (1.4),
	source/winlame/encoder/wlModuleManagerImpl.cpp (1.3),
	source/winlame/encoder/wlOggVorbisInputModule.cpp (1.1),
	source/winlame/encoder/wlOggVorbisInputModule.h (1.1),
	source/winlame/encoder/wlOggVorbisOutputModule.cpp (1.3),
	source/winlame/encoder/wlSndFileInputModule.cpp (1.6),
	source/winlame/encoder/wlWaveOutputModule.cpp (1.2),
	source/winlame/res/about.html (1.3):

	implemented mad mpeg input module
	added ogg vorbis and aac input module
	added sample interleave and deinterleave functions
	added resource for aac output page
	reordered tab order on most pages
	in the about box, added replacing of %var% keywords
	updated about box html source
	winlame now enables back button when finished encoding all files
	other small leak and bug fixes
	
2001-09-19 20:33  vividos

	* docs/TODO.txt (1.7), source/presets.xml (1.2),
	source/winlame-light.nsi (1.4), source/winlame.dsp (1.26),
	source/winlame.nsi (1.14), source/winlame/wlEncodePage.cpp (1.17),
	source/winlame/encoder/wlLameOutputModule.h (1.3),
	source/winlame/encoder/wlOggVorbisOutputModule.cpp (1.2):

	minor updates/changes
	
2001-09-19 15:34  vividos

	* docs/TODO.txt (1.6), source/winlame.dsp (1.25),
	source/winlame.nsi (1.13), source/winlame/resource.h (1.22),
	source/winlame/winlame.rc (1.28), source/winlame/wlEncodePage.cpp
	(1.16), source/winlame/wlEncoderInterface.h (1.5),
	source/winlame/wlOggVorbisSettingsPage.cpp (1.1),
	source/winlame/wlOggVorbisSettingsPage.h (1.1),
	source/winlame/wlOutputPage.cpp (1.6),
	source/winlame/wlSettingsVarIDs.cpp (1.5),
	source/winlame/wlSettingsVarIDs.h (1.5),
	source/winlame/wlWaveOutputSettingsPage.cpp (1.1),
	source/winlame/wlWaveOutputSettingsPage.h (1.1),
	source/winlame/encoder/wlEncoderImpl.h (1.6),
	source/winlame/encoder/wlMadMpegInputModule.cpp (1.1),
	source/winlame/encoder/wlMadMpegInputModule.h (1.1),
	source/winlame/encoder/wlModuleManagerImpl.cpp (1.2),
	source/winlame/encoder/wlOggVorbisOutputModule.cpp (1.1),
	source/winlame/encoder/wlOggVorbisOutputModule.h (1.1),
	source/winlame/encoder/wlSndFileInputModule.cpp (1.5),
	source/winlame/encoder/wlWaveOutputModule.cpp (1.1),
	source/winlame/encoder/wlWaveOutputModule.h (1.1):

	added ogg vorbis and wave output settings pages and modules
	other minor changes
	
2001-09-19 10:13  vividos

	* source/libraries/: include/ogg/ogg.h (1.1),
	include/ogg/os_types.h (1.1), include/vorbis/codec.h (1.1),
	include/vorbis/vorbisenc.h (1.1), include/vorbis/vorbisfile.h
	(1.1), lib/ogg.lib (1.1), lib/vorbis.lib (1.1), lib/vorbisenc.lib
	(1.1), lib/vorbisfile.lib (1.1):

	added ogg vorbis rc2 sdk header and libs
	
2001-09-18 16:00  vividos

	* source/winlame/preset/: wlPropertyListBox.cpp (1.2),
	wlPropertyListBox.h (1.2):

	added inplace edit control to edit properties
	
2001-09-18 14:18  vividos

	* source/winlame/: winlame.rc (1.27), wlEncodePage.cpp (1.15),
	wlMainDlg.cpp (1.20), wlMainDlg.h (1.17), wlOutputPage.cpp (1.5),
	wlOutputPage.h (1.3):

	minor bugfix changes
	
2001-09-18 14:17  vividos

	* source/winlame/: wlInputPage.cpp (1.16), wlInputPage.h (1.11):

	added drag & drop for files in the list ctrl
	
2001-09-18 14:14  vividos

	* source/winlame/encoder/wlSndFileInputModule.cpp (1.4):

	fixed memory leak
	
2001-09-17 22:48  vividos

	* source/winlame/wlMainDlg.h (1.16):

	fixed storing settings when leaving winlame with exit button
	
2001-09-17 21:37  vividos

	* source/winlame/: wlEncodePage.cpp (1.14),
	encoder/wlEncoderImpl.cpp (1.9):

	minor changes and fixes
	
2001-09-17 15:57  vividos

	* source/winlame/res/about.html (1.2):

	minor changes
	
2001-09-17 15:56  vividos

	* source/winlame/: wlAboutDlg.cpp (1.2), wlAboutDlg.h (1.2),
	wlMainDlg.cpp (1.19):

	activated about box
	html source is now loaded from resource
	
2001-09-17 15:55  vividos

	* source/winlame/wlLameBasicSettingsPage.cpp (1.4):

	added code to store "enforce" flag
	
2001-09-17 14:22  vividos

	* docs/TODO.txt (1.5), source/winlame/wlInputPage.cpp (1.15):

	fixed disabling or enabling of play and delete button
	
2001-09-17 14:20  vividos

	* source/winlame/wlMainDlg.cpp (1.18):

	fix to get tab key in dialogs to work
	
2001-09-17 13:27  vividos

	* source/winlame/encoder/wlModuleManagerImpl.h (1.2):

	corrected file description
	
2001-09-17 13:25  vividos

	* source/winlame/encoder/: wlModuleManagerImpl.cpp (1.1),
	wlModuleManagerImpl.h (1.1):

	initial checkin
	
2001-09-17 13:24  vividos

	* source/: winlame.dsp (1.24), winlame/resource.h (1.21),
	winlame/winlame.rc (1.26), winlame/wlEncodePage.cpp (1.13),
	winlame/wlEncodePage.h (1.13), winlame/wlEncoderInterface.h (1.4),
	winlame/wlInputPage.cpp (1.14), winlame/wlOutputPage.cpp (1.4),
	winlame/wlUIinterface.h (1.6), winlame/encoder/wlEncoderImpl.cpp
	(1.8), winlame/encoder/wlEncoderImpl.h (1.5),
	winlame/encoder/wlLameOutputModule.cpp (1.5),
	winlame/encoder/wlLameOutputModule.h (1.2),
	winlame/encoder/wlModuleInterface.h (1.3),
	winlame/encoder/wlSndFileInputModule.cpp (1.3),
	winlame/encoder/wlSndFileInputModule.h (1.2):

	added module manager class
	added removing file after encoding
	added encoding error handler interface
	added querying filter strings from modules directly
	added error checking callbacks in encoding function
	other minor changes
	
2001-09-16 23:32  vividos

	* source/winlame/encoder/wlEncoderImpl.cpp (1.7):

	fixed creation for output path name for rd2-light
	
2001-09-13 21:30  vividos

	* source/: winlame.dsp (1.23), winlame/winlame.rc (1.25),
	winlame/res/logo.bmp (1.5):

	added small logo right of the caption bar
	
2001-09-13 21:29  vividos

	* source/winlame/wlLameBasicSettingsPage.h (1.4):

	small bugfix to get the fixed spin button ctrls to work
	
2001-09-13 17:38  vividos

	* source/: winlame-light.nsi (1.3), winlame.dsp (1.22),
	lameenc/lameenc.cpp (1.2), lameenc/lameenc.def (1.8),
	lameenc/lameenc.h (1.2), libraries/include/lameenc.h (1.1),
	libraries/lib/lameenc.lib (1.3), winlame/winlame.rc (1.24),
	winlame/wlInputPage.cpp (1.13), winlame/wlMainDlg.cpp (1.17):

	last changes for rd1-light release
	
2001-09-13 17:32  vividos

	* source/winlame/encoder/: wlEncoderImpl.cpp (1.6), wlEncoderImpl.h
	(1.4), wlLameOutputModule.cpp (1.4), wlSndFileInputModule.cpp
	(1.2):

	roughly implemented encoder function
	small changes in the modules
	
2001-09-13 14:02  vividos

	* source/: winlame.dsp (1.21), winlame/encoder/wlEncoderImpl.cpp
	(1.5), winlame/encoder/wlLameOutputModule.cpp (1.3),
	winlame/encoder/wlModuleInterface.h (1.2),
	winlame/encoder/wlSndFileInputModule.cpp (1.1),
	winlame/encoder/wlSndFileInputModule.h (1.1):

	added wlSndFileInputModule module
	changed input module function getInfo() to return sample rate, too
	
2001-09-13 13:21  vividos

	* source/: winlame.dsp (1.20), libraries/lib/lameenc.lib (1.2),
	winlame/resource.h (1.20), winlame/winlame.rc (1.23),
	winlame/wlEncodePage.cpp (1.12), winlame/wlEncodePage.h (1.12),
	winlame/wlEncoderInterface.h (1.3),
	winlame/wlLameBasicSettingsPage.cpp (1.3),
	winlame/wlLameBasicSettingsPage.h (1.3), winlame/wlMainDlg.cpp
	(1.16), winlame/wlMainDlg.h (1.15), winlame/wlOutputPage.cpp (1.3),
	winlame/wlPageBase.h (1.7), winlame/wlPresetManagerInterface.h
	(1.3), winlame/wlSettingsManager.cpp (1.3),
	winlame/wlSettingsManager.h (1.3), winlame/wlSettingsVarIDs.cpp
	(1.4), winlame/wlSettingsVarIDs.h (1.4), winlame/wlUIinterface.h
	(1.5), winlame/encoder/wlEncoderImpl.cpp (1.4),
	winlame/encoder/wlEncoderImpl.h (1.3),
	winlame/encoder/wlLameOutputModule.cpp (1.2):

	finished encoder page UI
	almost finished lame basic settings page
	many other small changes, including bug fixes
	
2001-09-13 13:13  vividos

	* source/: lameenc.dsp (1.11), lameenc/config.h (1.3),
	lameenc/lameenc.cpp (1.1), lameenc/lameenc.def (1.7),
	lameenc/lameenc.h (1.1), lameenc/lameenc.rc (1.6):

	readded project to compile lameenc dll
	
2001-09-12 22:15  vividos

	* source/winlame/wlCommonStuff.h (1.19):

	added wlFixedValueSpinButtonCtrl class again
	
2001-09-12 21:25  vividos

	* source/winlame/wlUISettings.cpp (1.2):

	fixed an assert when the root regkey does not exist
	
2001-09-12 13:53  vividos

	* source/: presets.xml (1.1), winlame-light.nsi (1.2), winlame.dsp
	(1.19), winlame.nsi (1.12), winlame/resource.h (1.19),
	winlame/winlame.rc (1.22), winlame/wlEncodePage.cpp (1.11),
	winlame/wlEncodePage.h (1.11), winlame/wlEncoderInterface.h (1.2),
	winlame/wlInputPage.cpp (1.12), winlame/wlMainDlg.cpp (1.15),
	winlame/wlOutputPage.cpp (1.2), winlame/wlSettingsVarIDs.cpp (1.3),
	winlame/wlSettingsVarIDs.h (1.3), winlame/wlUISettings.cpp (1.1),
	winlame/wlUIinterface.h (1.4), winlame/encoder/wlEncoderImpl.cpp
	(1.3), winlame/encoder/wlEncoderImpl.h (1.2),
	winlame/encoder/wlLameOutputModule.cpp (1.1),
	winlame/encoder/wlLameOutputModule.h (1.1),
	winlame/encoder/wlModuleInterface.h (1.1):

	added lame output module
	added registry support for general UI settings
	added encode page functionality
	added presets.xml
	
2001-09-12 13:44  vividos

	* docs/TODO.txt (1.4):

	updated
	
2001-09-11 22:38  vividos

	* docs/CVS-Structure.txt (1.3):

	updated
	
2001-09-11 22:35  vividos

	* docs/TODO.txt (1.3):

	updated TODO-List for redesigned winlame
	
2001-09-11 22:30  vividos

	* source/winlame/: wlSettingsVarIDs.cpp (1.2), wlSettingsVarIDs.h
	(1.2):

	added more varmap entries
	added wlLookupDefaultVal() to lookup default value for variable
	
2001-09-11 22:29  vividos

	* source/winlame/preset/: wlPresetManagerImpl.cpp (1.3),
	wlPresetManagerImpl.h (1.3):

	changes to use MSXML3.DLL
	
2001-09-11 22:29  vividos

	* source/winlame/preset/wlPropertyDlg.h (1.2):

	made property window resizable
	
2001-09-11 22:28  vividos

	* source/winlame/winlame.rc (1.21):

	reordered ids on lame basic settings page
	made property dialog resizable
	
2001-09-11 22:25  vividos

	* source/htmlhelp/winlamehelp.hhp (1.2):

	changed output filename
	
2001-09-11 13:21  vividos

	* source/: winlame.dsp (1.18), winlame/resource.h (1.18),
	winlame/winlame.rc (1.20), winlame/wlMainDlg.cpp (1.14),
	winlame/wlPresetManagerInterface.h (1.2), winlame/wlPresetsPage.cpp
	(1.3), winlame/wlPresetsPage.h (1.3), winlame/wlSettingsManager.cpp
	(1.2), winlame/wlSettingsManager.h (1.2),
	winlame/preset/wlPresetManagerImpl.cpp (1.2),
	winlame/preset/wlPresetManagerImpl.h (1.2),
	winlame/preset/wlPropertyDlg.h (1.1),
	winlame/preset/wlPropertyListBox.cpp (1.1),
	winlame/preset/wlPropertyListBox.h (1.1):

	added preset manager implementation and preset dialog
	
2001-09-10 23:32  vividos

	* source/: winlame.dsp (1.17), winlame/resource.h (1.17),
	winlame/winlame.rc (1.19), winlame/wlLameBasicSettingsPage.cpp
	(1.2), winlame/wlLameBasicSettingsPage.h (1.2),
	winlame/wlMainDlg.cpp (1.13), winlame/wlMainDlg.h (1.14),
	winlame/wlOutputPage.h (1.2), winlame/wlPresetManagerInterface.h
	(1.1), winlame/wlPresetsPage.cpp (1.2), winlame/wlPresetsPage.h
	(1.2), winlame/wlSettingsManager.cpp (1.1),
	winlame/wlSettingsManager.h (1.1), winlame/wlSettingsVarIDs.cpp
	(1.1), winlame/wlSettingsVarIDs.h (1.1), winlame/wlUIinterface.h
	(1.3), winlame/encoder/wlEncoderImpl.cpp (1.2),
	winlame/encoder/wlEncoderImpl.h (1.1),
	winlame/preset/wlPresetManagerImpl.cpp (1.1),
	winlame/preset/wlPresetManagerImpl.h (1.1):

	added preset and settings manager interfaces
	many small additions
	
2001-09-10 19:29  vividos

	* source/winlame/res/logo.bmp (1.4):

	winlame redesigned:
	restructured UI and encoder class, step 1
	
2001-09-10 19:25  vividos

	* source/winlame/: wlAboutDlg.cpp (1.1), wlAboutDlg.h (1.1),
	wlEncoderInterface.h (1.1), wlHtmlHelp.h (1.1),
	wlLameBasicSettingsPage.cpp (1.1), wlLameBasicSettingsPage.h (1.1),
	wlOutputPage.cpp (1.1), wlOutputPage.h (1.1), wlPresetsPage.cpp
	(1.1), wlPresetsPage.h (1.1):

	winlame redesigned:
	restructured UI and encoder class, step 1
	
2001-09-10 19:22  vividos

	* source/: helpfile.dsp (1.3), libmad.dsp (1.3), libsndfile.dsp
	(1.5), vorbis.dsp (1.8), winlame.dsp (1.16), winlame.nsi (1.11),
	winlame/resource.h (1.16), winlame/stdafx.h (1.8),
	winlame/winlame.rc (1.18), winlame/wlAboutPage.h (1.7),
	winlame/wlAdvancedPage.cpp (1.6), winlame/wlAdvancedPage.h (1.6),
	winlame/wlCommonStuff.cpp (1.10), winlame/wlCommonStuff.h (1.18),
	winlame/wlEncodePage.cpp (1.10), winlame/wlEncodePage.h (1.10),
	winlame/wlEncoder.cpp (1.20), winlame/wlEncoder.h (1.17),
	winlame/wlEncodingInfo.cpp (1.4), winlame/wlEncodingInfo.h (1.5),
	winlame/wlErrorDlg.h (1.3), winlame/wlFilterPage.cpp (1.8),
	winlame/wlFilterPage.h (1.5), winlame/wlGeneralSettingsPage.cpp
	(1.15), winlame/wlGeneralSettingsPage.h (1.12),
	winlame/wlHyperlink.h (1.3), winlame/wlInputPage.cpp (1.11),
	winlame/wlInputPage.h (1.10), winlame/wlLameEncoderModule.cpp
	(1.13), winlame/wlLameEncoderModule.h (1.9),
	winlame/wlLameSettingsPage.cpp (1.5), winlame/wlLameSettingsPage.h
	(1.4), winlame/wlMainDlg.cpp (1.12), winlame/wlMainDlg.h (1.13),
	winlame/wlModulesBase.h (1.2), winlame/wlMpegDecoderModule.cpp
	(1.12), winlame/wlMpegDecoderModule.h (1.9),
	winlame/wlOggVorbisDecoderModule.cpp (1.7),
	winlame/wlOggVorbisDecoderModule.h (1.6),
	winlame/wlOggVorbisEncoderModule.cpp (1.5),
	winlame/wlOggVorbisEncoderModule.h (1.5), winlame/wlPageBase.h
	(1.6), winlame/wlQuickPages.cpp (1.7), winlame/wlQuickPages.h
	(1.5), winlame/wlSndFileDecoderModule.cpp (1.9),
	winlame/wlSndFileDecoderModule.h (1.10), winlame/wlUIinterface.h
	(1.2), winlame/wlWaveEncoderModule.cpp (1.7),
	winlame/wlWaveEncoderModule.h (1.6),
	winlame/encoder/wlEncoderImpl.cpp (1.1), winlame/res/about.html
	(1.1):

	winlame redesigned:
	restructured UI and encoder class, step 1
	
2001-09-10 18:14  vividos

	* source/htmlhelp/buildhelp.bat (1.1):

	initial checkin
	
2001-09-10 18:13  vividos

	* winlame.dsw (1.7):

	removed all other DLL projects
	
2001-09-10 18:12  vividos

	* docs/mpeg3.txt (1.2):

	recheckin with proper cr/lf
	
2001-09-10 18:11  vividos

	* docs/Compiling.txt (1.4):

	updated compiling infos
	
2001-09-10 18:10  vividos

	* source/: winlame-light.nsi (1.1), lameenc/lame/config.h (1.3),
	lameenc/lame/lameenc.cpp (1.6), lameenc/lame/lameenc.def (1.5),
	lameenc/lame/lameenc.h (1.6), lameenc/lame/lameenc.rc (1.4),
	lameenc/lame/resource.h (1.2), lameenc/libmad/config.h (1.4),
	lameenc/libmad/libmad.def (1.3), lameenc/libmad/libmad.rc (1.2),
	lameenc/libmad/resource.h (1.2), lameenc/libsndfile/config.h (1.4),
	lameenc/libsndfile/libsndfile.def (1.2),
	lameenc/libsndfile/libsndfile.rc (1.3),
	lameenc/libsndfile/resource.h (1.2), lameenc/vorbis/resource.h
	(1.2), lameenc/vorbis/vorbis.rc (1.6), lameenc/vorbis/vorbisall.def
	(1.4), libraries/include/faac.h (1.1), libraries/include/faad.h
	(1.1), libraries/include/htmlhelp.h (1.1), libraries/include/lame.h
	(1.1), libraries/include/mad.h (1.1), libraries/include/sndfile.h
	(1.1), libraries/lib/htmlhelp.lib (1.1), libraries/lib/lameenc.lib
	(1.1), libraries/lib/libfaac.lib (1.1), libraries/lib/libfaad.lib
	(1.1), libraries/lib/libmad.lib (1.1), libraries/lib/libsndfile.lib
	(1.1):

	removed all library projects
	.lib and include files are available in source/libraries
	
2001-07-08 23:21  vividos

	* ChangeLog (1.1):

	added changelog file
	
2001-07-08 22:30  vividos

	* source/lameenc/lame/lameenc.def (1.4):

	added symbol to get winlame linking to work
	
2001-07-08 22:29  vividos

	* source/winlame/wlLameEncoderModule.h (1.8):

	corrected compile error; lame_global_struct vars are not accessible anymore
	
2001-07-08 21:52  vividos

	* source/winlame/: resource.h (1.15), winlame.rc (1.17):

	updated resources
	
2001-07-08 21:50  vividos

	* source/lameenc/vorbis/vorbis.rc (1.5):

	corrected version number
	
2001-07-08 21:26  vividos

	* source/winlame/: wlEncodePage.cpp (1.9), wlEncodePage.h (1.9),
	wlEncoder.cpp (1.19), wlGeneralSettingsPage.cpp (1.14),
	wlInputPage.cpp (1.10), wlInputPage.h (1.9),
	wlLameEncoderModule.cpp (1.12), wlLameSettingsPage.cpp (1.4),
	wlLameSettingsPage.h (1.3), wlPageBase.h (1.5), wlQuickPages.cpp
	(1.6), wlQuickPages.h (1.4):

	moved most functions that probably never get inlined to their .cpp files
	moved LAME setting controls from LAME quickpage to settings page
	added MPEG format selection box
	other minor changes
	
2001-07-08 21:23  vividos

	* source/winlame/wlMpegDecoderModule.cpp (1.11):

	remembered sync start position; decoding starts exactly at sync start now
	
2001-07-08 21:22  vividos

	* source/winlame/wlWaveEncoderModule.cpp (1.6):

	fixed bug where wave header was not rewritten at decoding end
	
2001-07-08 21:14  vividos

	* source/winlame/: wlEncodingInfo.cpp (1.3), wlEncodingInfo.h
	(1.4):

	some minor changes
	
2001-07-08 21:13  vividos

	* source/winlame/wlCommonStuff.h (1.17):

	fixed a bug in wlFixedValueSpinButtonCtrl
	
2001-07-08 21:11  vividos

	* source/lameenc/lame/lameenc.rc (1.3):

	updated version number to 3.89 beta
	
2001-07-08 21:08  vividos

	* docs/Compiling.txt (1.3):

	updated with libpack install infos
	
2001-07-08 21:06  vividos

	* readme.txt (1.6):

	updated library version numbers
	
2001-06-19 18:17  vividos

	* source/winlame/res/winlame.ico (1.3):

	updated icon
	
2001-06-19 18:16  vividos

	* source/winlame/: stdafx.h (1.7), wlFilterPage.cpp (1.7),
	wlGeneralSettingsPage.cpp (1.13), wlMainDlg.cpp (1.11),
	wlQuickPages.cpp (1.5):

	moved all <atlddx.h> includes to cpp files; CString must be defined before macros DDX_Text appear
	
2001-06-19 18:15  vividos

	* source/winlame/wlInputPage.h (1.8):

	minor change
	
2001-06-19 18:14  vividos

	* source/winlame/wlSndFileDecoderModule.h (1.9):

	made division-by-zero-safe
	
2001-06-19 18:13  vividos

	* source/winlame.dsp (1.15):

	added _ATL_NO_COM define
	
2001-06-19 18:12  vividos

	* source/winlame.nsi (1.10):

	minor fix
	
2001-06-19 16:28  vividos

	* buildtools/makensis.exe (1.6):

	updated to nsis 1.44
	
2001-06-19 16:27  vividos

	* source/winlame/: stdafx.h (1.6), winlame.cpp (1.9), wlAboutPage.h
	(1.6), wlAdvancedPage.cpp (1.5), wlCommonStuff.h (1.16),
	wlEncodePage.cpp (1.8), wlEncoder.cpp (1.18), wlFilterPage.cpp
	(1.6), wlGeneralSettingsPage.cpp (1.12), wlInputPage.cpp (1.9),
	wlLameSettingsPage.cpp (1.3), wlMainDlg.cpp (1.10),
	wlOggVorbisEncoderModule.h (1.4), wlQuickPages.cpp (1.4):

	moved #include <atlmisc.h> to cpp files; caused internal compiler errors when in stdafx.h
	wlFixedValueSpinButtonCtrl now uses int array instead of std::vector
	wlOggVorbisEncoderModule::currentBitrate() returns the correct bitrate now
	
2001-06-19 16:18  vividos

	* source/winlame.nsi (1.9):

	minor change; deletes the shortcuts at uninstallation
	
2001-06-19 16:17  vividos

	* source/lameenc/vorbis/vorbis.rc (1.4):

	updated version resouce for vorbis 1.0
	
2001-06-18 17:50  vividos

	* source/: vorbis.dsp (1.7), lameenc/vorbis/vorbisall.def (1.3):

	updated for ogg vorbis 1.0 (sources in buildpack 6)
	
2001-06-18 16:25  vividos

	* source/winlame/: wlEncodingInfo.cpp (1.2), wlEncodingInfo.h
	(1.3), wlLameEncoderModule.cpp (1.11):

	corrected some typos and unfinished code
	
2001-06-18 16:21  vividos

	* source/winlame.nsi (1.8):

	html help file can now be installed separately
	
2001-06-18 16:20  vividos

	* source/winlame.dsp (1.14):

	added wlEncodingInfo.cpp
	
2001-06-18 16:10  vividos

	* source/winlame/: wlMainDlg.cpp (1.9), wlMainDlg.h (1.12):

	added check if chm file is present (and switching off help when not)
	moved methods to the cpp file that probably never get inlined
	
2001-06-18 16:08  vividos

	* source/winlame/: wlEncodingInfo.cpp (1.1), wlEncodingInfo.h
	(1.2), wlQuickPages.cpp (1.3), wlQuickPages.h (1.3):

	moved the winlame_preset_t struct to separate file
	
2001-06-14 20:33  vividos

	* source/lameenc/: lame/readme.txt (1.4), libmad/mincrt.cpp (1.2),
	libsndfile/readme.txt (1.3), vorbis/readme.txt (1.3):

	removed unneeded files
	
2001-06-14 20:28  vividos

	* source/winlame/: wlWaveEncoderModule.cpp (1.5),
	wlWaveEncoderModule.h (1.5):

	added raw audio file writing
	
2001-06-14 20:26  vividos

	* source/winlame/: wlOggVorbisDecoderModule.cpp (1.6),
	wlOggVorbisDecoderModule.h (1.5):

	added retrieving length of file using libvorbisfile
	
2001-06-14 20:22  vividos

	* source/lameenc/libmad/config.h (1.3):

	removed disabling of warnings
	
2001-06-14 20:21  vividos

	* source/winlame.nsi (1.7):

	changed for prebeta 4
	
2001-06-14 20:20  vividos

	* source/winlame.dsp (1.13):

	added wlLameSettingsPage.*, wlQuickPages.*, wlEncodingInfo.h and vorbisfile.c
	
2001-06-14 20:14  vividos

	* source/libmad.dsp (1.2):

	removed mincrt.cpp
	
2001-06-14 20:12  vividos

	* source/lameenc/libsndfile/config.h (1.3):

	minor change
	
2001-06-12 21:06  vividos

	* source/winlame/: stdafx.h (1.5), winlame.cpp (1.8), wlAboutPage.h
	(1.5), wlAdvancedPage.cpp (1.4), wlAdvancedPage.h (1.5),
	wlCommonStuff.cpp (1.9), wlCommonStuff.h (1.15), wlEncodePage.cpp
	(1.7), wlEncodePage.h (1.8), wlEncoder.cpp (1.17), wlEncoder.h
	(1.16), wlEncodingInfo.h (1.1), wlFilterPage.cpp (1.5),
	wlFilterPage.h (1.4), wlGeneralSettingsPage.cpp (1.11),
	wlInputPage.cpp (1.8), wlInputPage.h (1.7), wlLameEncoderModule.cpp
	(1.10), wlLameEncoderModule.h (1.7), wlLameSettingsPage.cpp (1.2),
	wlLameSettingsPage.h (1.2), wlMainDlg.cpp (1.8), wlMainDlg.h
	(1.11), wlModulesBase.h (1.1), wlMpegDecoderModule.cpp (1.10),
	wlMpegDecoderModule.h (1.8), wlOggVorbisDecoderModule.cpp (1.5),
	wlOggVorbisDecoderModule.h (1.4), wlOggVorbisEncoderModule.cpp
	(1.4), wlOggVorbisEncoderModule.h (1.3), wlPageBase.h (1.4),
	wlQuickPages.cpp (1.2), wlQuickPages.h (1.2),
	wlSndFileDecoderModule.cpp (1.8), wlSndFileDecoderModule.h (1.8),
	wlWaveEncoderModule.cpp (1.4), wlWaveEncoderModule.h (1.4):

	major restructuring of wlEncodingInfo struct
	moved wlEncoderModule and wlDecoderModule to separate file
	using DDX_* functions for dialog data exchange now
	removed most occurences of std::string in UI code
	
2001-06-12 20:57  vividos

	* source/winlame/res/logo.bmp (1.3):

	added sidepic from leo donhauser
	
2001-06-12 20:56  vividos

	* source/winlame/: resource.h (1.14), winlame.rc (1.16):

	added lame specific settings dialog resource
	other minor changes
	
2001-06-12 20:54  vividos

	* source/lameenc/lame/: lameenc.cpp (1.5), lameenc.def (1.3),
	lameenc.h (1.5):

	added 3 more lame_set_ functions
	
2001-06-09 18:42  vividos

	* source/winlame/: wlEncodePage.cpp (1.6), wlEncodePage.h (1.7):

	replaced std::string/wlLoadString() with CString::LoadString()
	
2001-06-09 18:40  vividos

	* source/winlame/wlAdvancedPage.h (1.4):

	added caption ID
	
2001-06-09 18:37  vividos

	* source/winlame/: wlGeneralSettingsPage.cpp (1.10),
	wlGeneralSettingsPage.h (1.11), wlInputPage.cpp (1.7),
	wlInputPage.h (1.6), wlMainDlg.cpp (1.7), wlMainDlg.h (1.10):

	more dialog redesign changes
	moved quick pages to separate file
	replaced std::string with CString
	
2001-06-09 18:33  vividos

	* source/winlame/: wlAboutPage.h (1.4), wlErrorDlg.h (1.2),
	wlFilterPage.h (1.3), wlHyperlink.h (1.2):

	replaced std::string/wlLoadString with CString::LoadString()
	
2001-06-09 18:30  vividos

	* source/winlame/: wlEncoder.cpp (1.16), wlEncoder.h (1.15),
	wlLameEncoderModule.cpp (1.9), wlLameEncoderModule.h (1.6),
	wlMpegDecoderModule.cpp (1.9), wlMpegDecoderModule.h (1.7),
	wlOggVorbisDecoderModule.cpp (1.4), wlOggVorbisDecoderModule.h
	(1.3), wlSndFileDecoderModule.cpp (1.7), wlSndFileDecoderModule.h
	(1.7):

	changed interface of every wlDecoderModule to return bitrate and length
	removed old init code in wlLameEncoderModule
	some other minor changes
	
2001-06-09 18:25  vividos

	* source/winlame/winlame.cpp (1.7):

	added init code for common controls from wlCommonStuff.cpp
	
2001-06-09 18:23  vividos

	* source/winlame/stdafx.h (1.4):

	cleanup; removed stl includes
	
2001-06-09 18:22  vividos

	* source/winlame/: wlCommonStuff.cpp (1.8), wlCommonStuff.h (1.14):

	cleanup: removed wlLoadString()
	used WTL CString instead of std::string
	
2001-06-09 18:20  vividos

	* source/winlame/: wlLameSettingsPage.cpp (1.1),
	wlLameSettingsPage.h (1.1), wlQuickPages.cpp (1.1), wlQuickPages.h
	(1.1):

	initial checkin
	
2001-06-09 18:17  vividos

	* source/winlame/wlOggVorbisDecoderModule.cpp (1.3):

	corrected ifstream open mode to ios::in
	
2001-06-09 18:16  vividos

	* source/winlame/wlPageBase.h (1.3):

	very minor change
	
2001-06-09 18:14  vividos

	* source/lameenc/lame/: config.h (1.2), lameenc.cpp (1.4),
	lameenc.def (1.2), lameenc.h (1.4), lameenc.rc (1.2), readme.txt
	(1.3):

	upgraded to lame 3.89 alpha6 (cvs snapshot 09-07-2001)
	completed my lame_set_* functions
	added lame_encode_flush_nogap to def file
	cleanup of config.h
	
2001-06-08 14:55  vividos

	* buildtools/: makensis.exe (1.5), upx.exe (1.3):

	upgrading to upx 1.20w and makensis 1.43
	
2001-06-06 18:45  vividos

	* source/winlame/wlMpegDecoderModule.cpp (1.8):

	fixed reading in input file as binary (argh!);
	fixed reading first frame;
	fixed decoding;
	fixed sample scaling
	
2001-06-06 18:43  vividos

	* source/winlame/wlMainDlg.cpp (1.6):

	used _Module.GetResourceInstance() to get the resource instance handle
	
2001-06-04 10:45  vividos

	* source/winlame/: wlEncoder.cpp (1.15), wlEncoder.h (1.14):

	renamed getSamplerateFromFile() to getAudiofileInfos()
	
2001-06-04 10:40  vividos

	* source/lameobj/test/: lameobjtest.cpp (1.3), lameobjtest.dsp
	(1.2):

	changed example so that only the tlb is needed, no other midl generated .h file
	
2001-06-04 10:38  vividos

	* source/lameobj/: LAMEencoder.cpp (1.3), LAMEencoder.h (1.3),
	lameobj.idl (1.3):

	renamed method PrepareEncoding to InitParameter
	
2001-06-04 10:35  vividos

	* source/lameenc/libmad/libmad.def (1.2):

	added all other exported functions
	
2001-06-04 10:30  vividos

	* lamecom-sdk.txt (1.1), source/lamecom.nsi (1.1):

	initial checkin
	
2001-05-06 13:19  vividos

	* source/winlame/winlame.rc (1.15):

	major modification in the page dialogs
	added quick config dialogs
	
2001-05-06 13:18  vividos

	* source/winlame.dsp (1.12):

	added wlUIinterface.h
	
2001-05-06 13:16  vividos

	* source/: lameenc/vorbis/vorbis.rc (1.3),
	lameenc/vorbis/vorbisall.def (1.2), vorbis.dsp (1.6):

	removed libvorbisfile from the vorbis project
	
2001-05-06 13:15  vividos

	* source/lameobj/test/lameobjtest.cpp (1.2):

	uses tlb only to get interface
	
2001-05-06 12:55  vividos

	* source/winlame/: resource.h (1.13), wlEncodePage.h (1.6),
	wlFilterPage.cpp (1.4), wlGeneralSettingsPage.cpp (1.9),
	wlGeneralSettingsPage.h (1.10), wlInputPage.cpp (1.6),
	wlInputPage.h (1.5), wlMainDlg.cpp (1.5), wlMainDlg.h (1.9),
	wlPageBase.h (1.2), wlUIinterface.h (1.1):

	major class structure changes; pages are dynamically now
	used DDX_ methods to do data exchange
	used WTL CString wherever possible
	other minor changes like tab corrections
	
2001-05-06 12:53  vividos

	* source/winlame/: wlCommonStuff.cpp (1.7), wlCommonStuff.h (1.13):

	replaced wlTooltipCtrl with WTL CToolTipCtrl
	removed radio button class
	
2001-05-06 12:50  vividos

	* source/winlame/: winlame.cpp (1.6), wlAboutPage.h (1.3):

	minor changes
	
2001-05-06 12:50  vividos

	* source/winlame/stdafx.h (1.3):

	added WTL include files
	
2001-04-27 17:31  vividos

	* source/winlame/: resource.h (1.12), winlame.rc (1.14):

	added resources for the error dialog
	added play button to input dialog
	
2001-04-27 17:27  vividos

	* source/winlame.dsp (1.11):

	added ogg vorbis decoder module and error dialog source files
	
2001-04-27 17:25  vividos

	* source/winlame/: wlEncoder.cpp (1.14), wlEncoder.h (1.13),
	wlLameEncoderModule.cpp (1.8), wlLameEncoderModule.h (1.5),
	wlMpegDecoderModule.cpp (1.7), wlMpegDecoderModule.h (1.6),
	wlOggVorbisDecoderModule.cpp (1.2), wlOggVorbisDecoderModule.h
	(1.2), wlOggVorbisEncoderModule.cpp (1.3),
	wlOggVorbisEncoderModule.h (1.2), wlSndFileDecoderModule.cpp (1.6),
	wlSndFileDecoderModule.h (1.6), wlWaveEncoderModule.cpp (1.3),
	wlWaveEncoderModule.h (1.3):

	major enhancements in the encoding modules:
	added error dialog when a module reports an error
	added getModuleName() and getErrorMessage() functions to the modules
	
2001-04-27 17:16  vividos

	* source/winlame/wlErrorDlg.h (1.1):

	initial checkin
	
2001-04-27 15:54  vividos

	* source/winlame/wlCommonStuff.cpp (1.6):

	increased load buffer size in wlLoadString() to 512
	
2001-04-27 15:50  vividos

	* source/winlame/: wlGeneralSettingsPage.cpp (1.8),
	wlGeneralSettingsPage.h (1.9), wlEncodePage.cpp (1.5),
	wlEncodePage.h (1.5), wlMainDlg.h (1.8), wlCommonStuff.h (1.12):

	replaced SendMessage(GetDlgItem()) with SendDlgItemMessage() calls
	
2001-04-27 15:49  vividos

	* source/winlame/wlAdvancedPage.h (1.3):

	replaced SendMessage(GetDlgItem()) with SendDlgItemMessage calls
	
2001-04-27 15:47  vividos

	* source/winlame/wlInputPage.h (1.4):

	added a play button
	replaced SendMessage(GetDlgItem()) with SendDlgItemMessage() calls
	
2001-04-27 15:44  vividos

	* buildtools/makensis.exe (1.4), source/winlame.nsi (1.6):

	updated to MakeNSIS v1.4 beta 2
	
2001-04-27 10:02  vividos

	* source/winlame/: wlOggVorbisDecoderModule.cpp (1.1),
	wlOggVorbisDecoderModule.h (1.1):

	initial checkin
	
2001-04-25 21:00  vividos

	* readme.txt (1.5):

	updated version numbers
	
2001-04-25 20:57  vividos

	* docs/TODO.txt (1.2):

	a little brainstorming brought this to daylight :)
	
2001-04-19 22:36  vividos

	* source/winlame/winlame.rc (1.13):

	changed window caption to beta3
	
2001-04-19 22:33  vividos

	* source/winlame/res/logo.bmp (1.2):

	made new logo for beta3
	
2001-04-19 22:19  vividos

	* source/lameenc.dsp (1.10):

	forgot to add the lameenc.def file
	
2001-04-19 17:30  vividos

	* docs/CVS-Structure.txt (1.2):

	added a description of the libmad folder
	
2001-04-19 17:29  vividos

	* readme.txt (1.4):

	added a list of features for the release version of winlame
	
2001-04-19 17:28  vividos

	* source/: lameenc.dsp (1.9), libsndfile.dsp (1.4), vorbis.dsp
	(1.5):

	changed location of def and resource files
	
2001-04-19 17:27  vividos

	* source/winlame.nsi (1.5):

	changed output file to beta3
	
2001-04-19 17:20  vividos

	* source/lameenc/libmad/config.h (1.2):

	added file header
	
2001-04-19 17:18  vividos

	* source/lameenc/lame/: lameenc.cpp (1.3), lameenc.h (1.3):

	added return values for every function
	
2001-04-19 17:17  vividos

	* source/lameenc/: config.h (1.2), lameenc.def (1.6), lameenc.rc
	(1.5), libsndfile.def (1.2), resource.h (1.2), vorbisall.def (1.2),
	lame/lameenc.def (1.1), lame/lameenc.rc (1.1), lame/resource.h
	(1.1), libsndfile/libsndfile.def (1.1), vorbis/vorbisall.def (1.1):

	moved def and resource files to their project sub folders
	
2001-04-19 17:08  vividos

	* source/lameenc.dsp (1.8):

	removed mpglib defines
	
2001-04-19 17:03  vividos

	* source/winlame/wlMpegDecoderModule.cpp (1.6):

	moved mad_frame_decode() call to the while loop
	added more error codes to check
	
2001-04-19 17:02  vividos

	* source/winlame/: resource.h (1.11), winlame.rc (1.12):

	added resource id for the new systray menu entry
	
2001-04-19 16:59  vividos

	* source/winlame/wlMainDlg.h (1.7):

	added "bring to front" to the systray icon menu
	
2001-04-19 16:57  vividos

	* source/winlame/wlGeneralSettingsPage.h (1.8):

	fixed a bug where the preset combobox always showed "custom" after a selection
	
2001-04-15 14:09  vividos

	* source/winlame/: wlMpegDecoderModule.cpp (1.5),
	wlMpegDecoderModule.h (1.5):

	added code to find out max sample number
	
2001-04-14 11:58  vividos

	* source/winlame/: wlMpegDecoderModule.cpp (1.4),
	wlMpegDecoderModule.h (1.4):

	changed the decoding according to Rob Leslie's suggestions
	
2001-04-05 22:02  vividos

	* source/htmlhelp/: toc.hhc (1.4), html/index.html (1.4),
	html/libs/lame.html (1.1), html/libs/libmad.html (1.1),
	html/libs/libsndfile.html (1.1), html/libs/vorbis.html (1.1),
	html/misc/features.html (1.1), html/misc/gpl.html (1.4),
	html/misc/lgpl.html (1.1), html/pages/advanced.html (1.3),
	html/pages/basic.html (1.3), html/pages/filter.html (1.3),
	html/techref/index.html (1.1), html/techref/mpegheader.html (1.1),
	html/techref/images/techref.png (1.1):

	updated html help
	added pages about the various libraries
	added a techref page
	
2001-04-05 15:41  vividos

	* source/winlame/: wlMpegDecoderModule.cpp (1.3),
	wlMpegDecoderModule.h (1.3):

	switched from mpglib to libmad to decode mpeg1
	
2001-04-05 15:40  vividos

	* source/winlame/wlEncoder.cpp (1.13):

	minor changes
	
2001-04-05 15:39  vividos

	* source/winlame/wlSndFileDecoderModule.cpp (1.5):

	corrected size calculation of read samples
	
2001-04-05 15:33  vividos

	* source/lameenc/libmad/: config.h (1.1), libmad.def (1.1),
	libmad.rc (1.1), mincrt.cpp (1.1), resource.h (1.1):

	initial checkin
	
2001-04-05 15:31  vividos

	* source/lameenc/lameenc.def (1.5):

	removed exports for lame_decode_* functions
	
2001-04-05 15:30  vividos

	* winlame.dsw (1.6), source/lameenc.dsp (1.7), source/libmad.dsp
	(1.1), source/libsndfile.dsp (1.3), source/winlame.dsp (1.10),
	source/winlame.nsi (1.4):

	removed mpglib from lameenc project
	added libmad project
	
2001-04-01 20:47  vividos

	* source/winlame/: resource.h (1.10), winlame.cpp (1.5), winlame.rc
	(1.11), wlMainDlg.cpp (1.4), wlMainDlg.h (1.6):

	made main dialog nonmodal
	added wlMainDlg::RunDialog() which contains the message loop
	added wlMainDlg::PreTranslateMessage() for tooltips to work
	added tooltips for all controls
	changed ID of exit button to IDC_EXIT
	
2001-03-31 15:30  vividos

	* source/winlame/: winlame.rc (1.10), wlMainDlg.cpp (1.3),
	wlMainDlg.h (1.5):

	enabled html help; added all pages as string resource paths
	
2001-03-31 15:29  vividos

	* source/winlame/wlCommonStuff.h (1.11):

	wlHtmlHelp now allocates memory for the chmhelpfile string passed in Init()
	
2001-03-30 14:44  vividos

	* lameobj.dsw (1.2), source/lameobj.dsp (1.2),
	source/lameobj/test/lameobjtest.cpp (1.1),
	source/lameobj/test/lameobjtest.dsp (1.1):

	added example for accessing the LAME encoder COM object
	
2001-03-30 14:42  vividos

	* source/lameobj/: LAMEencoder.cpp (1.2), LAMEencoder.h (1.2),
	lameobj.idl (1.2):

	added interface methods
	
2001-03-30 10:30  vividos

	* lameobj.dsw (1.1), source/lameobj.dsp (1.1),
	source/lameobj/LAMEencoder.cpp (1.1), source/lameobj/LAMEencoder.h
	(1.1), source/lameobj/LAMEencoder.rgs (1.1),
	source/lameobj/lameobj.cpp (1.1), source/lameobj/lameobj.def (1.1),
	source/lameobj/lameobj.idl (1.1), source/lameobj/lameobj.rc (1.1),
	source/lameobj/lameobjps.def (1.1), source/lameobj/lameobjps.mk
	(1.1), source/lameobj/resource.h (1.1), source/lameobj/stdafx.cpp
	(1.1), source/lameobj/stdafx.h (1.1):

	added LAME COM object
	
2001-03-29 23:36  vividos

	* source/winlame/: resource.h (1.9), winlame.rc (1.9),
	wlEncoder.cpp (1.12), wlEncoder.h (1.12), wlGeneralSettingsPage.cpp
	(1.7), wlGeneralSettingsPage.h (1.7):

	reworked VBR controls; a mean bitrate edit ctrl was shown, which has no functionality
	introduced new variable abr_bitrate_mean in the wlEncodingInfo class
	added string resources for static ctrl texts
	
2001-03-29 23:31  vividos

	* source/winlame/wlMainDlg.h (1.4):

	added tooltips and html help support (not working yet)
	
2001-03-29 23:28  vividos

	* source/winlame/wlLameEncoderModule.cpp (1.7):

	uses the new lame_set_* functions now
	
2001-03-29 23:24  vividos

	* source/winlame.nsi (1.3):

	updated script for makensis 1.1y
	
2001-03-29 23:21  vividos

	* source/: lameenc.dsp (1.6), libsndfile.dsp (1.2), vorbis.dsp
	(1.4), winlame.dsp (1.9):

	upx is called with -9 now (more compression)
	
2001-03-29 23:18  vividos

	* buildtools/makensis.exe (1.3):

	updated to makensis v1.1y; installer can generate shortcuts now
	
2001-03-29 20:50  vividos

	* source/lameenc/lameenc.rc (1.4):

	updated version info to 3.89 alpha1 (buildpack3)
	
2001-03-29 20:23  vividos

	* source/winlame/: resource.h (1.8), winlame.rc (1.8):

	reordered IDs and dialog item tab order
	
2001-03-29 20:17  vividos

	* source/winlame.dsp (1.8):

	added htmlhelp search paths; reordered files a bit
	
2001-03-29 20:14  vividos

	* source/lameenc/lame/: lameenc.cpp (1.2), lameenc.h (1.2):

	removed lame_get_* functions
	added more lame_set_* functions
	
2001-03-29 20:12  vividos

	* source/lameenc/lameenc.def (1.4):

	exported my lame_set_* functions
	
2001-03-29 20:10  vividos

	* source/htmlhelp/html/: index.html (1.3), winlame.jpg (1.3),
	winlame.png (1.1), misc/gpl.html (1.3), pages/about.html (1.2),
	pages/advanced.html (1.2), pages/basic.html (1.2),
	pages/encoding.html (1.2), pages/filter.html (1.2),
	pages/index.html (1.2), pages/input.html (1.2),
	pages/images/about.png (1.1), pages/images/advanced.png (1.1),
	pages/images/basic.png (1.1), pages/images/encoding.png (1.1),
	pages/images/filter.png (1.1), pages/images/input.png (1.1),
	pages/images/wizpages.png (1.1):

	switched from jpg to png; added png images
	
2001-03-29 20:02  vividos

	* docs/Compiling.txt (1.2):

	added a link for the html help workshop
	
2001-03-29 19:33  vividos

	* source/htmlhelp/: toc.hhc (1.3), html/index.html (1.2),
	html/winlame.jpg (1.2), html/misc/gpl.html (1.2),
	html/pages/about.html (1.1), html/pages/advanced.html (1.1),
	html/pages/basic.html (1.1), html/pages/encoding.html (1.1),
	html/pages/filter.html (1.1), html/pages/index.html (1.1),
	html/pages/input.html (1.1):

	added the wizard pages html pages
	
2001-03-27 20:23  vividos

	* source/winlame/: wlCommonStuff.cpp (1.5), wlCommonStuff.h (1.10):

	added class wlHtmlHelp
	added wlTooltipCtrl::Activate()
	added function wlAddTooltips()
	
2001-03-27 16:21  vividos

	* source/winlame/wlLameEncoderModule.cpp (1.6):

	added calls to the new lame_set_* calls
	
2001-03-27 16:18  vividos

	* source/: lameenc.dsp (1.5), lameenc/lame/lameenc.cpp (1.1),
	lameenc/lame/lameenc.h (1.1):

	added lameenc.cpp and lameenc.h
	added set_get.c to project file
	
2001-03-27 16:15  vividos

	* source/vorbis.dsp (1.3):

	removed iir.c for buildpack3 to compile
	
2001-03-26 18:08  vividos

	* source/winlame/: wlEncoder.cpp (1.11), wlEncoder.h (1.11),
	wlInputPage.cpp (1.5):

	implemented winlameEncoder::getSamplerateFromFile()
	made winlameEncoder::chooseDecoder() static
	
2001-03-26 18:06  vividos

	* source/winlame/wlLameEncoderModule.cpp (1.5):

	changed lgf->scale value to 0 to prevent lame from scaling (as mark taylor suggested)
	
2001-03-26 18:05  vividos

	* source/winlame/wlFilterPage.cpp (1.3):

	changed frequency maximum to 22.5 kHz on filter graph
	
2001-03-25 16:59  vividos

	* source/lameenc/: lameenc.rc (1.3), libsndfile/libsndfile.rc
	(1.2), vorbis/vorbis.rc (1.2):

	changed version info language to neutral
	
2001-03-25 16:57  vividos

	* source/: helpfile.dsp (1.2), vorbis.dsp (1.2):

	minor changes
	
2001-03-25 14:54  vividos

	* source/winlame/: wlEncoder.cpp (1.10), wlEncoder.h (1.10):

	fixed stereo/mono mode defines for buildpack3
	
2001-03-25 14:52  vividos

	* source/winlame/wlLameEncoderModule.cpp (1.4):

	fixed a crash bug; lame_encode_buffer() doesn't seem to like large input buffer
	
2001-03-25 14:51  vividos

	* source/winlame/wlOggVorbisEncoderModule.cpp (1.2):

	fixed bug with buffer length parameter
	
2001-03-25 14:49  vividos

	* source/lameenc.dsp (1.4):

	moved lame.h to headers
	removed LIBSNDFILE defines
	
2001-03-25 14:48  vividos

	* readme.txt (1.3):

	fixed a typo; committed with cr-lf
	
2001-03-25 12:37  vividos

	* docs/: CVS-Structure.txt (1.1), Compiling.txt (1.1):

	initial checkin
	
2001-03-25 12:36  vividos

	* source/lameenc/: lame/readme.txt (1.2), libsndfile/readme.txt
	(1.2), vorbis/readme.txt (1.2):

	updated text to mention buildpacks
	
2001-03-24 17:28  vividos

	* source/htmlhelp/html/: index.html (1.1), winlame.css (1.1),
	winlame.jpg (1.1), misc/gpl.html (1.1):

	initial checkin
	
2001-03-24 17:28  vividos

	* source/htmlhelp/toc.hhc (1.2):

	added some files
	
2001-03-24 17:23  vividos

	* winlame.dsw (1.5):

	updated project dependecies for lameenc
	
2001-03-24 17:06  vividos

	* source/winlame/: wlEncoder.cpp (1.9),
	wlOggVorbisEncoderModule.cpp (1.1), wlOggVorbisEncoderModule.h
	(1.1):

	added encoder module for ogg vorbis
	
2001-03-24 17:05  vividos

	* source/winlame/wlSndFileDecoderModule.h (1.5):

	corrected comment
	
2001-03-24 17:04  vividos

	* source/lameenc.dsp (1.3):

	removed vorbis support; now used by winlame itself
	
2001-03-24 16:58  vividos

	* source/winlame.dsp (1.7):

	added include paths for ogg vorbis
	added ogg vorbis encoder module files
	
2001-03-22 22:50  vividos

	* source/winlame/: wlEncoder.cpp (1.8), wlEncoder.h (1.9),
	wlLameEncoderModule.cpp (1.3), wlLameEncoderModule.h (1.4),
	wlMpegDecoderModule.cpp (1.2), wlMpegDecoderModule.h (1.2),
	wlSndFileDecoderModule.cpp (1.4), wlSndFileDecoderModule.h (1.4),
	wlWaveEncoderModule.cpp (1.2), wlWaveEncoderModule.h (1.2):

	added return values for initDecode() and initEncode() in the decoder and encoder modules
	
2001-03-22 22:46  vividos

	* source/winlame/wlGeneralSettingsPage.h (1.6):

	added more bitrate settings
	
2001-03-20 23:17  vividos

	* winlame.dsw (1.4):

	updated dependencies
	
2001-03-20 23:09  vividos

	* source/lameenc/libsndfile/: libsndfile.rc (1.1), resource.h
	(1.1):

	initial checkin
	
2001-03-20 23:06  vividos

	* winlame.dsw (1.3):

	added helpfile project
	
2001-03-20 22:56  vividos

	* source/winlame.dsp (1.6):

	accidentally commited
	
2001-03-20 22:49  vividos

	* source/htmlhelp/: index.hhk (1.1), toc.hhc (1.1), winlamehelp.hhp
	(1.1):

	initial checkin
	
2001-03-20 22:45  vividos

	* source/lameenc/lameenc.rc (1.2):

	updated version info
	
2001-03-20 22:37  vividos

	* source/: helpfile.dsp (1.1), winlame.dsp (1.5), winlame.nsi
	(1.2):

	initial checkin
	
2001-03-20 22:36  vividos

	* readme.txt (1.2):

	new text, will be included in binary distributions
	
2001-03-18 23:58  vividos

	* buildtools/hhc.exe (1.1):

	initial checkin
	
2001-03-17 17:35  vividos

	* source/winlame/: resource.h (1.7), winlame.rc (1.7):

	added system tray ID and IDs for bitrate ctrl
	
2001-03-17 17:34  vividos

	* source/winlame/res/help.bmp (1.1):

	initial checkin
	
2001-03-17 17:32  vividos

	* source/winlame/wlCommonStuff.h (1.9):

	replaced strncpy with lstrcpyn
	
2001-03-17 17:32  vividos

	* source/winlame/wlMainDlg.h (1.3):

	added systray icon support
	
2001-03-17 15:24  vividos

	* source/winlame/: wlEncodePage.cpp (1.4), wlEncodePage.h (1.4):

	added status update for current bitrate
	
2001-03-17 15:20  vividos

	* source/winlame/wlGeneralSettingsPage.cpp (1.6):

	changed type of wlEncoderInfo::output_type to enum
	
2001-03-17 15:20  vividos

	* source/winlame/wlLameEncoderModule.h (1.3):

	added the currentBitrate() method
	
2001-03-17 15:19  vividos

	* source/winlame/: wlSndFileDecoderModule.cpp (1.3),
	wlSndFileDecoderModule.h (1.3):

	added sample counting for percentDone()
	
2001-03-17 15:17  vividos

	* source/winlame/: wlEncoder.cpp (1.7), wlEncoder.h (1.8):

	changed the way winlameEncoder::encode() works, using the encoder and decoder modules
	
2001-03-16 17:35  vividos

	* source/winlame/winlame.cpp (1.4):

	added a call to wlInitCommonStuff()
	
2001-03-16 17:33  vividos

	* source/winlame/: wlCommonStuff.cpp (1.4), wlCommonStuff.h (1.8):

	added wlInitCommonStuff(), wlSystemTrayIcon and wlTooltipCtrl classes
	
2001-03-15 21:56  vividos

	* source/winlame/: wlSndFileDecoderModule.cpp (1.2),
	wlSndFileDecoderModule.h (1.2):

	added decoding using the libsndfile
	
2001-03-14 17:43  vividos

	* source/winlame/: wlLameEncoderModule.cpp (1.2),
	wlLameEncoderModule.h (1.2):

	implemented encoding via lame
	
2001-03-09 12:19  vividos

	* source/winlame/: wlEncoder.cpp (1.6), wlEncoder.h (1.7):

	changed the encoder completely; now the encoder and decoder modules are used to input and output samples
	
2001-03-09 12:16  vividos

	* source/winlame/: wlLameEncoderModule.cpp (1.1),
	wlLameEncoderModule.h (1.1), wlMpegDecoderModule.cpp (1.1),
	wlMpegDecoderModule.h (1.1), wlSndFileDecoderModule.cpp (1.1),
	wlSndFileDecoderModule.h (1.1), wlWaveEncoderModule.cpp (1.1),
	wlWaveEncoderModule.h (1.1):

	initial checkin
	
2001-03-09 12:15  vividos

	* source/winlame/wlAboutPage.h (1.2):

	get_lame_version() now returns string with proper length; workaround not needed any longer
	
2001-03-09 12:13  vividos

	* source/winlame/winlame.cpp (1.3):

	added atlcom.h to include
	
2001-03-09 12:12  vividos

	* source/winlame/stdafx.h (1.2):

	replaced atlhost.h with atlwin.h (we dont need activex)
	added wlCommonStuff.h for faster compilation
	
2001-03-09 12:09  vividos

	* source/winlame.dsp (1.4):

	added include path
	grouped the ui files
	added encoder module source files
	
2001-03-09 12:07  vividos

	* docs/: TODO.txt (1.1), mpeg3.txt (1.1):

	initial checkin
	
2001-03-09 12:06  vividos

	* buildtools/upx.exe (1.2):

	new version of upx, v1.07
	
2001-03-09 12:05  vividos

	* buildtools/makensis.exe (1.2):

	added self-compiled version v1.0j (smaller exe header)
	
2001-03-06 20:43  vividos

	* source/winlame/wlCommonStuff.h (1.7):

	added class wlMutex
	
2001-03-06 20:42  vividos

	* source/lameenc/lame/config.h (1.1):

	added win32 specific config header file
	
2001-03-06 20:40  vividos

	* source/lameenc/lameenc.def (1.3):

	updated exports for lame 3.88alpha
	
2001-03-06 20:40  vividos

	* source/lameenc/libsndfile/config.h (1.2):

	updated comment
	
2001-03-06 20:38  vividos

	* source/lameenc/libsndfile.def (1.1):

	added exports file for libsndfile
	
2001-03-06 20:37  vividos

	* source/: lameenc.dsp (1.2), libsndfile.dsp (1.1), winlame.dsp
	(1.3):

	addd project libsndfile
	moved files to project libsndfile
	updated lameenc project with new files from lame 3.88alpha (cvs version)
	added files to winlame project
	
2001-03-06 20:34  vividos

	* winlame.dsw (1.2):

	added libsndfile project
	
2001-03-05 19:33  vividos

	* source/winlame/: wlEncoder.cpp (1.5), wlEncoder.h (1.6):

	added getBitrateFromFile() to the winlameEncoder class
	
2001-03-04 22:26  vividos

	* source/winlame/: wlInputPage.cpp (1.4), wlInputPage.h (1.3):

	added functionality to find out bps of input file
	
2001-03-04 20:56  vividos

	* source/winlame/: wlCommonStuff.h (1.6), wlHyperlink.h (1.1):

	moved class wlHyperlink to separate file
	
2001-03-04 15:33  vividos

	* source/winlame/: resource.h (1.6), winlame.rc (1.6),
	wlGeneralSettingsPage.cpp (1.5), wlGeneralSettingsPage.h (1.5):

	added spin buttons
	
2001-03-04 15:27  vividos

	* source/winlame/wlCommonStuff.h (1.5):

	added wlFixedValueSpinButtonCtrl class
	
2001-03-03 15:23  vividos

	* source/winlame/: resource.h (1.5), winlame.rc (1.5),
	wlEncodePage.h (1.3):

	added thread priority slider to encoder page
	
2001-03-03 15:22  vividos

	* source/winlame/: wlEncoder.cpp (1.4), wlEncoder.h (1.5):

	added setThreadPriority()
	
2001-03-03 15:19  vividos

	* source/winlame/wlCommonStuff.cpp (1.3):

	improved wlLoadString()
	
2001-03-03 15:18  vividos

	* source/winlame/wlInputPage.cpp (1.3):

	added a message box when the input file list is empty;
	fixed a bug where a slash in the output dirname wasn't appended
	
2001-03-03 13:06  vividos

	* source/winlame/: wlEncodePage.cpp (1.3),
	wlGeneralSettingsPage.cpp (1.4), wlGeneralSettingsPage.h (1.4),
	wlInputPage.cpp (1.2), wlInputPage.h (1.2):

	changed LoadString to wlLoadString;
	fixed a bug with the quick preset selection;
	some minor changes
	
2001-03-03 13:02  vividos

	* source/winlame/: wlEncoder.cpp (1.3), wlEncoder.h (1.4):

	changed bitrate_min/max to vbr_bitrate_min/max
	changed winlameEncoder::version to winlameEncoder::getVersion
	changed bitrate mode var from int to enum
	
2001-03-03 13:00  vividos

	* source/winlame/: wlMainDlg.cpp (1.2), wlMainDlg.h (1.2):

	added the about page
	
2001-03-03 12:58  vividos

	* source/winlame/: wlCommonStuff.cpp (1.2), wlCommonStuff.h (1.4):

	added wlHyperlink, a hyperlink control
	
2001-03-03 12:57  vividos

	* source/winlame/: resource.h (1.4), winlame.rc (1.4):

	added about page dialog resource
	
2001-03-03 12:57  vividos

	* source/winlame/wlAboutPage.h (1.1):

	added file wlAboutPage.h; the about page
	
2001-03-03 12:56  vividos

	* source/winlame.dsp (1.2):

	added file wlAboutPage.h
	
2001-03-03 12:52  vividos

	* source/lameenc/lameenc.def (1.2):

	added symbol sf_get_lib_version
	
2001-03-02 19:15  vividos

	* source/winlame/winlame.cpp (1.2):

	added a call to _Module.Term()
	
2001-03-02 16:36  vividos

	* source/winlame/res/winlame.ico (1.2):

	new nicer icon :)
	
2001-03-01 22:18  vividos

	* source/winlame/: wlEncoder.cpp (1.2), wlEncoder.h (1.3),
	wlFilterPage.cpp (1.2), wlFilterPage.h (1.2),
	wlGeneralSettingsPage.cpp (1.3), wlGeneralSettingsPage.h (1.3):

	added the filter graph and filter functionality
	
2001-03-01 22:12  vividos

	* source/winlame/wlCommonStuff.h (1.3):

	correncted comment
	
2001-03-01 22:11  vividos

	* source/winlame/wlAdvancedPage.cpp (1.3):

	added comments
	
2001-03-01 22:09  vividos

	* source/winlame/: resource.h (1.3), winlame.rc (1.3):

	completed the filter dialog ctrls
	
2001-02-28 23:40  vividos

	* source/winlame/: wlGeneralSettingsPage.cpp (1.2),
	wlGeneralSettingsPage.h (1.2):

	preset selection works now
	
2001-02-28 20:41  vividos

	* source/winlame/: wlEncodePage.cpp (1.2), wlEncodePage.h (1.2):

	fixed a bug with the start button and the progress bar
	
2001-02-28 20:40  vividos

	* source/winlame/wlEncoder.h (1.2):

	deleted unneeded function
	
2001-02-28 19:59  vividos

	* source/winlame/: wlAdvancedPage.cpp (1.2), wlAdvancedPage.h
	(1.2):

	added advanced page functionality; not finished yet
	
2001-02-28 19:59  vividos

	* source/winlame/wlCommonStuff.h (1.2):

	added inline function wlGetCheck and wlSetCheck
	
2001-02-28 19:57  vividos

	* source/winlame/: resource.h (1.2), winlame.rc (1.2):

	reordered control ID's
	
2001-02-26 17:40  vividos

	* docs/: Copying.LAME (1.1), License.LAME (1.1):

	Initial revision
	
2001-02-26 17:40  vividos

	* docs/: Copying.LAME (1.1.1.1), License.LAME (1.1.1.1):

	initial checkin
	
2001-02-25 23:15  vividos

	* buildtools/: makensis.exe (1.1), upx.exe (1.1):

	Initial revision
	
2001-02-25 23:15  vividos

	* buildtools/: makensis.exe (1.1.1.1), upx.exe (1.1.1.1):

	initial checkin
	
2001-02-25 23:03  vividos

	* source/winlame/res/: btnicons.bmp (1.1), logo.bmp (1.1),
	winlame.ico (1.1):

	Initial revision
	
2001-02-25 23:03  vividos

	* source/winlame/res/: btnicons.bmp (1.1.1.1), logo.bmp (1.1.1.1),
	winlame.ico (1.1.1.1):

	initial checkin
	
2001-02-25 22:56  vividos

	* COPYING (1.1), readme.txt (1.1), source/lameenc.dsp (1.1),
	source/vorbis.dsp (1.1), source/winlame.dsp (1.1),
	source/winlame.nsi (1.1), source/lameenc/config.h (1.1),
	source/lameenc/lameenc.def (1.1), source/lameenc/lameenc.rc (1.1),
	source/lameenc/resource.h (1.1), source/lameenc/vorbisall.def
	(1.1), source/lameenc/lame/readme.txt (1.1),
	source/lameenc/libsndfile/config.h (1.1),
	source/lameenc/libsndfile/readme.txt (1.1),
	source/lameenc/vorbis/readme.txt (1.1),
	source/lameenc/vorbis/resource.h (1.1),
	source/lameenc/vorbis/vorbis.rc (1.1), source/winlame/resource.h
	(1.1), source/winlame/stdafx.cpp (1.1), source/winlame/stdafx.h
	(1.1), source/winlame/winlame.cpp (1.1), source/winlame/winlame.rc
	(1.1), source/winlame/wlAdvancedPage.cpp (1.1),
	source/winlame/wlPageBase.h (1.1), source/winlame/wlAdvancedPage.h
	(1.1), source/winlame/wlCommonStuff.cpp (1.1),
	source/winlame/wlCommonStuff.h (1.1),
	source/winlame/wlEncodePage.cpp (1.1),
	source/winlame/wlEncodePage.h (1.1), source/winlame/wlEncoder.cpp
	(1.1), source/winlame/wlEncoder.h (1.1),
	source/winlame/wlFilterPage.cpp (1.1),
	source/winlame/wlFilterPage.h (1.1),
	source/winlame/wlGeneralSettingsPage.cpp (1.1),
	source/winlame/wlGeneralSettingsPage.h (1.1),
	source/winlame/wlInputPage.cpp (1.1), source/winlame/wlInputPage.h
	(1.1), source/winlame/wlMainDlg.cpp (1.1),
	source/winlame/wlMainDlg.h (1.1):

	Initial revision
	
2001-02-25 22:56  vividos

	* COPYING (1.1.1.1), readme.txt (1.1.1.1), source/lameenc.dsp
